import { DevtoolsMessage } from "./message";
export interface Transceiver {
    post(message: DevtoolsMessage): void;
    receive<T extends DevtoolsMessage>(messageFilter: (message: unknown) => message is T, listener: (payload: T["payload"]) => any): void;
}
export default class TransceiverImpl implements Transceiver {
    private port;
    private opposite;
    constructor(port: MessagePort, opposite: MessagePort);
    receive<T extends DevtoolsMessage>(messageFilter: (message: unknown) => message is T, listener: (payload: T["payload"]) => any): void;
    post(message: DevtoolsMessage): void;
    close(): void;
}
