(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
    typeof define === 'function' && define.amd ? define(['exports'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global.HackleDevTools = {}));
})(this, (function (exports) { 'use strict';

    /******************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */

    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (g && (g = 0, op[0] && (_ = 0)), _) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    var DEVTOOLS_URL = "https://devtools.hackle.io";
    var DEVTOOLS_USER_EXPLORER_SUB_PATH = "/user-explorer";
    var HACKLE_LOGO_URL = "https://cdn.hackle.io/images/20230330/84a95e8b-339b-412e-9200-f3655b5eb91b.png";

    var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

    function getAugmentedNamespace(n) {
      var f = n.default;
    	if (typeof f == "function") {
    		var a = function () {
    			return f.apply(this, arguments);
    		};
    		a.prototype = f.prototype;
      } else a = {};
      Object.defineProperty(a, '__esModule', {value: true});
    	Object.keys(n).forEach(function (k) {
    		var d = Object.getOwnPropertyDescriptor(n, k);
    		Object.defineProperty(a, k, d.get ? d : {
    			enumerable: true,
    			get: function () {
    				return n[k];
    			}
    		});
    	});
    	return a;
    }

    var index_browser_min = {};

    // Unique ID creation requires a high quality random # generator. In the browser we therefore
    // require the crypto API and do not support built-in fallback to lower quality random number
    // generators (like Math.random()).
    var getRandomValues;
    var rnds8 = new Uint8Array(16);
    function rng() {
      // lazy load so that environments that need to polyfill have a chance to do so
      if (!getRandomValues) {
        // getRandomValues needs to be invoked in a context where "this" is a Crypto implementation. Also,
        // find the complete implementation of crypto (msCrypto) on IE11.
        getRandomValues = typeof crypto !== 'undefined' && crypto.getRandomValues && crypto.getRandomValues.bind(crypto) || typeof msCrypto !== 'undefined' && typeof msCrypto.getRandomValues === 'function' && msCrypto.getRandomValues.bind(msCrypto);

        if (!getRandomValues) {
          throw new Error('crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported');
        }
      }

      return getRandomValues(rnds8);
    }

    var REGEX = /^(?:[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}|00000000-0000-0000-0000-000000000000)$/i;

    function validate(uuid) {
      return typeof uuid === 'string' && REGEX.test(uuid);
    }

    /**
     * Convert array of 16 byte values to UUID string format of the form:
     * XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX
     */

    var byteToHex = [];

    for (var i$1 = 0; i$1 < 256; ++i$1) {
      byteToHex.push((i$1 + 0x100).toString(16).substr(1));
    }

    function stringify(arr) {
      var offset = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
      // Note: Be careful editing this code!  It's been tuned for performance
      // and works in ways you may not expect. See https://github.com/uuidjs/uuid/pull/434
      var uuid = (byteToHex[arr[offset + 0]] + byteToHex[arr[offset + 1]] + byteToHex[arr[offset + 2]] + byteToHex[arr[offset + 3]] + '-' + byteToHex[arr[offset + 4]] + byteToHex[arr[offset + 5]] + '-' + byteToHex[arr[offset + 6]] + byteToHex[arr[offset + 7]] + '-' + byteToHex[arr[offset + 8]] + byteToHex[arr[offset + 9]] + '-' + byteToHex[arr[offset + 10]] + byteToHex[arr[offset + 11]] + byteToHex[arr[offset + 12]] + byteToHex[arr[offset + 13]] + byteToHex[arr[offset + 14]] + byteToHex[arr[offset + 15]]).toLowerCase(); // Consistency check for valid UUID.  If this throws, it's likely due to one
      // of the following:
      // - One or more input array values don't map to a hex octet (leading to
      // "undefined" in the uuid)
      // - Invalid input values for the RFC `version` or `variant` fields

      if (!validate(uuid)) {
        throw TypeError('Stringified UUID is invalid');
      }

      return uuid;
    }

    //
    // Inspired by https://github.com/LiosK/UUID.js
    // and http://docs.python.org/library/uuid.html

    var _nodeId;

    var _clockseq; // Previous uuid creation time


    var _lastMSecs = 0;
    var _lastNSecs = 0; // See https://github.com/uuidjs/uuid for API details

    function v1(options, buf, offset) {
      var i = buf && offset || 0;
      var b = buf || new Array(16);
      options = options || {};
      var node = options.node || _nodeId;
      var clockseq = options.clockseq !== undefined ? options.clockseq : _clockseq; // node and clockseq need to be initialized to random values if they're not
      // specified.  We do this lazily to minimize issues related to insufficient
      // system entropy.  See #189

      if (node == null || clockseq == null) {
        var seedBytes = options.random || (options.rng || rng)();

        if (node == null) {
          // Per 4.5, create and 48-bit node id, (47 random bits + multicast bit = 1)
          node = _nodeId = [seedBytes[0] | 0x01, seedBytes[1], seedBytes[2], seedBytes[3], seedBytes[4], seedBytes[5]];
        }

        if (clockseq == null) {
          // Per 4.2.2, randomize (14 bit) clockseq
          clockseq = _clockseq = (seedBytes[6] << 8 | seedBytes[7]) & 0x3fff;
        }
      } // UUID timestamps are 100 nano-second units since the Gregorian epoch,
      // (1582-10-15 00:00).  JSNumbers aren't precise enough for this, so
      // time is handled internally as 'msecs' (integer milliseconds) and 'nsecs'
      // (100-nanoseconds offset from msecs) since unix epoch, 1970-01-01 00:00.


      var msecs = options.msecs !== undefined ? options.msecs : Date.now(); // Per 4.2.1.2, use count of uuid's generated during the current clock
      // cycle to simulate higher resolution clock

      var nsecs = options.nsecs !== undefined ? options.nsecs : _lastNSecs + 1; // Time since last uuid creation (in msecs)

      var dt = msecs - _lastMSecs + (nsecs - _lastNSecs) / 10000; // Per 4.2.1.2, Bump clockseq on clock regression

      if (dt < 0 && options.clockseq === undefined) {
        clockseq = clockseq + 1 & 0x3fff;
      } // Reset nsecs if clock regresses (new clockseq) or we've moved onto a new
      // time interval


      if ((dt < 0 || msecs > _lastMSecs) && options.nsecs === undefined) {
        nsecs = 0;
      } // Per 4.2.1.2 Throw error if too many uuids are requested


      if (nsecs >= 10000) {
        throw new Error("uuid.v1(): Can't create more than 10M uuids/sec");
      }

      _lastMSecs = msecs;
      _lastNSecs = nsecs;
      _clockseq = clockseq; // Per 4.1.4 - Convert from unix epoch to Gregorian epoch

      msecs += 12219292800000; // `time_low`

      var tl = ((msecs & 0xfffffff) * 10000 + nsecs) % 0x100000000;
      b[i++] = tl >>> 24 & 0xff;
      b[i++] = tl >>> 16 & 0xff;
      b[i++] = tl >>> 8 & 0xff;
      b[i++] = tl & 0xff; // `time_mid`

      var tmh = msecs / 0x100000000 * 10000 & 0xfffffff;
      b[i++] = tmh >>> 8 & 0xff;
      b[i++] = tmh & 0xff; // `time_high_and_version`

      b[i++] = tmh >>> 24 & 0xf | 0x10; // include version

      b[i++] = tmh >>> 16 & 0xff; // `clock_seq_hi_and_reserved` (Per 4.2.2 - include variant)

      b[i++] = clockseq >>> 8 | 0x80; // `clock_seq_low`

      b[i++] = clockseq & 0xff; // `node`

      for (var n = 0; n < 6; ++n) {
        b[i + n] = node[n];
      }

      return buf || stringify(b);
    }

    function parse(uuid) {
      if (!validate(uuid)) {
        throw TypeError('Invalid UUID');
      }

      var v;
      var arr = new Uint8Array(16); // Parse ########-....-....-....-............

      arr[0] = (v = parseInt(uuid.slice(0, 8), 16)) >>> 24;
      arr[1] = v >>> 16 & 0xff;
      arr[2] = v >>> 8 & 0xff;
      arr[3] = v & 0xff; // Parse ........-####-....-....-............

      arr[4] = (v = parseInt(uuid.slice(9, 13), 16)) >>> 8;
      arr[5] = v & 0xff; // Parse ........-....-####-....-............

      arr[6] = (v = parseInt(uuid.slice(14, 18), 16)) >>> 8;
      arr[7] = v & 0xff; // Parse ........-....-....-####-............

      arr[8] = (v = parseInt(uuid.slice(19, 23), 16)) >>> 8;
      arr[9] = v & 0xff; // Parse ........-....-....-....-############
      // (Use "/" to avoid 32-bit truncation when bit-shifting high-order bytes)

      arr[10] = (v = parseInt(uuid.slice(24, 36), 16)) / 0x10000000000 & 0xff;
      arr[11] = v / 0x100000000 & 0xff;
      arr[12] = v >>> 24 & 0xff;
      arr[13] = v >>> 16 & 0xff;
      arr[14] = v >>> 8 & 0xff;
      arr[15] = v & 0xff;
      return arr;
    }

    function stringToBytes(str) {
      str = unescape(encodeURIComponent(str)); // UTF8 escape

      var bytes = [];

      for (var i = 0; i < str.length; ++i) {
        bytes.push(str.charCodeAt(i));
      }

      return bytes;
    }

    var DNS = '6ba7b810-9dad-11d1-80b4-00c04fd430c8';
    var URL$1 = '6ba7b811-9dad-11d1-80b4-00c04fd430c8';
    function v35 (name, version, hashfunc) {
      function generateUUID(value, namespace, buf, offset) {
        if (typeof value === 'string') {
          value = stringToBytes(value);
        }

        if (typeof namespace === 'string') {
          namespace = parse(namespace);
        }

        if (namespace.length !== 16) {
          throw TypeError('Namespace must be array-like (16 iterable integer values, 0-255)');
        } // Compute hash of namespace and value, Per 4.3
        // Future: Use spread syntax when supported on all platforms, e.g. `bytes =
        // hashfunc([...namespace, ... value])`


        var bytes = new Uint8Array(16 + value.length);
        bytes.set(namespace);
        bytes.set(value, namespace.length);
        bytes = hashfunc(bytes);
        bytes[6] = bytes[6] & 0x0f | version;
        bytes[8] = bytes[8] & 0x3f | 0x80;

        if (buf) {
          offset = offset || 0;

          for (var i = 0; i < 16; ++i) {
            buf[offset + i] = bytes[i];
          }

          return buf;
        }

        return stringify(bytes);
      } // Function#name is not settable on some platforms (#270)


      try {
        generateUUID.name = name; // eslint-disable-next-line no-empty
      } catch (err) {} // For CommonJS default export support


      generateUUID.DNS = DNS;
      generateUUID.URL = URL$1;
      return generateUUID;
    }

    /*
     * Browser-compatible JavaScript MD5
     *
     * Modification of JavaScript MD5
     * https://github.com/blueimp/JavaScript-MD5
     *
     * Copyright 2011, Sebastian Tschan
     * https://blueimp.net
     *
     * Licensed under the MIT license:
     * https://opensource.org/licenses/MIT
     *
     * Based on
     * A JavaScript implementation of the RSA Data Security, Inc. MD5 Message
     * Digest Algorithm, as defined in RFC 1321.
     * Version 2.2 Copyright (C) Paul Johnston 1999 - 2009
     * Other contributors: Greg Holt, Andrew Kepert, Ydnar, Lostinet
     * Distributed under the BSD License
     * See http://pajhome.org.uk/crypt/md5 for more info.
     */
    function md5(bytes) {
      if (typeof bytes === 'string') {
        var msg = unescape(encodeURIComponent(bytes)); // UTF8 escape

        bytes = new Uint8Array(msg.length);

        for (var i = 0; i < msg.length; ++i) {
          bytes[i] = msg.charCodeAt(i);
        }
      }

      return md5ToHexEncodedArray(wordsToMd5(bytesToWords(bytes), bytes.length * 8));
    }
    /*
     * Convert an array of little-endian words to an array of bytes
     */


    function md5ToHexEncodedArray(input) {
      var output = [];
      var length32 = input.length * 32;
      var hexTab = '0123456789abcdef';

      for (var i = 0; i < length32; i += 8) {
        var x = input[i >> 5] >>> i % 32 & 0xff;
        var hex = parseInt(hexTab.charAt(x >>> 4 & 0x0f) + hexTab.charAt(x & 0x0f), 16);
        output.push(hex);
      }

      return output;
    }
    /**
     * Calculate output length with padding and bit length
     */


    function getOutputLength(inputLength8) {
      return (inputLength8 + 64 >>> 9 << 4) + 14 + 1;
    }
    /*
     * Calculate the MD5 of an array of little-endian words, and a bit length.
     */


    function wordsToMd5(x, len) {
      /* append padding */
      x[len >> 5] |= 0x80 << len % 32;
      x[getOutputLength(len) - 1] = len;
      var a = 1732584193;
      var b = -271733879;
      var c = -1732584194;
      var d = 271733878;

      for (var i = 0; i < x.length; i += 16) {
        var olda = a;
        var oldb = b;
        var oldc = c;
        var oldd = d;
        a = md5ff(a, b, c, d, x[i], 7, -680876936);
        d = md5ff(d, a, b, c, x[i + 1], 12, -389564586);
        c = md5ff(c, d, a, b, x[i + 2], 17, 606105819);
        b = md5ff(b, c, d, a, x[i + 3], 22, -1044525330);
        a = md5ff(a, b, c, d, x[i + 4], 7, -176418897);
        d = md5ff(d, a, b, c, x[i + 5], 12, 1200080426);
        c = md5ff(c, d, a, b, x[i + 6], 17, -1473231341);
        b = md5ff(b, c, d, a, x[i + 7], 22, -45705983);
        a = md5ff(a, b, c, d, x[i + 8], 7, 1770035416);
        d = md5ff(d, a, b, c, x[i + 9], 12, -1958414417);
        c = md5ff(c, d, a, b, x[i + 10], 17, -42063);
        b = md5ff(b, c, d, a, x[i + 11], 22, -1990404162);
        a = md5ff(a, b, c, d, x[i + 12], 7, 1804603682);
        d = md5ff(d, a, b, c, x[i + 13], 12, -40341101);
        c = md5ff(c, d, a, b, x[i + 14], 17, -1502002290);
        b = md5ff(b, c, d, a, x[i + 15], 22, 1236535329);
        a = md5gg(a, b, c, d, x[i + 1], 5, -165796510);
        d = md5gg(d, a, b, c, x[i + 6], 9, -1069501632);
        c = md5gg(c, d, a, b, x[i + 11], 14, 643717713);
        b = md5gg(b, c, d, a, x[i], 20, -373897302);
        a = md5gg(a, b, c, d, x[i + 5], 5, -701558691);
        d = md5gg(d, a, b, c, x[i + 10], 9, 38016083);
        c = md5gg(c, d, a, b, x[i + 15], 14, -660478335);
        b = md5gg(b, c, d, a, x[i + 4], 20, -405537848);
        a = md5gg(a, b, c, d, x[i + 9], 5, 568446438);
        d = md5gg(d, a, b, c, x[i + 14], 9, -1019803690);
        c = md5gg(c, d, a, b, x[i + 3], 14, -187363961);
        b = md5gg(b, c, d, a, x[i + 8], 20, 1163531501);
        a = md5gg(a, b, c, d, x[i + 13], 5, -1444681467);
        d = md5gg(d, a, b, c, x[i + 2], 9, -51403784);
        c = md5gg(c, d, a, b, x[i + 7], 14, 1735328473);
        b = md5gg(b, c, d, a, x[i + 12], 20, -1926607734);
        a = md5hh(a, b, c, d, x[i + 5], 4, -378558);
        d = md5hh(d, a, b, c, x[i + 8], 11, -2022574463);
        c = md5hh(c, d, a, b, x[i + 11], 16, 1839030562);
        b = md5hh(b, c, d, a, x[i + 14], 23, -35309556);
        a = md5hh(a, b, c, d, x[i + 1], 4, -1530992060);
        d = md5hh(d, a, b, c, x[i + 4], 11, 1272893353);
        c = md5hh(c, d, a, b, x[i + 7], 16, -155497632);
        b = md5hh(b, c, d, a, x[i + 10], 23, -1094730640);
        a = md5hh(a, b, c, d, x[i + 13], 4, 681279174);
        d = md5hh(d, a, b, c, x[i], 11, -358537222);
        c = md5hh(c, d, a, b, x[i + 3], 16, -722521979);
        b = md5hh(b, c, d, a, x[i + 6], 23, 76029189);
        a = md5hh(a, b, c, d, x[i + 9], 4, -640364487);
        d = md5hh(d, a, b, c, x[i + 12], 11, -421815835);
        c = md5hh(c, d, a, b, x[i + 15], 16, 530742520);
        b = md5hh(b, c, d, a, x[i + 2], 23, -995338651);
        a = md5ii(a, b, c, d, x[i], 6, -198630844);
        d = md5ii(d, a, b, c, x[i + 7], 10, 1126891415);
        c = md5ii(c, d, a, b, x[i + 14], 15, -1416354905);
        b = md5ii(b, c, d, a, x[i + 5], 21, -57434055);
        a = md5ii(a, b, c, d, x[i + 12], 6, 1700485571);
        d = md5ii(d, a, b, c, x[i + 3], 10, -1894986606);
        c = md5ii(c, d, a, b, x[i + 10], 15, -1051523);
        b = md5ii(b, c, d, a, x[i + 1], 21, -2054922799);
        a = md5ii(a, b, c, d, x[i + 8], 6, 1873313359);
        d = md5ii(d, a, b, c, x[i + 15], 10, -30611744);
        c = md5ii(c, d, a, b, x[i + 6], 15, -1560198380);
        b = md5ii(b, c, d, a, x[i + 13], 21, 1309151649);
        a = md5ii(a, b, c, d, x[i + 4], 6, -145523070);
        d = md5ii(d, a, b, c, x[i + 11], 10, -1120210379);
        c = md5ii(c, d, a, b, x[i + 2], 15, 718787259);
        b = md5ii(b, c, d, a, x[i + 9], 21, -343485551);
        a = safeAdd(a, olda);
        b = safeAdd(b, oldb);
        c = safeAdd(c, oldc);
        d = safeAdd(d, oldd);
      }

      return [a, b, c, d];
    }
    /*
     * Convert an array bytes to an array of little-endian words
     * Characters >255 have their high-byte silently ignored.
     */


    function bytesToWords(input) {
      if (input.length === 0) {
        return [];
      }

      var length8 = input.length * 8;
      var output = new Uint32Array(getOutputLength(length8));

      for (var i = 0; i < length8; i += 8) {
        output[i >> 5] |= (input[i / 8] & 0xff) << i % 32;
      }

      return output;
    }
    /*
     * Add integers, wrapping at 2^32. This uses 16-bit operations internally
     * to work around bugs in some JS interpreters.
     */


    function safeAdd(x, y) {
      var lsw = (x & 0xffff) + (y & 0xffff);
      var msw = (x >> 16) + (y >> 16) + (lsw >> 16);
      return msw << 16 | lsw & 0xffff;
    }
    /*
     * Bitwise rotate a 32-bit number to the left.
     */


    function bitRotateLeft(num, cnt) {
      return num << cnt | num >>> 32 - cnt;
    }
    /*
     * These functions implement the four basic operations the algorithm uses.
     */


    function md5cmn(q, a, b, x, s, t) {
      return safeAdd(bitRotateLeft(safeAdd(safeAdd(a, q), safeAdd(x, t)), s), b);
    }

    function md5ff(a, b, c, d, x, s, t) {
      return md5cmn(b & c | ~b & d, a, b, x, s, t);
    }

    function md5gg(a, b, c, d, x, s, t) {
      return md5cmn(b & d | c & ~d, a, b, x, s, t);
    }

    function md5hh(a, b, c, d, x, s, t) {
      return md5cmn(b ^ c ^ d, a, b, x, s, t);
    }

    function md5ii(a, b, c, d, x, s, t) {
      return md5cmn(c ^ (b | ~d), a, b, x, s, t);
    }

    var v3 = v35('v3', 0x30, md5);
    var v3$1 = v3;

    function v4(options, buf, offset) {
      options = options || {};
      var rnds = options.random || (options.rng || rng)(); // Per 4.4, set bits for version and `clock_seq_hi_and_reserved`

      rnds[6] = rnds[6] & 0x0f | 0x40;
      rnds[8] = rnds[8] & 0x3f | 0x80; // Copy bytes to buffer, if provided

      if (buf) {
        offset = offset || 0;

        for (var i = 0; i < 16; ++i) {
          buf[offset + i] = rnds[i];
        }

        return buf;
      }

      return stringify(rnds);
    }

    // Adapted from Chris Veness' SHA1 code at
    // http://www.movable-type.co.uk/scripts/sha1.html
    function f$1(s, x, y, z) {
      switch (s) {
        case 0:
          return x & y ^ ~x & z;

        case 1:
          return x ^ y ^ z;

        case 2:
          return x & y ^ x & z ^ y & z;

        case 3:
          return x ^ y ^ z;
      }
    }

    function ROTL(x, n) {
      return x << n | x >>> 32 - n;
    }

    function sha1(bytes) {
      var K = [0x5a827999, 0x6ed9eba1, 0x8f1bbcdc, 0xca62c1d6];
      var H = [0x67452301, 0xefcdab89, 0x98badcfe, 0x10325476, 0xc3d2e1f0];

      if (typeof bytes === 'string') {
        var msg = unescape(encodeURIComponent(bytes)); // UTF8 escape

        bytes = [];

        for (var i = 0; i < msg.length; ++i) {
          bytes.push(msg.charCodeAt(i));
        }
      } else if (!Array.isArray(bytes)) {
        // Convert Array-like to Array
        bytes = Array.prototype.slice.call(bytes);
      }

      bytes.push(0x80);
      var l = bytes.length / 4 + 2;
      var N = Math.ceil(l / 16);
      var M = new Array(N);

      for (var _i = 0; _i < N; ++_i) {
        var arr = new Uint32Array(16);

        for (var j = 0; j < 16; ++j) {
          arr[j] = bytes[_i * 64 + j * 4] << 24 | bytes[_i * 64 + j * 4 + 1] << 16 | bytes[_i * 64 + j * 4 + 2] << 8 | bytes[_i * 64 + j * 4 + 3];
        }

        M[_i] = arr;
      }

      M[N - 1][14] = (bytes.length - 1) * 8 / Math.pow(2, 32);
      M[N - 1][14] = Math.floor(M[N - 1][14]);
      M[N - 1][15] = (bytes.length - 1) * 8 & 0xffffffff;

      for (var _i2 = 0; _i2 < N; ++_i2) {
        var W = new Uint32Array(80);

        for (var t = 0; t < 16; ++t) {
          W[t] = M[_i2][t];
        }

        for (var _t = 16; _t < 80; ++_t) {
          W[_t] = ROTL(W[_t - 3] ^ W[_t - 8] ^ W[_t - 14] ^ W[_t - 16], 1);
        }

        var a = H[0];
        var b = H[1];
        var c = H[2];
        var d = H[3];
        var e = H[4];

        for (var _t2 = 0; _t2 < 80; ++_t2) {
          var s = Math.floor(_t2 / 20);
          var T = ROTL(a, 5) + f$1(s, b, c, d) + e + K[s] + W[_t2] >>> 0;
          e = d;
          d = c;
          c = ROTL(b, 30) >>> 0;
          b = a;
          a = T;
        }

        H[0] = H[0] + a >>> 0;
        H[1] = H[1] + b >>> 0;
        H[2] = H[2] + c >>> 0;
        H[3] = H[3] + d >>> 0;
        H[4] = H[4] + e >>> 0;
      }

      return [H[0] >> 24 & 0xff, H[0] >> 16 & 0xff, H[0] >> 8 & 0xff, H[0] & 0xff, H[1] >> 24 & 0xff, H[1] >> 16 & 0xff, H[1] >> 8 & 0xff, H[1] & 0xff, H[2] >> 24 & 0xff, H[2] >> 16 & 0xff, H[2] >> 8 & 0xff, H[2] & 0xff, H[3] >> 24 & 0xff, H[3] >> 16 & 0xff, H[3] >> 8 & 0xff, H[3] & 0xff, H[4] >> 24 & 0xff, H[4] >> 16 & 0xff, H[4] >> 8 & 0xff, H[4] & 0xff];
    }

    var v5 = v35('v5', 0x50, sha1);
    var v5$1 = v5;

    var nil = '00000000-0000-0000-0000-000000000000';

    function version(uuid) {
      if (!validate(uuid)) {
        throw TypeError('Invalid UUID');
      }

      return parseInt(uuid.substr(14, 1), 16);
    }

    var esmBrowser = /*#__PURE__*/Object.freeze({
        __proto__: null,
        v1: v1,
        v3: v3$1,
        v4: v4,
        v5: v5$1,
        NIL: nil,
        version: version,
        validate: validate,
        stringify: stringify,
        parse: parse
    });

    var require$$0 = /*@__PURE__*/getAugmentedNamespace(esmBrowser);

    var Logger;
    Object.defineProperty(index_browser_min,"__esModule",{value:!0});var t=require$$0,e=function(t,r){return e=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(t,e){t.__proto__=e;}||function(t,e){for(var r in e)Object.prototype.hasOwnProperty.call(e,r)&&(t[r]=e[r]);},e(t,r)};function r(t,r){if("function"!=typeof r&&null!==r)throw new TypeError("Class extends value "+String(r)+" is not a constructor or null");function n(){this.constructor=t;}e(t,r),t.prototype=null===r?Object.create(r):(n.prototype=r.prototype,new n);}var n=function(){return n=Object.assign||function(t){for(var e,r=1,n=arguments.length;r<n;r++)for(var i in e=arguments[r])Object.prototype.hasOwnProperty.call(e,i)&&(t[i]=e[i]);return t},n.apply(this,arguments)};function i(t,e,r,n){return new(r||(r=Promise))((function(i,o){function s(t){try{a(n.next(t));}catch(t){o(t);}}function u(t){try{a(n.throw(t));}catch(t){o(t);}}function a(t){var e;t.done?i(t.value):(e=t.value,e instanceof r?e:new r((function(t){t(e);}))).then(s,u);}a((n=n.apply(t,e||[])).next());}))}function o(t,e){var r,n,i,o,s={label:0,sent:function(){if(1&i[0])throw i[1];return i[1]},trys:[],ops:[]};return o={next:u(0),throw:u(1),return:u(2)},"function"==typeof Symbol&&(o[Symbol.iterator]=function(){return this}),o;function u(o){return function(u){return function(o){if(r)throw new TypeError("Generator is already executing.");for(;s;)try{if(r=1,n&&(i=2&o[0]?n.return:o[0]?n.throw||((i=n.return)&&i.call(n),0):n.next)&&!(i=i.call(n,o[1])).done)return i;switch(n=0,i&&(o=[2&o[0],i.value]),o[0]){case 0:case 1:i=o;break;case 4:return s.label++,{value:o[1],done:!1};case 5:s.label++,n=o[1],o=[0];continue;case 7:o=s.ops.pop(),s.trys.pop();continue;default:if(!(i=s.trys,(i=i.length>0&&i[i.length-1])||6!==o[0]&&2!==o[0])){s=0;continue}if(3===o[0]&&(!i||o[1]>i[0]&&o[1]<i[3])){s.label=o[1];break}if(6===o[0]&&s.label<i[1]){s.label=i[1],i=o;break}if(i&&s.label<i[2]){s.label=i[2],s.ops.push(o);break}i[2]&&s.ops.pop(),s.trys.pop();continue}o=e.call(t,s);}catch(t){o=[6,t],n=0;}finally{r=i=0;}if(5&o[0])throw o[1];return {value:o[0]?o[1]:void 0,done:!0}}([o,u])}}}function s(t,e,r){if(r||2===arguments.length)for(var n,i=0,o=e.length;i<o;i++)!n&&i in e||(n||(n=Array.prototype.slice.call(e,0,i)),n[i]=e[i]);return t.concat(n||Array.prototype.slice.call(e))}var u=function(){function t(){}return t.isNotNullOrUndefined=function(t){return null!=t},t.isNullOrUndefined=function(t){return null==t},t.requiredNotNullOrUndefined=function(t,e){if(void 0===e&&(e=function(){return "Required value is null or undefined"}),this.isNullOrUndefined(t))throw new Error(e());return t},t.fromMap=function(t){var e={};return t.forEach((function(t,r){e[r]=t;})),e},t}(),a=function(){function t(){}return t.mapNotNullOrUndefined=function(t,e){for(var r=Array(),n=0,i=t;n<i.length;n++){var o=e(i[n]);u.isNotNullOrUndefined(o)&&r.push(o);}return r},t.mapOrUndefined=function(t,e){for(var r=Array(),n=0,i=t;n<i.length;n++){var o=e(i[n]);if(u.isNullOrUndefined(o))return;r.push(o);}return r},t.associateTo=function(t,e,r){for(var n=0,i=t;n<i.length;n++){var o=r(i[n]);e.set(o[0],o[1]);}return e},t.associate=function(t,e){return this.associateTo(t,new Map,e)},t.associateBy=function(t,e){return this.associate(t,(function(t){return [e(t),t]}))},t.chunked=function(t,e){for(var r=[],n=t.slice();n.length;)r.push(n.splice(0,e));return r},t}(),c={DISABLE:0,ERROR:1,WARN:2,INFO:3,DEBUG:4},f=function(){function t(){}return t.setLogLevel=function(t){void 0===t&&(t=c.INFO),this.logLevel=t;},t.initCounter=function(t){this.counters=a.associate(Object.keys(c),(function(e){return [e,t(e)]}));},t._log=function(t,e){var r;switch(t){case"WARN":r="orange";break;case"ERROR":r="red";break;default:r="#AAAAAA";}if(e instanceof Error)p.log(t,r,e.message,e);else try{p.log(t,r,e);}catch(t){}},t.increment=function(e){var r,n;null===(n=null===(r=t.counters)||void 0===r?void 0:r.get(e))||void 0===n||n.increment();},t.logLevel=c.INFO,t.log={error:function(e){t.logLevel>=c.ERROR&&(t._log("ERROR",e),t.increment("ERROR"));},warn:function(e){t.logLevel>=c.WARN&&(t._log("WARN",e),t.increment("WARN"));},info:function(e){t.logLevel>=c.INFO&&(t._log("INFO",e),t.increment("INFO"));},debug:function(e){t.logLevel>=c.DEBUG&&(t._log("DEBUG",e),t.increment("DEBUG"));}},t}(),p=function(){function t(){}return t.log=function(t,e,r,n){try{console.log("%c[".concat(t,"] Hackle: ").concat(r),"color: ".concat(e));}catch(t){}},t}(),l="X-HACKLE-SDK-NAME",h=[0,8,16,32,64,128,256,512],d=f.log;function v(t,e){for(var r in e)e.hasOwnProperty(r)&&t.setRequestHeader(r,e[r]);}var y={getRequest:function(t,e){return {abort:function(){},responsePromise:new Promise((function(r,n){var i=new XMLHttpRequest;i.open("GET",t),i.onreadystatechange=function(){if(i.readyState===i.DONE){if(0===i.status)return void n(new Error("Request error"));r({statusCode:i.status,body:i.responseText});}},i.onerror=function(){n();},i.setRequestHeader("content-type","application/json"),v(i,e),i.send();}))}},postRequest:function(t,e,r,n,i){var o=JSON.stringify(e),s=new XMLHttpRequest;s.open("POST",t),s.onreadystatechange=function(){s.readyState===s.DONE&&(s.status>=200&&s.status<400?n({statusCode:s.status}):i&&i({statusCode:s.status}));},s.setRequestHeader("content-type","application/json"),v(s,r),s.send(o);},sendBeacon:function(t,e,r,n,i){var o=!1;if("undefined"!=typeof window&&(o=window&&window.navigator&&window.navigator.sendBeacon&&!0),o){var s=JSON.stringify(e),u=new URLSearchParams;if(u.append("sdkName",r[l]),u.append("sdkVersion",r["X-HACKLE-SDK-VERSION"]),u.append("sdkKey",r["X-HACKLE-SDK-KEY"]),u.append("data",s),!window.navigator.sendBeacon(t,u))return d.error("sendBeacon failed to queue request."),void i();n();}else d.error("Does not support sendBeacon"),i();}},m=f.log,g=function(){function t(){}return t.isEquals=function(t,e){if(null==e)return !1;var r=Object.keys(t);return r.length===Object.keys(e).length&&r.every((function(r){return t[r]===e[r]}))},t.sanitize=function(t){var e={};if(u.isNullOrUndefined(t))return e;for(var r=0,n=Object.entries(t);r<n.length;r++){var i=n[r],o=i[0],s=i[1];if(this.isValidType(o)){var a=this.sanitizeValue(s);u.isNullOrUndefined(a)?m.debug("Invalid identifier value. The identifier type value be a string of 512 characters or less. [".concat(o,"]")):e[o]=a;}else m.debug("Invalid identifier type. The identifier type must be a string of 128 characters or less. [".concat(o,"]"));}return e},t.isValidType=function(t){return !u.isNullOrUndefined(t)&&("string"==typeof t&&t.length>0&&t.length<=this.MAX_IDENTIFIER_TYPE_LENGTH)},t.sanitizeValue=function(t){return "string"==typeof t&&t.length>0&&t.length<=this.MAX_IDENTIFIER_VALUE_LENGTH?t:"number"==typeof t?t.toString():null},t.MAX_IDENTIFIER_TYPE_LENGTH=128,t.MAX_IDENTIFIER_VALUE_LENGTH=512,t}(),E=f.log,w=function(){function t(){}return t.sanitize=function(t){var e={};if(u.isNullOrUndefined(t))return e;for(var r=0,n=Object.entries(t);r<n.length;r++){var i=n[r],o=i[0],s=i[1];if(Object.keys(e).length>=this.MAX_PROPERTIES_COUNT){E.debug("The number of properties cannot exceed 128. Drops excess properties. [".concat(o,", ").concat(s,"]"));break}if(this.isValidKey(o)){var a=this.sanitizeValue(o,s);u.isNullOrUndefined(a)?E.debug("Invalid property value. The property value mus be 'string(..1024)', 'number', 'boolean', or 'array' type. [".concat(s,"]")):e[o]=a;}else E.debug("Invalid property key. The property key must be a string of 128 characters or less. [".concat(o,"]"));}return e},t.isValidProperty=function(t,e){return this.isValidKey(t)&&this.isValidValue(e)},t.isValidKey=function(t){return u.isNotNullOrUndefined(t)&&"string"==typeof t&&t.length>0&&t.length<=this.MAX_PROPERTY_KEY_LENGTH},t.sanitizeValue=function(t,e){var r=this;return "string"==typeof t&&t.startsWith(this.SYSTEM_PROPERTY_KEY_PREFIX)?e:this.isValidValue(e)?Array.isArray(e)?e.filter((function(t){return r.isValidElement(t)})):e:null},t.isValidValue=function(t){return !u.isNullOrUndefined(t)&&("string"==typeof t?t.length<=this.MAX_PROPERTY_VALUE_LENGTH:"number"==typeof t?!isNaN(t)&&isFinite(t):"boolean"==typeof t||Array.isArray(t))},t.isValidElement=function(t){return !u.isNullOrUndefined(t)&&("string"==typeof t?t.length>0&&t.length<=this.MAX_PROPERTY_VALUE_LENGTH:"number"==typeof t)},t.SYSTEM_PROPERTY_KEY_PREFIX="$",t.MAX_PROPERTIES_COUNT=128,t.MAX_PROPERTY_KEY_LENGTH=128,t.MAX_PROPERTY_VALUE_LENGTH=1024,t}(),T=["nanoseconds","microseconds","milliseconds","seconds","minutes","hours","days"],_=function(){function t(){}return t.nanosToUnit=function(e,r){switch(r){case"nanoseconds":return e;case"microseconds":return e/(t.C1/t.C0);case"milliseconds":return e/(t.C2/t.C0);case"seconds":return e/(t.C3/t.C0);case"minutes":return e/(t.C4/t.C0);case"hours":return e/(t.C5/t.C0);case"days":return e/(t.C6/t.C0)}},t.microsToUnit=function(e,r){switch(r){case"nanoseconds":return e*(t.C1/t.C0);case"milliseconds":return e/(t.C2/t.C1);case"microseconds":return e;case"seconds":return e/(t.C3/t.C1);case"minutes":return e/(t.C4/t.C1);case"hours":return e/(t.C5/t.C1);case"days":return e/(t.C6/t.C1)}},t.millisToUnit=function(e,r){switch(r){case"nanoseconds":return e*(t.C2/t.C0);case"microseconds":return e*(t.C2/t.C1);case"milliseconds":return e;case"seconds":return e/(t.C3/t.C2);case"minutes":return e/(t.C4/t.C2);case"hours":return e/(t.C5/t.C2);case"days":return e/(t.C6/t.C2)}},t.secondsToUnit=function(e,r){switch(r){case"nanoseconds":return e*(t.C3/t.C0);case"microseconds":return e*(t.C3/t.C1);case"milliseconds":return e*(t.C3/t.C2);case"seconds":return e;case"minutes":return e/(t.C4/t.C3);case"hours":return e/(t.C5/t.C3);case"days":return e/(t.C6/t.C3)}},t.minutesToUnit=function(e,r){switch(r){case"nanoseconds":return e*(t.C4/t.C0);case"microseconds":return e*(t.C4/t.C1);case"milliseconds":return e*(t.C4/t.C2);case"seconds":return e*(t.C4/t.C3);case"minutes":return e;case"hours":return e/(t.C5/t.C4);case"days":return e/(t.C6/t.C4)}},t.hoursToUnit=function(e,r){switch(r){case"nanoseconds":return e*(t.C5/t.C0);case"microseconds":return e*(t.C5/t.C1);case"milliseconds":return e*(t.C5/t.C2);case"seconds":return e*(t.C5/t.C3);case"minutes":return e*(t.C5/t.C4);case"hours":return e;case"days":return e/(t.C6/t.C5)}},t.daysToUnit=function(e,r){switch(r){case"nanoseconds":return e*(t.C6/t.C0);case"microseconds":return e*(t.C6/t.C1);case"milliseconds":return e*(t.C6/t.C2);case"seconds":return e*(t.C6/t.C3);case"minutes":return e*(t.C6/t.C4);case"hours":return e*(t.C6/t.C5);case"days":return e}},t.C0=1,t.C1=1e3*t.C0,t.C2=1e3*t.C1,t.C3=1e3*t.C2,t.C4=60*t.C3,t.C5=60*t.C4,t.C6=24*t.C5,t.converter={nanoseconds:t.nanosToUnit,microseconds:t.microsToUnit,milliseconds:t.millisToUnit,seconds:t.secondsToUnit,minutes:t.minutesToUnit,hours:t.hoursToUnit,days:t.daysToUnit},t}(),I=function(){function t(){}return t.prototype.tick=function(){return 1e3*Date.now()},t.prototype.currentMillis=function(){return Date.now()},t.instance=new t,t}(),A=f.log;function N(t,e){var r=t.find((function(t){return t===e||t.toLowerCase()===e.toLowerCase()}));return r||A.debug("Unsupported type [".concat(e,"]. Please use the latest version of sdk.")),r}function O(t,e){if(!u.isNullOrUndefined(e)){for(var r=new Array,n=0,i=e;n<i.length;n++){var o=N(t,i[n]);if(u.isNullOrUndefined(o))return;r.push(o);}return r}}var b=function(){function t(t,e){this.value=t,this.reason=e;}return t.of=function(e,r){return new t(e,r)},t}(),R=function(){function t(t,e,r){this.inAppMessage=t,this.message=e,this.reason=r;}return t.prototype.isShow=function(){return u.isNotNullOrUndefined(this.inAppMessage)&&u.isNotNullOrUndefined(this.message)},t.of=function(e,r,n){return new t(r,n,e)},t}(),S=function(){function t(t,e,r){this.variation=t,this.reason=e,this.config=r;}return t.of=function(e,r,n){return void 0===n&&(n=new x),new t(e,r,n)},t.prototype.get=function(t,e){return this.config.get(t,e)},t}(),M=function(){function t(t,e,r){this.isOn=t,this.reason=e,this.config=r;}return t.on=function(e,r){return void 0===r&&(r=new x),new t(!0,e,r)},t.off=function(e,r){return void 0===r&&(r=new x),new t(!1,e,r)},t.prototype.get=function(t,e){return this.config.get(t,e)},t}(),C=function(){function t(){}return t.prototype.get=function(t,e){return e},t}(),x=function(){function t(){}return t.prototype.get=function(t,e){return e},t}(),P=function(){function t(){}return t.SDK_NOT_READY="SDK_NOT_READY",t.EXCEPTION="EXCEPTION",t.INVALID_INPUT="INVALID_INPUT",t.UNSUPPORTED_PLATFORM="UNSUPPORTED_PLATFORM",t.TYPE_MISMATCH="TYPE_MISMATCH",t.EXPERIMENT_NOT_FOUND="EXPERIMENT_NOT_FOUND",t.EXPERIMENT_DRAFT="EXPERIMENT_DRAFT",t.EXPERIMENT_PAUSED="EXPERIMENT_PAUSED",t.EXPERIMENT_COMPLETED="EXPERIMENT_COMPLETED",t.OVERRIDDEN="OVERRIDDEN",t.TRAFFIC_NOT_ALLOCATED="TRAFFIC_NOT_ALLOCATED",t.NOT_IN_MUTUAL_EXCLUSION_EXPERIMENT="NOT_IN_MUTUAL_EXCLUSION_EXPERIMENT",t.IDENTIFIER_NOT_FOUND="IDENTIFIER_NOT_FOUND",t.VARIATION_DROPPED="VARIATION_DROPPED",t.TRAFFIC_ALLOCATED="TRAFFIC_ALLOCATED",t.TRAFFIC_ALLOCATED_BY_TARGETING="TRAFFIC_ALLOCATED_BY_TARGETING",t.NOT_IN_EXPERIMENT_TARGET="NOT_IN_EXPERIMENT_TARGET",t.FEATURE_FLAG_NOT_FOUND="FEATURE_FLAG_NOT_FOUND",t.FEATURE_FLAG_INACTIVE="FEATURE_FLAG_INACTIVE",t.INDIVIDUAL_TARGET_MATCH="INDIVIDUAL_TARGET_MATCH",t.TARGET_RULE_MATCH="TARGET_RULE_MATCH",t.DEFAULT_RULE="DEFAULT_RULE",t.REMOTE_CONFIG_PARAMETER_NOT_FOUND="REMOTE_CONFIG_PARAMETER_NOT_FOUND",t.IN_APP_MESSAGE_NOT_FOUND="IN_APP_MESSAGE_NOT_FOUND",t.IN_APP_MESSAGE_DRAFT="IN_APP_MESSAGE_DRAFT",t.IN_APP_MESSAGE_PAUSED="IN_APP_MESSAGE_PAUSED",t.IN_APP_MESSAGE_HIDDEN="IN_APP_MESSAGE_HIDDEN",t.IN_APP_MESSAGE_TARGET="IN_APP_MESSAGE_TARGET",t.NOT_IN_IN_APP_MESSAGE_PERIOD="NOT_IN_IN_APP_MESSAGE_PERIOD",t.NOT_IN_IN_APP_MESSAGE_TARGET="NOT_IN_IN_APP_MESSAGE_TARGET",t}(),U=function(){function t(t,e,r,n,i,o,s,u,a,c,f,p,l,h,d){this.id=t,this.key=e,this.type=r,this.identifierType=n,this.status=i,this.version=o,this.executionVersion=s,this.variations=u,this.userOverrides=a,this.segmentOverrides=c,this.targetAudiences=f,this.targetRules=p,this.defaultRule=l,this.containerId=h,this.winnerVariationId=d;}return t.fromJson=function(e,r){var n=t.experimentStatusOrNull(r.execution.status),i=r.variations.map((function(t){return new k(t.id,t.key,"DROPPED"===t.status,t.parameterConfigurationId)})),o=a.associate(r.execution.userOverrides,(function(t){return [t.userId,t.variationId]})),s=a.mapNotNullOrUndefined(r.execution.segmentOverrides,(function(t){return q.fromJson(t,pt.IDENTIFIER)})),u=a.mapNotNullOrUndefined(r.execution.targetAudiences,(function(t){return K.fromJson(t,pt.PROPERTY)})),c=a.mapNotNullOrUndefined(r.execution.targetRules,(function(t){return q.fromJson(t,pt.PROPERTY)})),f=J.fromJson(r.execution.defaultRule);return n&&f&&new t(r.id,r.key,e,r.identifierType,n,r.version,r.execution.version,i,o,s,u,c,f,r.containerId,r.winnerVariationId)},t.experimentStatusOrNull=function(t){switch(t){case"READY":return "DRAFT";case"RUNNING":return "RUNNING";case"PAUSED":return "PAUSED";case"STOPPED":return "COMPLETED";default:return void A.debug("Unsupported status [".concat(t,"]"))}},t.prototype._winnerVariationOrNull=function(){if(this.winnerVariationId)return this._getVariationByIdOrNull(this.winnerVariationId)},t.prototype._getVariationByIdOrNull=function(t){return this.variations.find((function(e){return e.id===t}))},t.prototype._getVariationByKeyOrNull=function(t){return this.variations.find((function(e){return e.key===t}))},t}(),k=function(t,e,r,n){this.id=t,this.key=e,this.isDropped=r,this.parameterConfigurationId=n;},D=function(){function t(t,e,r,n){this.id=t,this.seed=e,this.slotSize=r,this.slots=n;}return t.fromJson=function(e){return new t(e.id,e.seed,e.slotSize,e.slots.map((function(t){var e=t.startInclusive,r=t.endExclusive,n=t.variationId;return new L(e,r,n)})))},t}(),L=function(){function t(t,e,r){this.startInclusive=t,this.endExclusive=e,this.variationId=r;}return t.prototype.contains=function(t){return this.startInclusive<=t&&t<this.endExclusive},t}(),F=function(){function t(t,e){this.id=t,this.key=e;}return t.fromJson=function(e){return new t(e.id,e.key)},t}(),V=function(){function t(){}return t.ID="$id",t.USER="$userId",t.DEVICE="$deviceId",t.SESSION="$sessionId",t.HACKLE_DEVICE="$hackleDeviceId",t}(),j=function(){function t(){this.identifiers={};}return t.prototype.addIdentifiers=function(t){for(var e in t)this.add(e,t[e]);return this},t.prototype.add=function(t,e){var r=g.sanitizeValue(e);return g.isValidType(t)&&r?this.identifiers[t]=e:A.warn("Invalid user identifier [type=".concat(t,", value=").concat(e,"]")),this},t.prototype.build=function(){return this.identifiers},t}(),G=function(t){var e,r,n,i={};return i.id=null!==(e=g.sanitizeValue(t.id))&&void 0!==e?e:void 0,i.userId=null!==(r=g.sanitizeValue(t.userId))&&void 0!==r?r:void 0,i.deviceId=null!==(n=g.sanitizeValue(t.deviceId))&&void 0!==n?n:void 0,"object"==typeof t.properties&&(i.properties=w.sanitize(t.properties)),"object"==typeof t.identifiers&&(i.identifiers=g.sanitize(t.identifiers)),function(t){return Boolean(t.id||t.userId||t.deviceId||t.identifiers&&Object.keys(t.identifiers).length>0)}(i)?i:null},K=function(){function t(t){this.conditions=t;}return t.fromJson=function(e,r){return new t(a.mapNotNullOrUndefined(e.conditions,(function(t){return H.fromJson(t,r)})))},t.prototype.toJson=function(){return {conditions:this.conditions.map((function(t){return t.toJson()}))}},t}(),H=function(){function t(t,e){this.key=t,this.match=e;}return t.fromJson=function(e,r){var n=B.fromJson(e.key);if(n&&r.supports(n.type)){var i=z.fromJson(e.match);return i&&new t(n,i)}},t.prototype.toJson=function(){return {key:this.key.toJson(),match:this.match.toJson()}},t}(),B=function(){function t(t,e){this.type=t,this.name=e;}return t.fromJson=function(e){var r=N(ct,e.type);return r&&new t(r,e.name)},t.prototype.toJson=function(){return {type:this.type,name:this.name}},t}(),z=function(){function t(t,e,r,n){this.type=t,this.operator=e,this.valueType=r,this.values=n;}return t.fromJson=function(e){var r=N(ot,e.type),n=N(ut,e.operator),i=N(st,e.valueType);return r&&n&&i&&new t(r,n,i,e.values)},t.prototype.toJson=function(){return {operator:this.operator,type:this.type,valueType:this.valueType,values:this.values}},t}(),J=function(){function t(t,e,r){this.type=t,this.variationId=e,this.bucketId=r;}return t.fromJson=function(e){var r=N(at,e.type);return r&&new t(r,e.variationId,e.bucketId)},t}(),q=function(){function t(t,e){this.target=t,this.action=e;}return t.fromJson=function(e,r){var n=K.fromJson(e.target,r),i=J.fromJson(e.action);return n&&i&&new t(n,i)},t}(),Y=function(){function t(t,e,r,n){this.id=t,this.key=e,this.type=r,this.targets=n;}return t.fromJson=function(e){var r=N(ft,e.type);return r&&new t(e.id,e.key,r,a.mapNotNullOrUndefined(e.targets,(function(t){return K.fromJson(t,pt.SEGMENT)})))},t}(),X=function(){function t(t,e,r){this.id=t,this.bucketId=e,this.groups=r;}return t.fromJson=function(e){return new t(e.id,e.bucketId,e.groups.map((function(t){return W.fromJson(t)})))},t.prototype.getGroupOrNull=function(t){return this.groups.find((function(e){return e.id===t}))},t}(),W=function(){function t(t,e){this.id=t,this.experiments=e;}return t.fromJson=function(e){return new t(e.id,e.experiments)},t}(),$$1=function(){function t(t,e){this.id=t,this.parameters=e;}return t.fromJson=function(e){return new t(e.id,a.associate(e.parameters,(function(t){return [t.key,t.value]})))},t.prototype.get=function(t,e){var r=this.parameters.get(t);return u.isNullOrUndefined(r)?e:u.isNullOrUndefined(e)||typeof r==typeof e?r:e},t}(),Z=function(){function t(t,e,r,n,i,o){this.id=t,this.key=e,this.type=r,this.identifierType=n,this.targetRules=i,this.defaultValue=o;}return t.fromJson=function(e){var r=N(st,e.type),n=a.mapNotNullOrUndefined(e.targetRules,(function(t){return Q.fromJson(t,pt.PROPERTY)})),i=tt.fromJson(e.defaultValue);return r&&new t(e.id,e.key,r,e.identifierType,n,i)},t}(),Q=function(){function t(t,e,r,n,i){this.key=t,this.name=e,this.target=r,this.bucketId=n,this.value=i;}return t.fromJson=function(e,r){var n=K.fromJson(e.target,r);return n&&new t(e.key,e.name,n,e.bucketId,tt.fromJson(e.value))},t}(),tt=function(){function t(t,e){this.id=t,this.rawValue=e;}return t.fromJson=function(e){return new t(e.id,e.value)},t}();function et(t,e){return t-e}var rt=function(){function t(t,e,r){this.coreVersion=t,this.prerelease=e,this.build=r;}return t.tryParse=function(e){var r=t.regExp.exec(e);if(r){r[0];var n=r[1],i=r[2],o=void 0===i?"0":i,s=r[3],u=void 0===s?"0":s,a=r[4],c=r[5];return new t(new nt(parseInt(n,10),parseInt(o,10),parseInt(u,10)),it.parse(a),it.parse(c))}},t.prototype.compareTo=function(t){return this.coreVersion.compareTo(t.coreVersion)||this.prerelease.compareTo(t.prerelease)},t.prototype.isEqualTo=function(t){return 0===this.compareTo(t)},t.prototype.isGreaterThan=function(t){return this.compareTo(t)>0},t.prototype.isGreaterThanOrEqualTo=function(t){return this.compareTo(t)>=0},t.prototype.isLessThan=function(t){return this.compareTo(t)<0},t.prototype.isLessThanOrEqualTo=function(t){return this.compareTo(t)<=0},t.regExp=/^(0|[1-9]\d*)(?:\.(0|[1-9]\d*))?(?:\.(0|[1-9]\d*))?(?:-((?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*)(?:\.(?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*))*))?(?:\+([0-9a-zA-Z-]+(?:\.[0-9a-zA-Z-]+)*))?$/,t}(),nt=function(){function t(t,e,r){this.major=t,this.minor=e,this.patch=r;}return t.prototype.compareTo=function(t){return et(this.major,t.major)||et(this.minor,t.minor)||et(this.patch,t.patch)},t}(),it=function(){function t(t){this.identifiers=t;}return t.parse=function(e){return e?new t(e.split(".")):t.EMPTY},t.prototype.isEmpty=function(){return 0===this.identifiers.length},t.prototype.isNotEmpty=function(){return !this.isEmpty()},t.prototype.compareTo=function(t){return this.isEmpty()&&t.isEmpty()?0:this.isEmpty()&&t.isNotEmpty()?1:this.isNotEmpty()&&t.isEmpty()?-1:this.compareIdentifiers(t)},t.prototype.compareIdentifiers=function(e){for(var r=Math.min(this.identifiers.length,e.identifiers.length),n=0;n<r;n++){var i=t.compareIdentifiers(this.identifiers[n],e.identifiers[n]);if(0!==i)return i}return et(this.identifiers.length,e.identifiers.length)},t.compareIdentifiers=function(e,r){return t.numericIdentifierRegExp.test(e)&&t.numericIdentifierRegExp.test(r)?et(+e,+r):e===r?0:e<r?-1:1},t.EMPTY=new t([]),t.numericIdentifierRegExp=/^(0|[1-9]\d*)$/,t}(),ot=["MATCH","NOT_MATCH"],st=["STRING","NUMBER","BOOLEAN","VERSION","JSON","NULL","UNKNOWN"],ut=["IN","CONTAINS","STARTS_WITH","ENDS_WITH","GT","GTE","LT","LTE"],at=["VARIATION","BUCKET"],ct=["USER_ID","USER_PROPERTY","HACKLE_PROPERTY","SEGMENT","AB_TEST","FEATURE_FLAG","EVENT_PROPERTY"],ft=["USER_ID","USER_PROPERTY"],pt=function(){function t(){for(var t=[],e=0;e<arguments.length;e++)t[e]=arguments[e];this.supportedKeyTypes=t;}return t.prototype.supports=function(t){return this.supportedKeyTypes.includes(t)},t.IDENTIFIER=new t("SEGMENT"),t.PROPERTY=new t("SEGMENT","USER_PROPERTY","HACKLE_PROPERTY","AB_TEST","FEATURE_FLAG","EVENT_PROPERTY"),t.SEGMENT=new t("USER_ID","USER_PROPERTY","HACKLE_PROPERTY"),t}(),lt=["ACTIVE","DRAFT","PAUSE"],ht=["WEB","ANDROID","IOS"],dt=["IMMEDIATE","CUSTOM"],vt=["MODAL"],yt=["IMAGE_TEXT","IMAGE_ONLY","TEXT_ONLY"],mt=["VERTICAL","HORIZONTAL"],gt=["CLICK"],Et=["CLOSE","WEB_LINK","HIDDEN","LINK_AND_CLOSE","LINK_NEW_TAB","LINK_NEW_TAB_AND_CLOSE","LINK_NEW_WINDOW","LINK_NEW_WINDOW_AND_CLOSE"],wt=function(){function t(t,e,r,n,i,o,s){this.id=t,this.key=e,this.status=r,this.period=n,this.eventTrigger=i,this.targetContext=o,this.messageContext=s;}return t.fromJson=function(e){var r=N(lt,e.status);if(!u.isNullOrUndefined(r)){var n;switch(N(dt,e.timeUnit)){case"IMMEDIATE":n=new Tt;break;case"CUSTOM":if(u.isNullOrUndefined(e.startEpochTimeMillis))return;if(u.isNullOrUndefined(e.endEpochTimeMillis))return;n=new _t(e.startEpochTimeMillis,e.endEpochTimeMillis);break;default:return}var i=Mt.fromJson(e.messageContext);if(!u.isNullOrUndefined(i)){var o=e.eventTriggerRules.map(At.fromJson),s=Nt.fromJson(e.eventFrequencyCap);return new t(e.id,e.key,r,n,new It(o,s),Rt.fromJson(e.targetContext),i)}}},t.prototype.supports=function(t){return this.messageContext.platformTypes.includes(t)},t}(),Tt=function(){function t(){this.type="IMMEDIATE";}return t.prototype.within=function(t){return !0},t}(),_t=function(){function t(t,e){this.startMillisInclusive=t,this.endMillisExclusive=e,this.type="CUSTOM";}return t.prototype.within=function(t){return this.startMillisInclusive<=t&&t<this.endMillisExclusive},t}(),It=function(t,e){this.rules=t,this.frequencyCap=e;},At=function(){function t(t,e){this.eventKey=t,this.targets=e;}return t.fromJson=function(e){return new t(e.eventKey,a.mapNotNullOrUndefined(e.targets,(function(t){return K.fromJson(t,pt.PROPERTY)})))},t}(),Nt=function(){function t(t,e){this.identifierCaps=t,this.durationCap=e;}return t.fromJson=function(e){return e?new t(e.identifiers.map(Ot.fromJson),bt.fromJson(e.duration)):null},t}(),Ot=function(){function t(t,e){this.identifierType=t,this.count=e;}return t.fromJson=function(e){return new t(e.identifierType,e.countPerIdentifier)},t}(),bt=function(){function t(t,e){this.durationMillis=t,this.count=e;}return t.fromJson=function(e){if(!e)return null;var r=N(T,e.durationUnit.timeUnit);return r?new t(_.converter[r](e.durationUnit.amount,"milliseconds"),e.countPerDuration):null},t}(),Rt=function(){function t(t,e){this.overrides=t,this.targets=e;}return t.fromJson=function(e){return new t(e.overrides.map(St.fromJson),a.mapNotNullOrUndefined(e.targets,(function(t){return K.fromJson(t,pt.PROPERTY)})))},t}(),St=function(){function t(t,e){this.identifierType=t,this.identifiers=e;}return t.fromJson=function(e){return new t(e.identifierType,e.identifiers)},t}(),Mt=function(){function t(t,e,r,n){this.defaultLang=t,this.platformTypes=e,this.orientations=r,this.messages=n;}return t.fromJson=function(e){var r=O(ht,e.platformTypes);if(!u.isNullOrUndefined(r)){var n=O(mt,e.orientations);if(!u.isNullOrUndefined(n)){var i=a.mapOrUndefined(e.messages,Ct.fromJson);if(!u.isNullOrUndefined(i))return new t(e.defaultLang,r,n,i)}}},t}(),Ct=function(){function t(t,e,r,n,i,o,s){this.lang=t,this.layout=e,this.images=r,this.text=n,this.buttons=i,this.closeButton=o,this.background=s;}return t.fromJson=function(e){var r=xt.fromJson(e.layout);if(!u.isNullOrUndefined(r)){var n=a.mapOrUndefined(e.images,Pt.fromJson);if(!u.isNullOrUndefined(n)){var i=a.mapOrUndefined(e.buttons,Lt.fromJson);if(!u.isNullOrUndefined(i)){var o=void 0;if(!u.isNotNullOrUndefined(e.closeButton)||(o=Lt.fromJson2(e.closeButton),!u.isNullOrUndefined(o)))return new t(e.lang,r,n,e.text?Ut.fromJson(e.text):void 0,i,o,new Vt(e.background.color))}}}},t.prototype.toJson=function(){var t,e,r,n;return {lang:this.lang,layout:{layoutType:this.layout.layoutType,displayType:this.layout.displayType},images:this.images.map((function(t){return t.toJson()})),text:null!==(e=null===(t=this.text)||void 0===t?void 0:t.toJson())&&void 0!==e?e:null,closeButton:null!==(n=null===(r=this.closeButton)||void 0===r?void 0:r.toCloseButtonJson())&&void 0!==n?n:null,buttons:this.buttons.map((function(t){return t.toJson()})),background:{color:this.background.color}}},t}(),xt=function(){function t(t,e){this.displayType=t,this.layoutType=e;}return t.fromJson=function(e){var r=N(yt,e.layoutType),n=N(vt,e.displayType);if(!u.isNullOrUndefined(n)&&!u.isNullOrUndefined(r))return new t(n,r)},t}(),Pt=function(){function t(t,e,r){this.orientation=t,this.imagePath=e,this.action=r;}return t.fromJson=function(e){var r=N(mt,e.orientation);if(!u.isNullOrUndefined(r)){var n=void 0;if(!u.isNotNullOrUndefined(e.action)||(n=jt.fromJson(e.action),!u.isNullOrUndefined(n)))return new t(r,e.imagePath,n)}},t.prototype.toJson=function(){var t,e;return {orientation:this.orientation,imagePath:this.imagePath,action:null!==(e=null===(t=this.action)||void 0===t?void 0:t.toJson())&&void 0!==e?e:null}},t}(),Ut=function(){function t(t,e){this.title=t,this.body=e;}return t.fromJson=function(e){return new t(kt.fromJson(e.title),kt.fromJson(e.body))},t.prototype.toJson=function(){return {title:{text:this.title.text,style:{textColor:this.title.style.color}},body:{text:this.body.text,style:{textColor:this.body.style.color}}}},t}(),kt=function(){function t(t,e){this.text=t,this.style=e;}return t.fromJson=function(e){return new t(e.text,new Dt(e.style.textColor))},t}(),Dt=function(t){this.color=t;},Lt=function(){function t(t,e,r){this.text=t,this.style=e,this.action=r;}return t.fromJson=function(e){var r=jt.fromJson(e.action);if(!u.isNullOrUndefined(r))return new t(e.text,new Ft(e.style.textColor,e.style.bgColor,e.style.borderColor),r)},t.fromJson2=function(e){var r=jt.fromJson(e.action);if(!u.isNullOrUndefined(r))return new t("✕",new Ft(e.style.color,"#FFFFFF","#FFFFFF"),r)},t.prototype.toJson=function(){return {text:this.text,action:this.action.toJson(),style:{textColor:this.style.textColor,bgColor:this.style.backgroundColor,borderColor:this.style.backgroundColor}}},t.prototype.toCloseButtonJson=function(){return {action:this.action.toJson(),style:{color:this.style.textColor}}},t}(),Ft=function(t,e,r){this.textColor=t,this.backgroundColor=e,this.borderColor=r;},Vt=function(t){this.color=t;},jt=function(){function t(t,e,r){this.behavior=t,this.type=e,this.value=r;}return t.fromJson=function(e){var r,n=N(gt,e.behavior);if(!u.isNullOrUndefined(n)){var i=N(Et,e.type);if(!u.isNullOrUndefined(i))return new t(n,i,null!==(r=e.value)&&void 0!==r?r:void 0)}},t.prototype.toJson=function(){var t;return {behavior:this.behavior,type:this.type,value:null!==(t=this.value)&&void 0!==t?t:null}},t}(),Gt=function(){function t(t){this.name=t,this._tags={},this.name=t;}return t.prototype.tags=function(t){var e=this;return Object.entries(t).forEach((function(t){var r=t[0],n=t[1];e._tags[r]=n;})),this},t.prototype.tag=function(t,e){return this._tags[t]=e,this},t.prototype.register=function(t){return t.registerTimer({name:this.name,tags:this._tags,type:"TIMER"})},t}(),Kt=function(){function t(t){this._clock=t,this.startTime=this._clock.tick();}return t.start=function(e){return void 0===e&&(e=t.defaultClock),new t(e)},t.prototype.stop=function(t){var e=this._clock.tick()-this.startTime;t.record(e,"microseconds");},t.defaultClock=new I,t}();var Ht=function(){function t(t){this.name=t,this._tags={};}return t.prototype.tags=function(t){var e=this;return Object.entries(t).forEach((function(t){var r=t[0],n=t[1];e._tags[r]=n;})),this},t.prototype.tag=function(t,e){return this._tags[t]=e,this},t.prototype.register=function(t){return t.registerCounter({name:this.name,tags:this._tags,type:"COUNTER"})},t}();var Bt=function(){function t(t,e){this.valueSupplier=e,this.field=t;}return Object.defineProperty(t.prototype,"value",{get:function(){return this.valueSupplier()},enumerable:!1,configurable:!0}),t}();function zt(t,e){return t.name===e.name&&g.isEquals(t.tags,e.tags)}var Jt=function(){function t(t){this.counterValue=0,this.id=t;}return t.prototype.count=function(){return this.counterValue},t.prototype.increment=function(t){this.counterValue+=null!=t?t:1;},t.prototype.measure=function(){return [new Bt("count",this.count.bind(this))]},t}(),qt=function(){function t(t){this.id=t,this.currentCounter=new Jt(t);}return t.prototype.flush=function(){var t=this.currentCounter;return this.currentCounter=new Jt(this.id),t},t.prototype.count=function(){return this.currentCounter.count()},t.prototype.increment=function(t){this.currentCounter.increment(t);},t.prototype.measure=function(){return [new Bt("count",this.count.bind(this))]},t}(),Yt=function(){function t(t){this.compareFn=t,this.data=new Map,this.compareFn=t,this.data=new Map;}return t.prototype.values=function(){return Array.from(this.data.values())},t.prototype.keys=function(){return Array.from(this.data.keys())},t.prototype.get=function(t){var e=this,r=this.keys().find((function(r){return e.compareFn(r,t)}));return r?this.data.get(r):void 0},t.prototype.has=function(t){return void 0!==this.get(t)},t.prototype.add=function(t,e){var r=e;return r||(r=t),this.data.set(t,r),this},t.prototype.delete=function(t){if(this.has(t)){var e=this.get(t);return this.data.delete(t),e}},t.prototype.forEach=function(t){this.data.forEach(t);},t.prototype.entries=function(){return Array.from(this.data.entries())},t}(),Xt=function(){function e(){this.id=t.v4(),this.name="MetricRegistry",this._metrics=new Yt(zt);}return Object.defineProperty(e.prototype,"metrics",{get:function(){return Array.from(this._metrics.values())},enumerable:!1,configurable:!0}),e.prototype.registerCounter=function(t){return this.registerMetricIfNecessary(t,this.createCounter.bind(this))},e.prototype.registerTimer=function(t){return this.registerMetricIfNecessary(t,this.createTimer.bind(this))},e.prototype.counter=function(t,e){return void 0===e&&(e={}),new Ht(t).tags(e).register(this)},e.prototype.timer=function(t,e){return void 0===e&&(e={}),new Gt(t).tags(e).register(this)},e.prototype.registerMetricIfNecessary=function(t,e){return this.getOrCreateMetric(t,e)},e.prototype.getOrCreateMetric=function(t,e){var r,n=this._metrics.get(t);return n?r=n:(r=e(t),this._metrics.add(t,r)),r},e.prototype.close=function(){},e}(),Wt=function(t){function e(e){var r=t.call(this)||this;return r.pushIntervalMillis=e,r.currentIntervalId=void 0,r.pushIntervalMillis=e,r}return r(e,t),e.prototype.start=function(){var t=this;void 0===this.currentIntervalId&&(this.currentIntervalId=setInterval((function(){t.publish();}),this.pushIntervalMillis),f.log.debug("PushMetricRegistry started. Publish metrics every ".concat(this.pushIntervalMillis,"ms.")));},e.prototype.stop=function(){void 0!==this.currentIntervalId&&(clearInterval(this.currentIntervalId),this.currentIntervalId=void 0,this.publish(),f.log.debug("PushMetricRegistry stopped."));},e.prototype.close=function(){this.stop();},e}(Xt);var $t=function(){function t(t){this._count=0,this._total=0,this._max=0,this.id=t;}return t.prototype.count=function(){return this._count},t.prototype.totalTime=function(t){return _.nanosToUnit(this._total,t)},t.prototype.max=function(t){return _.nanosToUnit(this._max,t)},t.prototype.mean=function(t){return 0===this.count()?0:this.totalTime(t)/this.count()},t.prototype.record=function(t,e){if(!(t<0)){var r=_.converter[e](t,"nanoseconds");this._count=this.count()+1,this._total+=r,this._max=Math.max(r,this._max);}},t.prototype.measure=function(){var t=this;return [new Bt("count",this.count.bind(this)),new Bt("total",(function(){return t.totalTime("milliseconds")})),new Bt("max",(function(){return t.max("milliseconds")})),new Bt("mean",(function(){return t.mean("milliseconds")}))]},t}(),Zt=function(){function t(t){this.id=t,this.currentTimer=new $t(t);}return t.prototype.flush=function(){var t=this.currentTimer;return this.currentTimer=new $t(this.id),t},t.prototype.count=function(){return this.currentTimer.count()},t.prototype.totalTime=function(t){return this.currentTimer.totalTime(t)},t.prototype.max=function(t){return this.currentTimer.max(t)},t.prototype.record=function(t,e){this.currentTimer.record(t,e);},t.prototype.mean=function(t){return 0===this.count()?0:this.totalTime(t)/this.count()},t.prototype.measure=function(){var t=this;return [new Bt("count",this.count.bind(this)),new Bt("total",(function(){return t.totalTime("milliseconds")})),new Bt("max",(function(){return t.max("milliseconds")})),new Bt("mean",(function(){return t.mean("milliseconds")}))]},t}(),Qt=function(t){function e(e){return t.call(this,e)||this}return r(e,t),e.prototype.createCounter=function(t){return new qt(t)},e.prototype.createTimer=function(t){return new Zt(t)},e.prototype.publish=function(){var t=this.metrics.reduce((function(t,e){return function(t){return void 0!==t.flush&&"function"==typeof t.flush}(e)?t.concat(e.flush()):t}),[]);this.flushMetrics(t);},e.prototype.close=function(){t.prototype.close.call(this);},e}(Wt),te=function(){function t(t){this.id=t;}return t.prototype.count=function(){return 0},t.prototype.increment=function(t){},t.prototype.measure=function(){return [new Bt("count",this.count.bind(this))]},t}(),ee=function(){function t(t){this._counters=new Yt((function(t,e){return t.id===e.id})),this.id=t,this.noopCounter=new te(t);}return Object.defineProperty(t.prototype,"counters",{get:function(){return Array.from(this._counters.values())},enumerable:!1,configurable:!0}),t.prototype.add=function(t){this._counters.add(t,t.registerCounter(this.id));},t.prototype.count=function(){return (this.counters[0]||this.noopCounter).count()},t.prototype.increment=function(t){this.counters.forEach((function(e){e.increment(t);}));},t.prototype.measure=function(){return [new Bt("count",this.count.bind(this))]},t}();var re,ne=function(){function t(t){this.id=t;}return t.prototype.measure=function(){var t=this;return [new Bt("count",this.count.bind(this)),new Bt("total",(function(){return t.totalTime("milliseconds")})),new Bt("max",(function(){return t.max("milliseconds")})),new Bt("mean",(function(){return t.mean("milliseconds")}))]},t.prototype.count=function(){return 0},t.prototype.totalTime=function(t){return 0},t.prototype.max=function(t){return 0},t.prototype.mean=function(t){return 0},t.prototype.record=function(t,e){},t}(),ie=function(){function t(t){this._timers=new Yt((function(t,e){return t.id===e.id})),this.id=t,this.noopTimer=new ne(t);}return Object.defineProperty(t.prototype,"firstTimer",{get:function(){return this.timers[0]||this.noopTimer},enumerable:!1,configurable:!0}),t.prototype.totalTime=function(t){return this.firstTimer.totalTime(t)},t.prototype.max=function(t){return this.firstTimer.max(t)},t.prototype.mean=function(t){return this.firstTimer.mean(t)},t.prototype.record=function(t,e){this.timers.forEach((function(r){r.record(t,e);}));},Object.defineProperty(t.prototype,"timers",{get:function(){return Array.from(this._timers.values())},enumerable:!1,configurable:!0}),t.prototype.add=function(t){this._timers.add(t,t.registerTimer(this.id));},t.prototype.count=function(){return this.firstTimer.count()},t.prototype.measure=function(){var t=this;return [new Bt("count",this.count.bind(this)),new Bt("total",(function(){return t.totalTime("milliseconds")})),new Bt("max",(function(){return t.max("milliseconds")})),new Bt("mean",(function(){return t.mean("milliseconds")}))]},t}(),oe=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.registries=new Yt((function(t,e){return t.id===e.id})),e}return r(e,t),e.prototype.createCounter=function(t){var e=new ee(t);return this.addRegistry(e),e},e.prototype.createTimer=function(t){var e=new ie(t);return this.addRegistry(e),e},e.prototype.addRegistry=function(t){this.registries.forEach((function(e){return t.add(e)}));},e.prototype.add=function(t){t instanceof e||this.registries.has(t)||(this.registries.add(t),this.metrics.forEach((function(e){(function(t){return void 0!==t.add&&"function"==typeof t.add})(e)&&e.add(t);})));},e.prototype.close=function(){this.registries.forEach((function(t){t.close();}));},e}(Xt),se=function(){function t(){}return t.counter=function(e,r){return t.globalRegistry.counter(e,r)},t.timer=function(e,r){return t.globalRegistry.timer(e,r)},t.addRegistry=function(e){t.globalRegistry.add(e),f.log.debug("MetricRegistry added ".concat(e.name));},t.globalRegistry=new oe,t}(),ue=function(t){function e(e,r,n,i,o){var s=t.call(this,r)||this;return s.monitoringBaseUrl=e,s.httpClient=n,s.httpHeader=i,s.useBeacon=o,s.monitoringEndPoint="".concat(s.monitoringBaseUrl,"/metrics"),s.shouldUseBeacon=!1,s.start(),s.monitoringBaseUrl=e,s}return r(e,t),e.prototype.flushMetrics=function(t){var e=this;a.chunked(t.filter(this.isDispatchTarget.bind(this)),100).forEach((function(t){e.dispatch(t);}));},e.prototype.isDispatchTarget=function(t){return !(!function(t){return "COUNTER"===t.id.type}(t)&&!function(t){return "TIMER"===t.id.type}(t))&&t.count()>0},e.prototype.dispatch=function(t){this.useBeacon&&this.shouldUseBeacon?this.httpClient.sendBeacon(this.monitoringEndPoint,this.batch(t),this.httpHeader,(function(){f.log.debug("Beacon called.");})):this.httpClient.postRequest(this.monitoringEndPoint,this.batch(t),this.httpHeader,(function(){}),(function(){f.log.debug("Failed to flushing metrics.");}));},e.prototype.batch=function(t){return {metrics:t.map((function(t){return {name:t.id.name,type:t.id.type,tags:t.id.tags,measurements:u.fromMap(a.associate(t.measure(),(function(t){return [t.field,t.value]})))}}))}},e.prototype.createCounter=function(t){return new qt(t)},e.prototype.createTimer=function(t){return new Zt(t)},e.prototype.close=function(){this.shouldUseBeacon=!0,t.prototype.close.call(this);},e}(Qt),ae=function(){function t(){}return t.experiment=function(t,e,r){var n=se.timer("experiment.decision",{key:String(e),variation:r.variation,reason:String(r.reason)});t.stop(n);},t.featureFlag=function(t,e,r){var n=se.timer("feature.flag.decision",{key:String(e),on:String(r.isOn),reason:String(r.reason)});t.stop(n);},t.remoteConfig=function(t,e,r){var n=se.timer("remote.config.decision",{key:String(e),reason:String(r.reason)});t.stop(n);},t.inAppMessage=function(t,e,r){var n=se.timer("iam.decision",{key:String(e),show:String(r.isShow()),reason:String(r.reason)});t.stop(n);},t}(),ce=function(){function t(){}return t.record=function(t,e,r){var n=se.timer("api.call",{operation:t,success:String(r)});e.stop(n);},t}(),fe=function(){function t(){}return t.decide=function(t,e,r,n){if(u.isNullOrUndefined(r))return this.decision(t,e,"NULL",r,n);switch(typeof r){case"string":return this.decision(t,e,"STRING",r,n);case"number":return this.decision(t,e,"NUMBER",r,n);case"boolean":return this.decision(t,e,"BOOLEAN",r,n);default:return this.decision(t,e,"UNKNOWN",r,n)}},t.decision=function(t,e,r,n,i){return u.isNullOrUndefined(e)?b.of(n,P.INVALID_INPUT):t.remoteConfig(e,i,r,n)},t}(),pe=f.log,le=function(){function t(t,e,r,n){this.core=t,this.userManager=e,this.hackleUserResolver=r,this.user=n;}return t.prototype.get=function(t,e){var r,n=Kt.start();try{r=this.decide(t,e);}catch(n){pe.error("Unexpected exception while deciding remote config parameter[".concat(t,"]. Returning default value. : ").concat(n)),r=b.of(e,P.EXCEPTION);}return ae.remoteConfig(n,t,r),r.value},t.prototype.decide=function(t,e){var r=this.userManager.resolveCurrentOrNull(this.user);if(!r)return pe.warn("invalid user"),b.of(e,P.INVALID_INPUT);var n=this.hackleUserResolver.resolve(r);return fe.decide(this.core,t,e,n)},t}(),he=function(){function t(){this._properties=new Map,this.MAX_PROPERTIES_COUNT=128,this.MAX_PROPERTY_KEY_LENGTH=128;}return t.prototype.contains=function(t){return this._properties.has(t)},t.prototype.remove=function(t){var e=this;return t instanceof Map&&t.forEach((function(t,r){e.remove(r);})),"string"==typeof t&&this._properties.delete(t),this},t.prototype.compute=function(t,e){var r=this._properties.get(t),n=e(r);null!==n?this.add(t,n):(null!==r||this.contains(t))&&this.remove(t);},t.prototype.add=function(t,e,r){if(void 0===r&&(r=!1),r&&this.contains(t))return this;if(this._properties.size>=this.MAX_PROPERTIES_COUNT)return this;if("string"==typeof t&&t.length>this.MAX_PROPERTY_KEY_LENGTH)return this;var n=w.sanitizeValue(t,e);return n?(this._properties.set(t,n),this):this},t.prototype.addProperties=function(t,e){var r=this;return void 0===e&&(e=!1),t.forEach((function(t,n){r.add(n,t,e);})),this},t.prototype.build=function(){return this._properties},t}();!function(t){t.SET="$set",t.SET_ONCE="$setOnce",t.UNSET="$unset",t.INCREMENT="$increment",t.APPEND="$append",t.APPEND_ONCE="$appendOnce",t.PREPEND="$prepend",t.PREPEND_ONCE="$prependOnce",t.REMOVE="$remove",t.CLEAR_ALL="$clearAll";}(re||(re={}));var de=function(){function t(){}return t.prototype.operate=function(t,e){return 0===t.size?e:0===e.size?t:(new he).addProperties(t).addProperties(e).build()},t}(),ve=function(){function t(){}return t.prototype.operate=function(t,e){return 0===t.size?e:0===e.size?t:(new he).addProperties(t).addProperties(e,!0).build()},t}(),ye=function(){function t(){}return t.prototype.operate=function(t,e){return 0===t.size?new Map:0===e.size?t:(new he).addProperties(t).remove(e).build()},t}(),me=function(){function t(){}return t.prototype.operate=function(t,e){var r=this;if(0===e.size)return t;var n=new he;return n.addProperties(t),e.forEach((function(t,e){n.compute(e,(function(e){return r.increment(e,t)}));})),n.build()},t.prototype.increment=function(t,e){return "number"!=typeof e?t:"number"!=typeof t?null==t?e:t:t+e},t}(),ge=function(){function t(){}return t.prototype.operate=function(t,e){var r=this;if(0===e.size)return t;var n=new he;return n.addProperties(t),e.forEach((function(t,e){n.compute(e,(function(e){return r.compute(e,t)}));})),n.build()},t.prototype.compute=function(t,e){var r=this.toArray(t),n=this.toArray(e);return this.operateArray(r,n)},t.prototype.toArray=function(t){return null==t?[]:Array.isArray(t)?t:[t]},t.prototype.contains=function(t,e){return t.includes(e)},t.prototype.prepend=function(t,e,r){return void 0===r&&(r=!1),r&&this.contains(e,t)?e:s([t],e,!0)},t.prototype.append=function(t,e,r){return void 0===r&&(r=!1),r&&this.contains(t,e)?t:s(s([],t,!0),[e],!1)},t}(),Ee=function(t){function e(){return null!==t&&t.apply(this,arguments)||this}return r(e,t),e.prototype.operateArray=function(t,e){var r=this;return e.reduce((function(t,e){return r.append.bind(r)(t,e)}),t)},e}(ge),we=function(t){function e(){return null!==t&&t.apply(this,arguments)||this}return r(e,t),e.prototype.operateArray=function(t,e){return e.reduce(this.appendOnce.bind(this),t)},e.prototype.appendOnce=function(t,e){return this.append(t,e,!0)},e}(ge),Te=function(t){function e(){return null!==t&&t.apply(this,arguments)||this}return r(e,t),e.prototype.operateArray=function(t,e){var r=this;return e.reduceRight((function(t,e){return r.prepend.bind(r)(e,t)}),t)},e}(ge),_e=function(t){function e(){return null!==t&&t.apply(this,arguments)||this}return r(e,t),e.prototype.operateArray=function(t,e){var r=this;return e.reduce(this.appendOnce.bind(this),[]).reduceRight((function(t,e){return r.prependOnce.bind(r)(e,t)}),t)},e.prototype.appendOnce=function(t,e){return this.append(t,e,!0)},e.prototype.prependOnce=function(t,e){return this.prepend(t,e,!0)},e}(ge),Ie=function(t){function e(){return null!==t&&t.apply(this,arguments)||this}return r(e,t),e.prototype.operateArray=function(t,e){return e.reduce(this.remove.bind(this),t)},e.prototype.remove=function(t,e){return t.filter((function(t){return t!==e}))},e}(ge),Ae=function(){function t(){}return t.prototype.operate=function(t,e){return new Map},t}(),Ne=function(){function t(){}return t.get=function(t){switch(t){case re.SET:return new de;case re.SET_ONCE:return new ve;case re.UNSET:return new ye;case re.INCREMENT:return new me;case re.APPEND:return new Ee;case re.APPEND_ONCE:return new we;case re.PREPEND:return new Te;case re.PREPEND_ONCE:return new _e;case re.CLEAR_ALL:return new Ae;case re.REMOVE:return new Ie}},t}(),Oe=function(){function t(){this.operations=new Map;}return t.prototype.set=function(t,e){return this.add(re.SET,t,e)},t.prototype.setOnce=function(t,e){return this.add(re.SET_ONCE,t,e)},t.prototype.unset=function(t){return this.add(re.UNSET,t,"-")},t.prototype.increment=function(t,e){return this.add(re.INCREMENT,t,e)},t.prototype.append=function(t,e){return this.add(re.APPEND,t,e)},t.prototype.appendOnce=function(t,e){return this.add(re.APPEND_ONCE,t,e)},t.prototype.prepend=function(t,e){return this.add(re.PREPEND,t,e)},t.prototype.prependOnce=function(t,e){return this.add(re.PREPEND_ONCE,t,e)},t.prototype.remove=function(t,e){return this.add(re.REMOVE,t,e)},t.prototype.clearAll=function(){return this.add(re.CLEAR_ALL,"clearAll","-")},t.prototype.build=function(){var t=Array.from(this.operations.entries()).map((function(t){return [t[0],t[1].build()]}));return new be(new Map(t))},t.prototype.containsKey=function(t){return Array.from(this.operations.entries()).some((function(e){return e[0],e[1].contains(t)}))},t.prototype.add=function(t,e,r){if(this.containsKey(e))return this;this.operations.has(t)||this.operations.set(t,new he);var n=this.operations.get(t);return null==n||n.add(e,r),this},t}(),be=function(){function t(t){this.operations=null!=t?t:new Map;}return t.prototype.operate=function(t){var e=t;return this.operations.forEach((function(t,r){e=Ne.get(r).operate(e,t);})),e},t.prototype.toEvent=function(){var t={key:"$properties"};return this.operations.forEach((function(e,r){var i,o;t.properties=n(n({},t.properties),((i={})[r]=n(n({},null===(o=t.properties)||void 0===o?void 0:o[r]),w.sanitize(u.fromMap(e))),i));})),t},t}(),Re=f.log,Se=function(){function t(t,e,r,n,i){this.core=t,this.hackleUserResolver=e,this.sessionManager=r,this.userManager=n,this.devTools=i;}return t.prototype.getSessionId=function(){return this.sessionManager.sessionId},t.prototype.getUser=function(){return this.userManager.currentUser},t.prototype.setUser=function(t){try{var e=G(t);if(!e)return void Re.warn("invalid user");this.userManager.setUser(e);}catch(t){Re.error("Unexpected exception while set user: ".concat(t));}},t.prototype.setUserId=function(t){try{void 0===t&&this.userManager.setUserId(void 0);var e=g.sanitizeValue(t);if(!e)return void Re.warn("Invalid userId. [userId=".concat(t,"]"));this.userManager.setUserId(e);}catch(t){Re.error("Unexpected exception while set userId: ".concat(t));}},t.prototype.setDeviceId=function(t){try{if(!g.sanitizeValue(t))return void Re.warn("Invalid deviceId. [deviceId=".concat(t,"]"));this.userManager.setDeviceId(t);}catch(t){Re.error("Unexpected exception while set deviceId: ".concat(t));}},t.prototype.setUserProperty=function(t,e){var r=(new Oe).set(t,e).build();this.updateUserProperties(r);},t.prototype.setUserProperties=function(t){try{var e=w.sanitize(t),r=new Oe;Object.entries(e).forEach((function(t){var e=t[0],n=t[1];r.set(e,n);})),this.updateUserProperties(r.build());}catch(t){Re.error("Unexpected exception while set userProperties: ".concat(t));}},t.prototype.updateUserProperties=function(t){try{var e=t.toEvent();this.track(e),this.userManager.updateUserProperties(t);}catch(t){Re.error("Unexpected exception while update userProperties: ".concat(t));}},t.prototype.resetUser=function(){try{this.userManager.resetUser();var t=(new Oe).clearAll().build();this.track(t.toEvent());}catch(t){Re.error("Unexpected exception while reset user: ".concat(t));}},t.prototype.variation=function(t,e,r){return this.variationDetail(t,e,r).variation},t.prototype.variationDetail=function(t,e,r){var n=r||"A",i=Kt.start(),o=function(r){try{var i=r.userManager.resolveCurrentOrNull(e);if(!i)return Re.warn("invalid user"),S.of(n,P.INVALID_INPUT);var o=r.hackleUserResolver.resolve(i);return r.core.experiment(t,o,n)}catch(e){return Re.error("Unexpected exception while deciding variation for experiment[".concat(t,"]. Returning default variation[").concat(n,"] : ").concat(e)),S.of(n,P.EXCEPTION)}}(this);return ae.experiment(i,t,o),o},t.prototype.isFeatureOn=function(t,e){return this.featureFlagDetail(t,e).isOn},t.prototype.featureFlagDetail=function(t,e){var r=Kt.start(),n=function(r){try{var n=r.userManager.resolveCurrentOrNull(e);if(!n)return Re.warn("invalid user"),M.off(P.INVALID_INPUT);var i=r.hackleUserResolver.resolve(n);return r.core.featureFlag(t,i)}catch(e){return Re.error("Unexpected exception while deciding feature flag[".concat(t,"]. Returning default value[false] : ").concat(e)),M.off(P.EXCEPTION)}}(this);return ae.featureFlag(r,t,n),n},t.prototype.track=function(t,e){try{Re.debug("track event : ".concat(JSON.stringify(t)));var r=this._convertEvent(t),n=this.userManager.resolveCurrentOrNull(e);if(!n)return void Re.warn("invalid user");var i=this.hackleUserResolver.resolve(n);this.core.track(r,i);}catch(t){Re.error("Unexpected exception while tracking event: ".concat(t));}},t.prototype.trackPageView=function(t){Re.debug("tracking page view");var e=this.hackleUserResolver.resolve(this.userManager.currentUser);this.core.track({key:"$page_view"},e);},t.prototype.remoteConfig=function(t){return new le(this.core,this.userManager,this.hackleUserResolver,t)},t.prototype.onReady=function(t,e){void 0===e&&(e=3e3),this.core.onReady(t,e);},t.prototype.onInitialized=function(t){return this.core.onInitialized({timeout:null==t?void 0:t.timeout})},t.prototype.close=function(){Re.debug("Hackle Client is closing"),this.core.close();},t.prototype._convertEvent=function(t){return "string"==typeof t?{key:t}:t},t.prototype.showUserExplorer=function(){var t;(null===(t=this.devTools)||void 0===t?void 0:t.userExplorer)?(Re.debug("UserExplorer opened."),se.counter("user.explorer.show",{}).increment(),this.devTools.manager.userExplorer(this.devTools.userExplorer)):Re.error("UserExplorer is not provided");},t.prototype.hideUserExplorer=function(){this.devTools?this.devTools.manager.close():Re.warn("There is no active HackleDevtools.");},t}(),Me=function(){function e(e,r,n){void 0===n&&(n=t.v4()),this.timestamp=e,this.user=r,this.insertId=n;}return e.exposure=function(t,e,r,n){return new Ce(n,t,e.experiment,e.variationId,e.variationKey,e.reason,r)},e.track=function(t,e,r,n){return new xe(n,r,t,e)},e.remoteConfig=function(t,e,r,n){return new Pe(n,t,e.parameter,e.valueId,e.reason,r)},e.isExposure=function(t){return void 0!==t.experiment},e.isTrack=function(t){return void 0!==t.eventType},e.isRemoteConfig=function(t){return void 0!==t.parameter},e.isExposureDto=function(t){return "experimentId"in t&&void 0!==t.experimentId},e.isTrackDto=function(t){return "eventTypeId"in t&&void 0!==t.eventTypeId},e.isRemoteConfigDto=function(t){return "parameterId"in t&&void 0!==t.parameterId},e.prototype.toDto=function(){return {insertId:this.insertId,timestamp:this.timestamp,userId:this.user.identifiers[V.ID],identifiers:this.user.identifiers,userProperties:w.sanitize(this.user.properties),hackleProperties:w.sanitize(this.user.hackleProperties)}},e}(),Ce=function(t){function e(e,r,n,i,o,s,u,a){var c=t.call(this,e,r,a)||this;return c.experiment=n,c.variationId=i,c.variationKey=o,c.decisionReason=s,c.properties=u,c}return r(e,t),e.prototype.copyWithUser=function(t){return new e(this.timestamp,t,this.experiment,this.variationId,this.variationKey,this.decisionReason,this.properties,this.insertId)},e.prototype.toDto=function(){return n(n({},t.prototype.toDto.call(this)),{experimentId:this.experiment.id,experimentKey:this.experiment.key,experimentType:this.experiment.type,experimentVersion:this.experiment.version,variationId:this.variationId,variationKey:this.variationKey,decisionReason:this.decisionReason.toString(),properties:this.properties})},e}(Me),xe=function(t){function e(e,r,n,i,o){var s=t.call(this,e,r,o)||this;return s.eventType=n,s.event=i,s}return r(e,t),e.prototype.copyWithUser=function(t){return new e(this.timestamp,t,this.eventType,this.event,this.insertId)},e.prototype.toDto=function(){return n(n({},t.prototype.toDto.call(this)),{eventTypeId:this.eventType.id,eventTypeKey:this.eventType.key,value:this.event.value||0,properties:w.sanitize(this.event.properties)})},e}(Me),Pe=function(t){function e(e,r,n,i,o,s,u){var a=t.call(this,e,r,u)||this;return a.parameter=n,a.valueId=i,a.decisionReason=o,a.properties=s,a}return r(e,t),e.prototype.copyWithUser=function(t){return new e(this.timestamp,t,this.parameter,this.valueId,this.decisionReason,this.properties,this.insertId)},e.prototype.toDto=function(){return n(n({},t.prototype.toDto.call(this)),{parameterId:this.parameter.id,parameterKey:this.parameter.key,parameterType:this.parameter.type,valueId:this.valueId,decisionReason:this.decisionReason.toString(),properties:w.sanitize(this.properties)})},e}(Me);function Ue(t){var e=new Array,r=new Array,n=new Array;return t.forEach((function(t){t instanceof Me?Me.isExposure(t)?e.push(t.toDto()):Me.isTrack(t)?r.push(t.toDto()):Me.isRemoteConfig(t)&&n.push(t.toDto()):Me.isExposureDto(t)?e.push(t):Me.isTrackDto(t)?r.push(t):Me.isRemoteConfigDto(t)&&n.push(t);})),{exposureEvents:e,trackEvents:r,remoteConfigEvents:n}}var ke=function(){function t(t,e,r){this.sdkKey=t,this.httpRequest=e,this.headers=r.headers,this.dispatchUrl=r.dispatchUrl,this.beaconDispatchUrl=r.beaconDispatchUrl||"",this.useBeacon=r.useBeacon||!1;}return t.prototype.dispatch=function(t,e,r){var n={};n["X-HACKLE-SDK-KEY"]=this.sdkKey,n[l]=this.headers[l],n["X-HACKLE-SDK-VERSION"]=this.headers["X-HACKLE-SDK-VERSION"],n["X-HACKLE-SDK-TIME"]=(new Date).getTime().toString();var i=Ue(t),o=Kt.start();this.httpRequest.postRequest(this.dispatchUrl,i,n,(function(t){e(t),ce.record("post.events",o,!0);}),(function(t){null==r||r(t),ce.record("post.events",o,!1);}));},t.prototype.dispatchXhrOrBeacon=function(t,e,r){if(this.useBeacon){var n={};n["X-HACKLE-SDK-KEY"]=this.sdkKey,n[l]=this.headers[l],n["X-HACKLE-SDK-VERSION"]=this.headers["X-HACKLE-SDK-VERSION"],n["X-HACKLE-SDK-TIME"]=(new Date).getTime().toString();var i=Ue(t),o=Kt.start();this.httpRequest.sendBeacon(this.beaconDispatchUrl,i,n,(function(t){e(t),ce.record("post.events",o,!0);}),(function(t){null==r||r(t),ce.record("post.events",o,!1);}));}else this.dispatch(t,e,r);},t}(),De=function(){function t(t,e,r,n,i,o,s,u,c){this.experiments=a.associateBy(t,(function(t){return t.key})),this.featureFlags=a.associateBy(e,(function(t){return t.key})),this.buckets=a.associateBy(r,(function(t){return t.id})),this.eventTypes=a.associateBy(n,(function(t){return t.key})),this.segments=a.associateBy(i,(function(t){return t.key})),this.containers=a.associateBy(o,(function(t){return t.id})),this.parameterConfigurations=a.associateBy(s,(function(t){return t.id})),this.remoteConfigParameters=a.associateBy(u,(function(t){return t.key})),this.inAppMessages=a.associateBy(c,(function(t){return t.key}));}return t.prototype.getExperiments=function(){return Array.from(this.experiments.values())},t.prototype.getFeatureFlags=function(){return Array.from(this.featureFlags.values())},t.prototype.getInAppMessages=function(){return Array.from(this.inAppMessages.values())},t.prototype.getExperimentOrNull=function(t){return this.experiments.get(t)},t.prototype.getFeatureFlagOrNull=function(t){return this.featureFlags.get(t)},t.prototype.getBucketOrNull=function(t){return this.buckets.get(t)},t.prototype.getEventTypeOrNull=function(t){return this.eventTypes.get(t)},t.prototype.getSegmentOrNull=function(t){return this.segments.get(t)},t.prototype.getContainerOrNull=function(t){return this.containers.get(t)},t.prototype.getParameterConfigurationOrNull=function(t){return this.parameterConfigurations.get(t)},t.prototype.getRemoteConfigParameterOrNull=function(t){return this.remoteConfigParameters.get(t)},t.prototype.getInAppMessageOrNull=function(t){return this.inAppMessages.get(t)},t.from=function(e){return new t(a.mapNotNullOrUndefined(e.experiments,(function(t){return U.fromJson("AB_TEST",t)})),a.mapNotNullOrUndefined(e.featureFlags,(function(t){return U.fromJson("FEATURE_FLAG",t)})),e.buckets.map(D.fromJson),e.events.map(F.fromJson),a.mapNotNullOrUndefined(e.segments,Y.fromJson),e.containers.map(X.fromJson),e.parameterConfigurations.map($$1.fromJson),a.mapNotNullOrUndefined(e.remoteConfigParameters,Z.fromJson),a.mapNotNullOrUndefined(e.inAppMessages,wt.fromJson))},t}(),Le=function(){function t(t,e,r){var n=this;this.workspace=null,this.sdkKey=t,this.httpRequest=e,this.isStarted=!1,this.updateInterval=r.updateInterval,this.fetchUrl=r.fetchUrl,this.headers=r.headers,this.readyPromiseResolver=function(){},this.readyPromiseRejecter=function(){},this.readyPromise=new Promise((function(t,e){n.readyPromiseResolver=t,n.readyPromiseRejecter=e;})),this.currentTimeout=null,this.errorRetryController=new Fe,this.currentRequest=null,this.syncOnCurrentRequestComplete=!1,this.isReadyPromiseSettled=!1;}return t.prototype.onReady=function(){return this.readyPromise},t.prototype.start=function(){this.isStarted||(this.isStarted=!0,this.errorRetryController.reset(),this.fetch());},t.prototype.stop=function(){return this.isStarted=!1,this.currentTimeout&&(clearTimeout(this.currentTimeout),this.currentTimeout=null),this.currentRequest&&(this.currentRequest.abort(),this.currentRequest=null),Promise.resolve()},t.prototype.get=function(){return this.workspace},t.prototype.scheduleNextUpdate=function(){var t=this,e=this.errorRetryController.getDelay(),r=Math.max(e,this.updateInterval);this.currentTimeout=setTimeout((function(){t.currentRequest?t.syncOnCurrentRequestComplete=!0:t.fetch();}),r);},t.prototype.fetch=function(){var t,e,r=this,n=((t={})["X-HACKLE-SDK-KEY"]=this.sdkKey,t["X-HACKLE-SDK-TIME"]=(new Date).getTime().toString(),t[l]=this.headers[l],t["X-HACKLE-SDK-VERSION"]=this.headers["X-HACKLE-SDK-VERSION"],t),i=Kt.start();this.currentRequest=this.httpRequest.getRequest(this.fetchUrl,n);var o=function(t){var e=t.isSuccess;ce.record("get.workspace",i,e);},s=function(){r.onRequestComplete();};null===(e=this.currentRequest)||void 0===e||e.responsePromise.then((function(t){r.onRequestResolved(t,o);}),(function(t){r.onRequestRejected(t,o);})).then(s,s),this.updateInterval>0&&this.scheduleNextUpdate();},t.prototype.onRequestComplete=function(){this.isStarted&&(this.currentRequest=null,this.syncOnCurrentRequestComplete&&this.fetch(),this.syncOnCurrentRequestComplete=!1);},t.prototype.onRequestResolved=function(t,e){if(this.isStarted){if(void 0!==t.statusCode&&t.statusCode>=200&&t.statusCode<400)this.errorRetryController.reset(),e({isSuccess:!0});else {if(e({isSuccess:!1}),401===t.statusCode||403===t.statusCode)return void this.readyPromiseRejecter(new Error("Invalid key provided."));this.errorRetryController.countError();}if(t.body){var r=JSON.parse(t.body);this.workspace=De.from(r),this.readyPromiseResolver();}}},t.prototype.onRequestRejected=function(t,e){this.isStarted&&(e({isSuccess:!1}),this.errorRetryController.countError(),console.error("Error fetching data",t));},t.prototype.close=function(){this.stop();},t}(),Fe=function(){function t(){this.errorCount=0;}return t.prototype.getDelay=function(){return 0===this.errorCount?0:1e3*h[Math.min(h.length-1,this.errorCount)]+Math.round(1e3*Math.random())},t.prototype.countError=function(){this.errorCount<h.length-1&&this.errorCount++;},t.prototype.reset=function(){this.errorCount=0;},t}(),Ve="model",je="name",Ge="type",Ke="vendor",He="version",Be="mobile",ze="tablet",Je=function(){function t(){}return t.parse=function(e){return {browser:t.getBrowser(e),cpu:t.getCPU(e),device:t.getDevice(e),engine:t.getEngine(e),os:t.getOS(e)}},t.getBrowser=function(e){var r={name:void 0,version:void 0,major:void 0};return t.mapper.rgx.call(r,e,t.regexes.browser),r.major=t.util.major(r.version),r},t.getCPU=function(e){var r={architecture:void 0};return t.mapper.rgx.call(r,e,t.regexes.cpu),r},t.getDevice=function(e){var r={model:void 0,type:void 0,vendor:void 0};return t.mapper.rgx.call(r,e,t.regexes.device),r},t.getEngine=function(e){var r={name:void 0,version:void 0};return t.mapper.rgx.call(r,e,t.regexes.os),r},t.getOS=function(e){var r={name:void 0,version:void 0};return t.mapper.rgx.call(r,e,t.regexes.os),r},t.util={extend:function(t,e){var r={};for(var n in t)e[n]&&e[n].length%2==0?r[n]=e[n].concat(t[n]):r[n]=t[n];return r},has:function(t,e){return "string"==typeof t&&-1!==e.toLowerCase().indexOf(t.toLowerCase())},lowerize:function(t){return t.toLowerCase()},major:function(t){return "string"==typeof t?t.replace(/[^\d\.]/g,"").split(".")[0]:void 0},trim:function(t){return t.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g,"")}},t.mapper={rgx:function(t,e){for(var r,n,i,o,s,u,a=0;a<e.length&&!s;){var c=e[a],f=e[a+1];for(r=n=0;r<c.length&&!s;)if(s=c[r++].exec(t))for(i=0;i<f.length;i++)u=s[++n],"object"==typeof(o=f[i])&&o.length>0?2==o.length?"function"==typeof o[1]?this[o[0]]=o[1].call(this,u):this[o[0]]=o[1]:3==o.length?"function"!=typeof o[1]||o[1].exec&&o[1].test?this[o[0]]=u?u.replace(o[1],o[2]):void 0:this[o[0]]=u?o[1].call(this,u,o[2]):void 0:4==o.length&&(this[o[0]]=u?o[3].call(this,u.replace(o[1],o[2])):void 0):this[o]=u||void 0;a+=2;}},str:function(e,r){for(var n in r)if("object"==typeof r[n]&&r[n].length>0){for(var i=0;i<r[n].length;i++)if(t.util.has(r[n][i],e))return "?"===n?void 0:n}else if(t.util.has(r[n],e))return "?"===n?void 0:n;return e}},t.maps={browser:{oldsafari:{version:{"1.0":"/8",1.2:"/1",1.3:"/3","2.0":"/412","2.0.2":"/416","2.0.3":"/417","2.0.4":"/419","?":"/"}}},device:{amazon:{model:{"Fire Phone":["SD","KF"]}},sprint:{model:{"Evo Shift 4G":"7373KT"},vendor:{HTC:"APA",Sprint:"Sprint"}}},os:{windows:{version:{ME:"4.90","NT 3.11":"NT3.51","NT 4.0":"NT4.0",2e3:"NT 5.0",XP:["NT 5.1","NT 5.2"],Vista:"NT 6.0",7:"NT 6.1",8:"NT 6.2",8.1:"NT 6.3",10:["NT 6.4","NT 10.0"],RT:"ARM"}}}},t.regexes={browser:[[/(opera\smini)\/([\w\.-]+)/i,/(opera\s[mobiletab]+).+version\/([\w\.-]+)/i,/(opera).+version\/([\w\.]+)/i,/(opera)[\/\s]+([\w\.]+)/i],[je,He],[/(opios)[\/\s]+([\w\.]+)/i],[[je,"Opera Mini"],He],[/\s(opr)\/([\w\.]+)/i],[[je,"Opera"],He],[/(kindle)\/([\w\.]+)/i,/(lunascape|maxthon|netfront|jasmine|blazer)[\/\s]?([\w\.]*)/i,/(avant\s|iemobile|slim)(?:browser)?[\/\s]?([\w\.]*)/i,/(bidubrowser|baidubrowser)[\/\s]?([\w\.]+)/i,/(?:ms|\()(ie)\s([\w\.]+)/i,/(rekonq)\/([\w\.]*)/i,/(chromium|flock|rockmelt|midori|epiphany|silk|skyfire|ovibrowser|bolt|iron|vivaldi|iridium|phantomjs|bowser|quark|qupzilla|falkon)\/([\w\.-]+)/i],[je,He],[/(konqueror)\/([\w\.]+)/i],[[je,"Konqueror"],He],[/(trident).+rv[:\s]([\w\.]+).+like\sgecko/i],[[je,"IE"],He],[/(edge|edgios|edga|edg)\/((\d+)?[\w\.]+)/i],[[je,"Edge"],He],[/(yabrowser)\/([\w\.]+)/i],[[je,"Yandex"],He],[/(Avast)\/([\w\.]+)/i],[[je,"Avast Secure Browser"],He],[/(AVG)\/([\w\.]+)/i],[[je,"AVG Secure Browser"],He],[/(puffin)\/([\w\.]+)/i],[[je,"Puffin"],He],[/(focus)\/([\w\.]+)/i],[[je,"Firefox Focus"],He],[/(opt)\/([\w\.]+)/i],[[je,"Opera Touch"],He],[/((?:[\s\/])uc?\s?browser|(?:juc.+)ucweb)[\/\s]?([\w\.]+)/i],[[je,"UCBrowser"],He],[/(comodo_dragon)\/([\w\.]+)/i],[[je,/_/g," "],He],[/(windowswechat qbcore)\/([\w\.]+)/i],[[je,"WeChat(Win) Desktop"],He],[/(micromessenger)\/([\w\.]+)/i],[[je,"WeChat"],He],[/(brave)\/([\w\.]+)/i],[[je,"Brave"],He],[/(whale)\/([\w\.]+)/i],[[je,"Whale"],He],[/(qqbrowserlite)\/([\w\.]+)/i],[je,He],[/(QQ)\/([\d\.]+)/i],[je,He],[/m?(qqbrowser)[\/\s]?([\w\.]+)/i],[je,He],[/(baiduboxapp)[\/\s]?([\w\.]+)/i],[je,He],[/(2345Explorer)[\/\s]?([\w\.]+)/i],[je,He],[/(MetaSr)[\/\s]?([\w\.]+)/i],[je],[/(LBBROWSER)/i],[je],[/xiaomi\/miuibrowser\/([\w\.]+)/i],[He,[je,"MIUI Browser"]],[/;fbav\/([\w\.]+);/i],[He,[je,"Facebook"]],[/safari\s(line)\/([\w\.]+)/i,/android.+(line)\/([\w\.]+)\/iab/i],[je,He],[/headlesschrome(?:\/([\w\.]+)|\s)/i],[He,[je,"Chrome Headless"]],[/\swv\).+(chrome)\/([\w\.]+)/i],[[je,/(.+)/,"$1 WebView"],He],[/((?:oculus|samsung)browser)\/([\w\.]+)/i],[[je,/(.+(?:g|us))(.+)/,"$1 $2"],He],[/((?:android.+)crmo|crios)\/([\w\.]+)/i,/android.+(chrome)\/([\w\.]+)\s+(?:mobile\s?safari)/i],[[je,"Chrome Mobile"],He],[/android.+version\/([\w\.]+)\s+(?:mobile\s?safari|safari)*/i],[He,[je,"Android Browser"]],[/(sailfishbrowser)\/([\w\.]+)/i],[[je,"Sailfish Browser"],He],[/(chrome|omniweb|arora|[tizenoka]{5}\s?browser)\/v?([\w\.]+)/i],[je,He],[/(dolfin)\/([\w\.]+)/i],[[je,"Dolphin"],He],[/(qihu|qhbrowser|qihoobrowser|360browser)/i],[[je,"360 Browser"]],[/(coast)\/([\w\.]+)/i],[[je,"Opera Coast"],He],[/fxios\/([\w\.-]+)/i],[He,[je,"Firefox"]],[/version\/([\w\.]+).+?mobile\/\w+\s(safari)/i],[He,[je,"Mobile Safari"]],[/version\/([\w\.]+).+?(mobile\s?safari|safari)/i],[He,je],[/webkit.+?(gsa)\/([\w\.]+).+?(mobile\s?safari|safari)(\/[\w\.]+)/i],[[je,"GSA"],He],[/webkit.+?(mobile\s?safari|safari)(\/[\w\.]+)/i],[je,[He,t.mapper.str,t.maps.browser.oldsafari.version]],[/(webkit|khtml)\/([\w\.]+)/i],[je,He],[/(navigator|netscape)\/([\w\.-]+)/i],[[je,"Netscape"],He],[/(swiftfox)/i,/(icedragon|iceweasel|camino|chimera|fennec|maemo\sbrowser|minimo|conkeror)[\/\s]?([\w\.\+]+)/i,/(firefox|seamonkey|k-meleon|icecat|iceape|firebird|phoenix|palemoon|basilisk|waterfox)\/([\w\.-]+)/i,/(mozilla)\/([\w\.]+).+rv\:.+gecko\/\d+/i,/(polaris|lynx|dillo|icab|doris|amaya|w3m|netsurf|sleipnir)[\/\s]?([\w\.]+)/i,/(links)\s\(([\w\.]+)/i,/(gobrowser)\/?([\w\.]*)/i,/(ice\s?browser)\/v?([\w\._]+)/i,/(mosaic)[\/\s]([\w\.]+)/i],[je,He]],cpu:[[/(?:(amd|x(?:(?:86|64)[_-])?|wow|win)64)[;\)]/i],[["architecture","amd64"]],[/(ia32(?=;))/i],[["architecture",t.util.lowerize]],[/((?:i[346]|x)86)[;\)]/i],[["architecture","ia32"]],[/windows\s(ce|mobile);\sppc;/i],[["architecture","arm"]],[/((?:ppc|powerpc)(?:64)?)(?:\smac|;|\))/i],[["architecture",/ower/,"",t.util.lowerize]],[/(sun4\w)[;\)]/i],[["architecture","sparc"]],[/((?:avr32|ia64(?=;))|68k(?=\))|arm(?:64|(?=v\d+[;l]))|(?=atmel\s)avr|(?:irix|mips|sparc)(?:64)?(?=;)|pa-risc)/i],[["architecture",t.util.lowerize]]],device:[[/\((ipad|playbook);[\w\s\),;-]+(rim|apple)/i],[Ve,Ke,[Ge,ze]],[/applecoremedia\/[\w\.]+ \((ipad)/],[Ve,[Ke,"Apple"],[Ge,ze]],[/(apple\s{0,1}tv)/i],[[Ve,"Apple TV"],[Ke,"Apple"],[Ge,"smarttv"]],[/(archos)\s(gamepad2?)/i,/(hp).+(touchpad)/i,/(hp).+(tablet)/i,/(kindle)\/([\w\.]+)/i,/\s(nook)[\w\s]+build\/(\w+)/i,/(dell)\s(strea[kpr\s\d]*[\dko])/i],[Ke,Ve,[Ge,ze]],[/(kf[A-z]+)\sbuild\/.+silk\//i],[Ve,[Ke,"Amazon"],[Ge,ze]],[/(sd|kf)[0349hijorstuw]+\sbuild\/.+silk\//i],[[Ve,t.mapper.str,t.maps.device.amazon.model],[Ke,"Amazon"],[Ge,Be]],[/android.+aft([bms])\sbuild/i],[Ve,[Ke,"Amazon"],[Ge,"smarttv"]],[/\((ip[honed|\s\w*]+);.+(apple)/i],[Ve,Ke,[Ge,Be]],[/\((ip[honed|\s\w*]+);/i],[Ve,[Ke,"Apple"],[Ge,Be]],[/(blackberry)[\s-]?(\w+)/i,/(blackberry|benq|palm(?=\-)|sonyericsson|acer|asus|dell|meizu|motorola|polytron)[\s_-]?([\w-]*)/i,/(hp)\s([\w\s]+\w)/i,/(asus)-?(\w+)/i],[Ke,Ve,[Ge,Be]],[/\(bb10;\s(\w+)/i],[Ve,[Ke,"BlackBerry"],[Ge,Be]],[/android.+(transfo[prime\s]{4,10}\s\w+|eeepc|slider\s\w+|nexus 7|padfone|p00c)/i],[Ve,[Ke,"Asus"],[Ge,ze]],[/(sony)\s(tablet\s[ps])\sbuild\//i,/(sony)?(?:sgp.+)\sbuild\//i],[[Ke,"Sony"],[Ve,"Xperia Tablet"],[Ge,ze]],[/android.+\s([c-g]\d{4}|so[-l]\w+)(?=\sbuild\/|\).+chrome\/(?![1-6]{0,1}\d\.))/i],[Ve,[Ke,"Sony"],[Ge,Be]],[/\s(ouya)\s/i,/(nintendo)\s([wids3u]+)/i],[Ke,Ve,[Ge,"console"]],[/android.+;\s(shield)\sbuild/i],[Ve,[Ke,"Nvidia"],[Ge,"console"]],[/(playstation\s[34portablevi]+)/i],[Ve,[Ke,"Sony"],[Ge,"console"]],[/(sprint\s(\w+))/i],[[Ke,t.mapper.str,t.maps.device.sprint.vendor],[Ve,t.mapper.str,t.maps.device.sprint.model],[Ge,Be]],[/(htc)[;_\s-]+([\w\s]+(?=\)|\sbuild)|\w+)/i,/(zte)-(\w*)/i,/(alcatel|geeksphone|nexian|panasonic|(?=;\s)sony)[_\s-]?([\w-]*)/i],[Ke,[Ve,/_/g," "],[Ge,Be]],[/(nexus\s9)/i],[Ve,[Ke,"HTC"],[Ge,ze]],[/d\/huawei([\w\s-]+)[;\)]/i,/(nexus\s6p|vog-l29|ane-lx1|eml-l29)/i],[Ve,[Ke,"Huawei"],[Ge,Be]],[/android.+(bah2?-a?[lw]\d{2})/i],[Ve,[Ke,"Huawei"],[Ge,ze]],[/(microsoft);\s(lumia[\s\w]+)/i],[Ke,Ve,[Ge,Be]],[/[\s\(;](xbox(?:\sone)?)[\s\);]/i],[Ve,[Ke,"Microsoft"],[Ge,"console"]],[/(kin\.[onetw]{3})/i],[[Ve,/\./g," "],[Ke,"Microsoft"],[Ge,Be]],[/\s(milestone|droid(?:[2-4x]|\s(?:bionic|x2|pro|razr))?:?(\s4g)?)[\w\s]+build\//i,/mot[\s-]?(\w*)/i,/(XT\d{3,4}) build\//i,/(nexus\s6)/i],[Ve,[Ke,"Motorola"],[Ge,Be]],[/android.+\s(mz60\d|xoom[\s2]{0,2})\sbuild\//i],[Ve,[Ke,"Motorola"],[Ge,ze]],[/hbbtv\/\d+\.\d+\.\d+\s+\([\w\s]*;\s*(\w[^;]*);([^;]*)/i],[[Ke,t.util.trim],[Ve,t.util.trim],[Ge,"smarttv"]],[/hbbtv.+maple;(\d+)/i],[[Ve,/^/,"SmartTV"],[Ke,"Samsung"],[Ge,"smarttv"]],[/\(dtv[\);].+(aquos)/i],[Ve,[Ke,"Sharp"],[Ge,"smarttv"]],[/android.+((sch-i[89]0\d|shw-m380s|gt-p\d{4}|gt-n\d+|sgh-t8[56]9|nexus 10))/i,/((SM-T\w+))/i],[[Ke,"Samsung"],Ve,[Ge,ze]],[/smart-tv.+(samsung)/i],[Ke,[Ge,"smarttv"],Ve],[/((s[cgp]h-\w+|gt-\w+|galaxy\snexus|sm-\w[\w\d]+))/i,/(sam[sung]*)[\s-]*(\w+-?[\w-]*)/i,/sec-((sgh\w+))/i],[[Ke,"Samsung"],Ve,[Ge,Be]],[/sie-(\w*)/i],[Ve,[Ke,"Siemens"],[Ge,Be]],[/(maemo|nokia).*(n900|lumia\s\d+)/i,/(nokia)[\s_-]?([\w-]*)/i],[[Ke,"Nokia"],Ve,[Ge,Be]],[/android[x\d\.\s;]+\s([ab][1-7]\-?[0178a]\d\d?)/i],[Ve,[Ke,"Acer"],[Ge,ze]],[/android.+([vl]k\-?\d{3})\s+build/i],[Ve,[Ke,"LG"],[Ge,ze]],[/android\s3\.[\s\w;-]{10}(lg?)-([06cv9]{3,4})/i],[[Ke,"LG"],Ve,[Ge,ze]],[/(lg) netcast\.tv/i],[Ke,Ve,[Ge,"smarttv"]],[/(nexus\s[45])/i,/lg[e;\s\/-]+(\w*)/i,/android.+lg(\-?[\d\w]+)\s+build/i],[Ve,[Ke,"LG"],[Ge,Be]],[/(lenovo)\s?(s(?:5000|6000)(?:[\w-]+)|tab(?:[\s\w]+))/i],[Ke,Ve,[Ge,ze]],[/android.+(ideatab[a-z0-9\-\s]+)/i],[Ve,[Ke,"Lenovo"],[Ge,ze]],[/(lenovo)[_\s-]?([\w-]+)/i],[Ke,Ve,[Ge,Be]],[/linux;.+((jolla));/i],[Ke,Ve,[Ge,Be]],[/((pebble))app\/[\d\.]+\s/i],[Ke,Ve,[Ge,"wearable"]],[/android.+;\s(oppo)\s?([\w\s]+)\sbuild/i],[Ke,Ve,[Ge,Be]],[/crkey/i],[[Ve,"Chromecast"],[Ke,"Google"],[Ge,"smarttv"]],[/android.+;\s(glass)\s\d/i],[Ve,[Ke,"Google"],[Ge,"wearable"]],[/android.+;\s(pixel c)[\s)]/i],[Ve,[Ke,"Google"],[Ge,ze]],[/android.+;\s(pixel( [23])?( xl)?)[\s)]/i],[Ve,[Ke,"Google"],[Ge,Be]],[/android.+;\s(\w+)\s+build\/hm\1/i,/android.+(hm[\s\-_]*note?[\s_]*(?:\d\w)?)\s+build/i,/android.+(mi[\s\-_]*(?:a\d|one|one[\s_]plus|note lte)?[\s_]*(?:\d?\w?)[\s_]*(?:plus)?)\s+build/i,/android.+(redmi[\s\-_]*(?:note)?(?:[\s_]*[\w\s]+))\s+build/i],[[Ve,/_/g," "],[Ke,"Xiaomi"],[Ge,Be]],[/android.+(mi[\s\-_]*(?:pad)(?:[\s_]*[\w\s]+))\s+build/i],[[Ve,/_/g," "],[Ke,"Xiaomi"],[Ge,ze]],[/android.+;\s(m[1-5]\snote)\sbuild/i],[Ve,[Ke,"Meizu"],[Ge,Be]],[/(mz)-([\w-]{2,})/i],[[Ke,"Meizu"],Ve,[Ge,Be]],[/android.+a000(1)\s+build/i,/android.+oneplus\s(a\d{4})[\s)]/i],[Ve,[Ke,"OnePlus"],[Ge,Be]],[/android.+[;\/]\s*(RCT[\d\w]+)\s+build/i],[Ve,[Ke,"RCA"],[Ge,ze]],[/android.+[;\/\s]+(Venue[\d\s]{2,7})\s+build/i],[Ve,[Ke,"Dell"],[Ge,ze]],[/android.+[;\/]\s*(Q[T|M][\d\w]+)\s+build/i],[Ve,[Ke,"Verizon"],[Ge,ze]],[/android.+[;\/]\s+(Barnes[&\s]+Noble\s+|BN[RT])(V?.*)\s+build/i],[[Ke,"Barnes & Noble"],Ve,[Ge,ze]],[/android.+[;\/]\s+(TM\d{3}.*\b)\s+build/i],[Ve,[Ke,"NuVision"],[Ge,ze]],[/android.+;\s(k88)\sbuild/i],[Ve,[Ke,"ZTE"],[Ge,ze]],[/android.+[;\/]\s*(gen\d{3})\s+build.*49h/i],[Ve,[Ke,"Swiss"],[Ge,Be]],[/android.+[;\/]\s*(zur\d{3})\s+build/i],[Ve,[Ke,"Swiss"],[Ge,ze]],[/android.+[;\/]\s*((Zeki)?TB.*\b)\s+build/i],[Ve,[Ke,"Zeki"],[Ge,ze]],[/(android).+[;\/]\s+([YR]\d{2})\s+build/i,/android.+[;\/]\s+(Dragon[\-\s]+Touch\s+|DT)(\w{5})\sbuild/i],[[Ke,"Dragon Touch"],Ve,[Ge,ze]],[/android.+[;\/]\s*(NS-?\w{0,9})\sbuild/i],[Ve,[Ke,"Insignia"],[Ge,ze]],[/android.+[;\/]\s*((NX|Next)-?\w{0,9})\s+build/i],[Ve,[Ke,"NextBook"],[Ge,ze]],[/android.+[;\/]\s*(Xtreme\_)?(V(1[045]|2[015]|30|40|60|7[05]|90))\s+build/i],[[Ke,"Voice"],Ve,[Ge,Be]],[/android.+[;\/]\s*(LVTEL\-)?(V1[12])\s+build/i],[[Ke,"LvTel"],Ve,[Ge,Be]],[/android.+;\s(PH-1)\s/i],[Ve,[Ke,"Essential"],[Ge,Be]],[/android.+[;\/]\s*(V(100MD|700NA|7011|917G).*\b)\s+build/i],[Ve,[Ke,"Envizen"],[Ge,ze]],[/android.+[;\/]\s*(Le[\s\-]+Pan)[\s\-]+(\w{1,9})\s+build/i],[Ke,Ve,[Ge,ze]],[/android.+[;\/]\s*(Trio[\s\-]*.*)\s+build/i],[Ve,[Ke,"MachSpeed"],[Ge,ze]],[/android.+[;\/]\s*(Trinity)[\-\s]*(T\d{3})\s+build/i],[Ke,Ve,[Ge,ze]],[/android.+[;\/]\s*TU_(1491)\s+build/i],[Ve,[Ke,"Rotor"],[Ge,ze]],[/android.+(KS(.+))\s+build/i],[Ve,[Ke,"Amazon"],[Ge,ze]],[/android.+(Gigaset)[\s\-]+(Q\w{1,9})\s+build/i],[Ke,Ve,[Ge,ze]],[/\s(tablet|tab)[;\/]/i,/\s(mobile)(?:[;\/]|\ssafari)/i],[[Ge,t.util.lowerize],Ke,Ve],[/[\s\/\(](smart-?tv)[;\)]/i],[[Ge,"smarttv"]],[/(android[\w\.\s\-]{0,9});.+build/i],[Ve,[Ke,"Generic"]]],engine:[[/windows.+\sedge\/([\w\.]+)/i],[He,[je,"EdgeHTML"]],[/webkit\/537\.36.+chrome\/(?!27)([\w\.]+)/i],[He,[je,"Blink"]],[/(presto)\/([\w\.]+)/i,/(webkit|trident|netfront|netsurf|amaya|lynx|w3m|goanna)\/([\w\.]+)/i,/(khtml|tasman|links)[\/\s]\(?([\w\.]+)/i,/(icab)[\/\s]([23]\.[\d\.]+)/i],[je,He],[/rv\:([\w\.]{1,9}).+(gecko)/i],[He,je]],os:[[/microsoft\s(windows)\s(vista|xp)/i],[je,He],[/(windows)\snt\s6\.2;\s(arm)/i,/(windows\sphone(?:\sos)*)[\s\/]?([\d\.\s\w]*)/i,/(windows\smobile|windows)[\s\/]?([ntce\d\.\s]+\w)/i],[[je,t.mapper.str,t.maps.os.windows],[He,t.mapper.str,t.maps.os.windows.version]],[/(win(?=3|9|n)|win\s9x\s)([nt\d\.]+)/i],[[je,"Windows"],[He,t.mapper.str,t.maps.os.windows.version]],[/\((bb)(10);/i],[[je,"BlackBerry"],He],[/(blackberry)\w*\/?([\w\.]*)/i,/(tizen|kaios)[\/\s]([\w\.]+)/i,/(android|webos|palm\sos|qnx|bada|rim\stablet\sos|meego|sailfish|contiki)[\/\s-]?([\w\.]*)/i],[je,He],[/(symbian\s?os|symbos|s60(?=;))[\/\s-]?([\w\.]*)/i],[[je,"Symbian"],He],[/\((series40);/i],[je],[/mozilla.+\(mobile;.+gecko.+firefox/i],[[je,"Firefox OS"],He],[/(nintendo|playstation)\s([wids34portablevu]+)/i,/(mint)[\/\s\(]?(\w*)/i,/(mageia|vectorlinux)[;\s]/i,/(joli|[kxln]?ubuntu|debian|suse|opensuse|gentoo|(?=\s)arch|slackware|fedora|mandriva|centos|pclinuxos|redhat|zenwalk|linpus)[\/\s-]?(?!chrom)([\w\.-]*)/i,/(hurd|linux)\s?([\w\.]*)/i,/(gnu)\s?([\w\.]*)/i],[[je,"Linux"],He],[/(cros)\s[\w]+\s([\w\.]+\w)/i],[[je,"Chromium OS"],He],[/(sunos)\s?([\w\.\d]*)/i],[[je,"Solaris"],He],[/\s([frentopc-]{0,4}bsd|dragonfly)\s?([\w\.]*)/i],[[je,"Linux"],He],[/(iphone)(?:.*os\s*([\w]*)\slike\smac|;\sopera)/i],[[je,"iPhone"],[He,/_/g,"."]],[/(ipad)(?:.*os\s*([\w]*)\slike\smac|;\sopera)/i],[[je,"iPad"],[He,/_/g,"."]],[/(haiku)\s(\w+)/i],[je,He],[/cfnetwork\/.+darwin/i,/ip[honead]{2,4}(?:.*os\s([\w]+)\slike\smac|;\sopera)/i],[[He,/_/g,"."],[je,"iOS"]],[/(mac\sos\sx)\s?([\w\s\.]*)/i,/(macintosh|mac(?=_powerpc)\s)/i],[[je,"Mac"],[He,/_/g,"."]],[/((?:open)?solaris)[\/\s-]?([\w\.]*)/i,/(aix)\s((\d)(?=\.|\)|\s)[\w\.])*/i,/(plan\s9|minix|beos|os\/2|amigaos|morphos|risc\sos|openvms|fuchsia)/i,/(unix)\s?([\w\.]*)/i],[je,He]]},t}(),qe=function(){function t(){}return t.generate=function(t){var e,r;if(void 0===t){var n={hostname:"",pathname:"",host:"",search:"",protocol:""};r={navigator:{userAgent:"",vendor:"",languages:[]},document:{location:n,title:""},location:n,screen:{width:"",height:""}};}else r=t;var i=Je.parse(r.navigator.userAgent),o=i.browser,s=i.os,u=i.device,a=u.type?"mobile"===u.type?"Mobile":"ETC":"Web",c=(r.location.protocol||"").replace(":",""),f=r.screen,p="";try{p=Intl.DateTimeFormat().resolvedOptions().timeZone;}catch(t){}return {platform:a||"",browserName:o.name||"",browserMajorVersion:o.major||"",browserVersion:o.version||"",osName:s.name||"",osVersion:s.version||"",deviceModel:u.model||"",deviceType:u.type||"",deviceVendor:u.vendor||"",language:(null===(e=r.navigator.languages)||void 0===e?void 0:e[0])||"",userAgent:r.navigator.userAgent||"",pagePath:r.location.pathname||"",pageTitle:r.document.title||"",host:r.location.host||"",protocol:c,referrer:r.document.referrer||"",queryParameter:r.location.search||"",screenWidth:f.width||"",screenHeight:f.height||"",timeZone:p||""}},t}(),Ye=function(){function t(t){void 0===t&&(t={days:0,isCrossSubdomain:!1,isSecure:!1}),this.options=t;}return t.extractDomain=function(t){var e=/[a-z0-9][a-z0-9-]+\.[a-z.]{2,6}$/i,r=t.split("."),n=r[r.length-1];(n.length>4||"com"===n||"org"===n)&&(e=/[a-z0-9][a-z0-9-]*\.[a-z]+$/i);var i=t.match(e);return i?i[0]:""},t.prototype.getItem=function(t){for(var e=t+"=",r=document.cookie.split(";"),n=0;n<r.length;n++){for(var i=r[n];" "==i.charAt(0);)i=i.substring(1,i.length);if(0===i.indexOf(e))return decodeURIComponent(i.substring(e.length,i.length))}return null},t.prototype.getAllItem=function(t){var e=document.cookie.split("; ").map((function(t){return t.split("=")})),r=null==t?void 0:t.keyPrefix;return r?e.filter((function(t){var e=t[0];return t[1],e.startsWith(r)})):e},t.prototype.setItem=function(e,r,i){var o=n(n({},this.options),i),s="",u="",a="",c="";if(o.isCrossSubdomain){var f=t.extractDomain(document.location.hostname);s=f?"; domain=."+f:"";}if(o.days){var p=new Date;p.setTime(p.getTime()+24*o.days*60*60*1e3),u="; expires="+p.toUTCString();}o.sameSite&&(c="; SameSite=".concat(o.sameSite)),o.isSecure&&(a+="; secure");var l=e+"="+encodeURIComponent(r)+u+"; path=/"+s+c+a;return document.cookie=l,l},t.prototype.removeItem=function(t,e){this.setItem(t,"",n(n({},e),{days:-1}));},t.prototype.getOptions=function(){return this.options},t.getInstance=function(e){return void 0===e&&(e={days:3650,isCrossSubdomain:!0}),t.storage||(t.storage=new t(e)),t.storage},t}(),Xe=function(){function t(t){this.userManager=t,We.initialize();}return t.prototype.resolve=function(t){var e=$e(),r=(new j).addIdentifiers(t.identifiers||{}).add(V.ID,t.id||e).add(V.DEVICE,t.deviceId||e).add(V.HACKLE_DEVICE,e);return u.isNotNullOrUndefined(t.userId)&&r.add(V.USER,t.userId),{identifiers:r.build(),properties:t.properties||{},hackleProperties:this._getHackleProperties()}},t.prototype.resolveCurrentUser=function(){return this.resolve(this.userManager.currentUser)},t.prototype._getHackleProperties=function(){var t;return "undefined"!=typeof window&&(t=qe.generate(window)),t||{}},t}(),We=function(){function t(){}return t.initialize=function(){Ye.getInstance().getItem("_hackle_hid")||tr();},t.reInitialize=function(){tr();},t}();function $e(){var t=Ye.getInstance(),e=t.getItem("_hackle_id");if(e)return e;var r=t.getItem("_hackle_hid");return r||tr()}function Ze(t){Ye.getInstance().setItem("_hackle_id",t);}function Qe(){Ye.getInstance().removeItem("_hackle_id");}function tr(){var e=t.v4();return Ye.getInstance().setItem("_hackle_hid",e),e}var er="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof commonjsGlobal?commonjsGlobal:"undefined"!=typeof self?self:{},rr=function(t){return t&&t.Math==Math&&t},nr=rr("object"==typeof globalThis&&globalThis)||rr("object"==typeof window&&window)||rr("object"==typeof self&&self)||rr("object"==typeof er&&er)||function(){return this}()||Function("return this")(),ir={},or=function(t){try{return !!t()}catch(t){return !0}},sr=!or((function(){return 7!=Object.defineProperty({},1,{get:function(){return 7}})[1]})),ur=!or((function(){var t=function(){}.bind();return "function"!=typeof t||t.hasOwnProperty("prototype")})),ar=ur,cr=Function.prototype.call,fr=ar?cr.bind(cr):function(){return cr.apply(cr,arguments)},pr={},lr={}.propertyIsEnumerable,hr=Object.getOwnPropertyDescriptor,dr=hr&&!lr.call({1:2},1);pr.f=dr?function(t){var e=hr(this,t);return !!e&&e.enumerable}:lr;var vr,yr,mr=function(t,e){return {enumerable:!(1&t),configurable:!(2&t),writable:!(4&t),value:e}},gr=ur,Er=Function.prototype,wr=Er.bind,Tr=Er.call,_r=gr&&wr.bind(Tr,Tr),Ir=gr?function(t){return t&&_r(t)}:function(t){return t&&function(){return Tr.apply(t,arguments)}},Ar=Ir,Nr=Ar({}.toString),Or=Ar("".slice),br=function(t){return Or(Nr(t),8,-1)},Rr=or,Sr=br,Mr=Object,Cr=Ir("".split),xr=Rr((function(){return !Mr("z").propertyIsEnumerable(0)}))?function(t){return "String"==Sr(t)?Cr(t,""):Mr(t)}:Mr,Pr=TypeError,Ur=function(t){if(null==t)throw Pr("Can't call method on "+t);return t},kr=xr,Dr=Ur,Lr=function(t){return kr(Dr(t))},Fr=function(t){return "function"==typeof t},Vr=Fr,jr=function(t){return "object"==typeof t?null!==t:Vr(t)},Gr=nr,Kr=Fr,Hr=function(t){return Kr(t)?t:void 0},Br=function(t,e){return arguments.length<2?Hr(Gr[t]):Gr[t]&&Gr[t][e]},zr=Ir({}.isPrototypeOf),Jr=Br("navigator","userAgent")||"",qr=nr,Yr=Jr,Xr=qr.process,Wr=qr.Deno,$r=Xr&&Xr.versions||Wr&&Wr.version,Zr=$r&&$r.v8;Zr&&(yr=(vr=Zr.split("."))[0]>0&&vr[0]<4?1:+(vr[0]+vr[1])),!yr&&Yr&&(!(vr=Yr.match(/Edge\/(\d+)/))||vr[1]>=74)&&(vr=Yr.match(/Chrome\/(\d+)/))&&(yr=+vr[1]);var Qr=yr,tn=Qr,en=or,rn=!!Object.getOwnPropertySymbols&&!en((function(){var t=Symbol();return !String(t)||!(Object(t)instanceof Symbol)||!Symbol.sham&&tn&&tn<41})),nn=rn&&!Symbol.sham&&"symbol"==typeof Symbol.iterator,on=Br,sn=Fr,un=zr,an=Object,cn=nn?function(t){return "symbol"==typeof t}:function(t){var e=on("Symbol");return sn(e)&&un(e.prototype,an(t))},fn=String,pn=function(t){try{return fn(t)}catch(t){return "Object"}},ln=Fr,hn=pn,dn=TypeError,vn=function(t){if(ln(t))return t;throw dn(hn(t)+" is not a function")},yn=vn,mn=function(t,e){var r=t[e];return null==r?void 0:yn(r)},gn=fr,En=Fr,wn=jr,Tn=TypeError,_n={exports:{}},In=nr,An=Object.defineProperty,Nn=function(t,e){try{An(In,t,{value:e,configurable:!0,writable:!0});}catch(r){In[t]=e;}return e},On=Nn,bn=nr["__core-js_shared__"]||On("__core-js_shared__",{}),Rn=bn;(_n.exports=function(t,e){return Rn[t]||(Rn[t]=void 0!==e?e:{})})("versions",[]).push({version:"3.24.1",mode:"global",copyright:"© 2014-2022 Denis Pushkarev (zloirock.ru)",license:"https://github.com/zloirock/core-js/blob/v3.24.1/LICENSE",source:"https://github.com/zloirock/core-js"});var Sn=Ur,Mn=Object,Cn=function(t){return Mn(Sn(t))},xn=Cn,Pn=Ir({}.hasOwnProperty),Un=Object.hasOwn||function(t,e){return Pn(xn(t),e)},kn=Ir,Dn=0,Ln=Math.random(),Fn=kn(1..toString),Vn=function(t){return "Symbol("+(void 0===t?"":t)+")_"+Fn(++Dn+Ln,36)},jn=nr,Gn=_n.exports,Kn=Un,Hn=Vn,Bn=rn,zn=nn,Jn=Gn("wks"),qn=jn.Symbol,Yn=qn&&qn.for,Xn=zn?qn:qn&&qn.withoutSetter||Hn,Wn=function(t){if(!Kn(Jn,t)||!Bn&&"string"!=typeof Jn[t]){var e="Symbol."+t;Bn&&Kn(qn,t)?Jn[t]=qn[t]:Jn[t]=zn&&Yn?Yn(e):Xn(e);}return Jn[t]},$n=fr,Zn=jr,Qn=cn,ti=mn,ei=function(t,e){var r,n;if("string"===e&&En(r=t.toString)&&!wn(n=gn(r,t)))return n;if(En(r=t.valueOf)&&!wn(n=gn(r,t)))return n;if("string"!==e&&En(r=t.toString)&&!wn(n=gn(r,t)))return n;throw Tn("Can't convert object to primitive value")},ri=TypeError,ni=Wn("toPrimitive"),ii=function(t,e){if(!Zn(t)||Qn(t))return t;var r,n=ti(t,ni);if(n){if(void 0===e&&(e="default"),r=$n(n,t,e),!Zn(r)||Qn(r))return r;throw ri("Can't convert object to primitive value")}return void 0===e&&(e="number"),ei(t,e)},oi=cn,si=function(t){var e=ii(t,"string");return oi(e)?e:e+""},ui=jr,ai=nr.document,ci=ui(ai)&&ui(ai.createElement),fi=function(t){return ci?ai.createElement(t):{}},pi=fi,li=!sr&&!or((function(){return 7!=Object.defineProperty(pi("div"),"a",{get:function(){return 7}}).a})),hi=sr,di=fr,vi=pr,yi=mr,mi=Lr,gi=si,Ei=Un,wi=li,Ti=Object.getOwnPropertyDescriptor;ir.f=hi?Ti:function(t,e){if(t=mi(t),e=gi(e),wi)try{return Ti(t,e)}catch(t){}if(Ei(t,e))return yi(!di(vi.f,t,e),t[e])};var _i={},Ii=sr&&or((function(){return 42!=Object.defineProperty((function(){}),"prototype",{value:42,writable:!1}).prototype})),Ai=jr,Ni=String,Oi=TypeError,bi=function(t){if(Ai(t))return t;throw Oi(Ni(t)+" is not an object")},Ri=sr,Si=li,Mi=Ii,Ci=bi,xi=si,Pi=TypeError,Ui=Object.defineProperty,ki=Object.getOwnPropertyDescriptor;_i.f=Ri?Mi?function(t,e,r){if(Ci(t),e=xi(e),Ci(r),"function"==typeof t&&"prototype"===e&&"value"in r&&"writable"in r&&!r.writable){var n=ki(t,e);n&&n.writable&&(t[e]=r.value,r={configurable:"configurable"in r?r.configurable:n.configurable,enumerable:"enumerable"in r?r.enumerable:n.enumerable,writable:!1});}return Ui(t,e,r)}:Ui:function(t,e,r){if(Ci(t),e=xi(e),Ci(r),Si)try{return Ui(t,e,r)}catch(t){}if("get"in r||"set"in r)throw Pi("Accessors not supported");return "value"in r&&(t[e]=r.value),t};var Di=_i,Li=mr,Fi=sr?function(t,e,r){return Di.f(t,e,Li(1,r))}:function(t,e,r){return t[e]=r,t},Vi={exports:{}},ji=sr,Gi=Un,Ki=Function.prototype,Hi=ji&&Object.getOwnPropertyDescriptor,Bi=Gi(Ki,"name"),zi={EXISTS:Bi,PROPER:Bi&&"something"===function(){}.name,CONFIGURABLE:Bi&&(!ji||ji&&Hi(Ki,"name").configurable)},Ji=Fr,qi=bn,Yi=Ir(Function.toString);Ji(qi.inspectSource)||(qi.inspectSource=function(t){return Yi(t)});var Xi,Wi,$i,Zi=qi.inspectSource,Qi=Fr,to=Zi,eo=nr.WeakMap,ro=Qi(eo)&&/native code/.test(to(eo)),no=_n.exports,io=Vn,oo=no("keys"),so=function(t){return oo[t]||(oo[t]=io(t))},uo={},ao=ro,co=nr,fo=Ir,po=jr,lo=Fi,ho=Un,vo=bn,yo=so,mo=uo,go=co.TypeError,Eo=co.WeakMap;if(ao||vo.state){var wo=vo.state||(vo.state=new Eo),To=fo(wo.get),_o=fo(wo.has),Io=fo(wo.set);Xi=function(t,e){if(_o(wo,t))throw new go("Object already initialized");return e.facade=t,Io(wo,t,e),e},Wi=function(t){return To(wo,t)||{}},$i=function(t){return _o(wo,t)};}else {var Ao=yo("state");mo[Ao]=!0,Xi=function(t,e){if(ho(t,Ao))throw new go("Object already initialized");return e.facade=t,lo(t,Ao,e),e},Wi=function(t){return ho(t,Ao)?t[Ao]:{}},$i=function(t){return ho(t,Ao)};}var No={set:Xi,get:Wi,has:$i,enforce:function(t){return $i(t)?Wi(t):Xi(t,{})},getterFor:function(t){return function(e){var r;if(!po(e)||(r=Wi(e)).type!==t)throw go("Incompatible receiver, "+t+" required");return r}}},Oo=or,bo=Fr,Ro=Un,So=sr,Mo=zi.CONFIGURABLE,Co=Zi,xo=No.enforce,Po=No.get,Uo=Object.defineProperty,ko=So&&!Oo((function(){return 8!==Uo((function(){}),"length",{value:8}).length})),Do=String(String).split("String"),Lo=Vi.exports=function(t,e,r){"Symbol("===String(e).slice(0,7)&&(e="["+String(e).replace(/^Symbol\(([^)]*)\)/,"$1")+"]"),r&&r.getter&&(e="get "+e),r&&r.setter&&(e="set "+e),(!Ro(t,"name")||Mo&&t.name!==e)&&(So?Uo(t,"name",{value:e,configurable:!0}):t.name=e),ko&&r&&Ro(r,"arity")&&t.length!==r.arity&&Uo(t,"length",{value:r.arity});try{r&&Ro(r,"constructor")&&r.constructor?So&&Uo(t,"prototype",{writable:!1}):t.prototype&&(t.prototype=void 0);}catch(t){}var n=xo(t);return Ro(n,"source")||(n.source=Do.join("string"==typeof e?e:"")),t};Function.prototype.toString=Lo((function(){return bo(this)&&Po(this).source||Co(this)}),"toString");var Fo=Fr,Vo=_i,jo=Vi.exports,Go=Nn,Ko=function(t,e,r,n){n||(n={});var i=n.enumerable,o=void 0!==n.name?n.name:e;if(Fo(r)&&jo(r,o,n),n.global)i?t[e]=r:Go(e,r);else {try{n.unsafe?t[e]&&(i=!0):delete t[e];}catch(t){}i?t[e]=r:Vo.f(t,e,{value:r,enumerable:!1,configurable:!n.nonConfigurable,writable:!n.nonWritable});}return t},Ho={},Bo=Math.ceil,zo=Math.floor,Jo=Math.trunc||function(t){var e=+t;return (e>0?zo:Bo)(e)},qo=function(t){var e=+t;return e!=e||0===e?0:Jo(e)},Yo=qo,Xo=Math.max,Wo=Math.min,$o=function(t,e){var r=Yo(t);return r<0?Xo(r+e,0):Wo(r,e)},Zo=qo,Qo=Math.min,ts=function(t){return t>0?Qo(Zo(t),9007199254740991):0},es=function(t){return ts(t.length)},rs=Lr,ns=$o,is=es,os=function(t){return function(e,r,n){var i,o=rs(e),s=is(o),u=ns(n,s);if(t&&r!=r){for(;s>u;)if((i=o[u++])!=i)return !0}else for(;s>u;u++)if((t||u in o)&&o[u]===r)return t||u||0;return !t&&-1}},ss={includes:os(!0),indexOf:os(!1)},us=Un,as=Lr,cs=ss.indexOf,fs=uo,ps=Ir([].push),ls=function(t,e){var r,n=as(t),i=0,o=[];for(r in n)!us(fs,r)&&us(n,r)&&ps(o,r);for(;e.length>i;)us(n,r=e[i++])&&(~cs(o,r)||ps(o,r));return o},hs=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],ds=ls,vs=hs.concat("length","prototype");Ho.f=Object.getOwnPropertyNames||function(t){return ds(t,vs)};var ys={};ys.f=Object.getOwnPropertySymbols;var ms=Br,gs=Ho,Es=ys,ws=bi,Ts=Ir([].concat),_s=ms("Reflect","ownKeys")||function(t){var e=gs.f(ws(t)),r=Es.f;return r?Ts(e,r(t)):e},Is=Un,As=_s,Ns=ir,Os=_i,bs=function(t,e,r){for(var n=As(e),i=Os.f,o=Ns.f,s=0;s<n.length;s++){var u=n[s];Is(t,u)||r&&Is(r,u)||i(t,u,o(e,u));}},Rs=or,Ss=Fr,Ms=/#|\.prototype\./,Cs=function(t,e){var r=Ps[xs(t)];return r==ks||r!=Us&&(Ss(e)?Rs(e):!!e)},xs=Cs.normalize=function(t){return String(t).replace(Ms,".").toLowerCase()},Ps=Cs.data={},Us=Cs.NATIVE="N",ks=Cs.POLYFILL="P",Ds=Cs,Ls=nr,Fs=ir.f,Vs=Fi,js=Ko,Gs=Nn,Ks=bs,Hs=Ds,Bs=function(t,e){var r,n,i,o,s,u=t.target,a=t.global,c=t.stat;if(r=a?Ls:c?Ls[u]||Gs(u,{}):(Ls[u]||{}).prototype)for(n in e){if(o=e[n],i=t.dontCallGetSet?(s=Fs(r,n))&&s.value:r[n],!Hs(a?n:u+(c?".":"#")+n,t.forced)&&void 0!==i){if(typeof o==typeof i)continue;Ks(o,i);}(t.sham||i&&i.sham)&&Vs(o,"sham",!0),js(r,n,o,t);}},zs=!or((function(){function t(){}return t.prototype.constructor=null,Object.getPrototypeOf(new t)!==t.prototype})),Js=Un,qs=Fr,Ys=Cn,Xs=zs,Ws=so("IE_PROTO"),$s=Object,Zs=$s.prototype,Qs=Xs?$s.getPrototypeOf:function(t){var e=Ys(t);if(Js(e,Ws))return e[Ws];var r=e.constructor;return qs(r)&&e instanceof r?r.prototype:e instanceof $s?Zs:null},tu=Fr,eu=String,ru=TypeError,nu=Ir,iu=bi,ou=function(t){if("object"==typeof t||tu(t))return t;throw ru("Can't set "+eu(t)+" as a prototype")},su=Object.setPrototypeOf||("__proto__"in{}?function(){var t,e=!1,r={};try{(t=nu(Object.getOwnPropertyDescriptor(Object.prototype,"__proto__").set))(r,[]),e=r instanceof Array;}catch(t){}return function(r,n){return iu(r),ou(n),e?t(r,n):r.__proto__=n,r}}():void 0),uu={},au=ls,cu=hs,fu=Object.keys||function(t){return au(t,cu)},pu=sr,lu=Ii,hu=_i,du=bi,vu=Lr,yu=fu;uu.f=pu&&!lu?Object.defineProperties:function(t,e){du(t);for(var r,n=vu(e),i=yu(e),o=i.length,s=0;o>s;)hu.f(t,r=i[s++],n[r]);return t};var mu,gu=Br("document","documentElement"),Eu=bi,wu=uu,Tu=hs,_u=uo,Iu=gu,Au=fi,Nu=so("IE_PROTO"),Ou=function(){},bu=function(t){return "<script>"+t+"<\/script>"},Ru=function(t){t.write(bu("")),t.close();var e=t.parentWindow.Object;return t=null,e},Su=function(){try{mu=new ActiveXObject("htmlfile");}catch(t){}var t,e;Su="undefined"!=typeof document?document.domain&&mu?Ru(mu):((e=Au("iframe")).style.display="none",Iu.appendChild(e),e.src=String("javascript:"),(t=e.contentWindow.document).open(),t.write(bu("document.F=Object")),t.close(),t.F):Ru(mu);for(var r=Tu.length;r--;)delete Su.prototype[Tu[r]];return Su()};_u[Nu]=!0;var Mu=Object.create||function(t,e){var r;return null!==t?(Ou.prototype=Eu(t),r=new Ou,Ou.prototype=null,r[Nu]=t):r=Su(),void 0===e?r:wu.f(r,e)},Cu=Error,xu=Ir("".replace),Pu=String(Cu("zxcasd").stack),Uu=/\n\s*at [^:]*:[^\n]*/,ku=Uu.test(Pu),Du=jr,Lu=Fi,Fu=vn,Vu=ur,ju=Ir(Ir.bind),Gu=function(t,e){return Fu(t),void 0===e?t:Vu?ju(t,e):function(){return t.apply(e,arguments)}},Ku={},Hu=Ku,Bu=Wn("iterator"),zu=Array.prototype,Ju=function(t){return void 0!==t&&(Hu.Array===t||zu[Bu]===t)},qu={};qu[Wn("toStringTag")]="z";var Yu="[object z]"===String(qu),Xu=Yu,Wu=Fr,$u=br,Zu=Wn("toStringTag"),Qu=Object,ta="Arguments"==$u(function(){return arguments}()),ea=Xu?$u:function(t){var e,r,n;return void 0===t?"Undefined":null===t?"Null":"string"==typeof(r=function(t,e){try{return t[e]}catch(t){}}(e=Qu(t),Zu))?r:ta?$u(e):"Object"==(n=$u(e))&&Wu(e.callee)?"Arguments":n},ra=ea,na=mn,ia=Ku,oa=Wn("iterator"),sa=function(t){if(null!=t)return na(t,oa)||na(t,"@@iterator")||ia[ra(t)]},ua=fr,aa=vn,ca=bi,fa=pn,pa=sa,la=TypeError,ha=function(t,e){var r=arguments.length<2?pa(t):e;if(aa(r))return ca(ua(r,t));throw la(fa(t)+" is not iterable")},da=fr,va=bi,ya=mn,ma=function(t,e,r){var n,i;va(t);try{if(!(n=ya(t,"return"))){if("throw"===e)throw r;return r}n=da(n,t);}catch(t){i=!0,n=t;}if("throw"===e)throw r;if(i)throw n;return va(n),r},ga=Gu,Ea=fr,wa=bi,Ta=pn,_a=Ju,Ia=es,Aa=zr,Na=ha,Oa=sa,ba=ma,Ra=TypeError,Sa=function(t,e){this.stopped=t,this.result=e;},Ma=Sa.prototype,Ca=function(t,e,r){var n,i,o,s,u,a,c,f=r&&r.that,p=!(!r||!r.AS_ENTRIES),l=!(!r||!r.IS_RECORD),h=!(!r||!r.IS_ITERATOR),d=!(!r||!r.INTERRUPTED),v=ga(e,f),y=function(t){return n&&ba(n,"normal",t),new Sa(!0,t)},m=function(t){return p?(wa(t),d?v(t[0],t[1],y):v(t[0],t[1])):d?v(t,y):v(t)};if(l)n=t.iterator;else if(h)n=t;else {if(!(i=Oa(t)))throw Ra(Ta(t)+" is not iterable");if(_a(i)){for(o=0,s=Ia(t);s>o;o++)if((u=m(t[o]))&&Aa(Ma,u))return u;return new Sa(!1)}n=Na(t,i);}for(a=l?t.next:n.next;!(c=Ea(a,n)).done;){try{u=m(c.value);}catch(t){ba(n,"throw",t);}if("object"==typeof u&&u&&Aa(Ma,u))return u}return new Sa(!1)},xa=ea,Pa=String,Ua=function(t){if("Symbol"===xa(t))throw TypeError("Cannot convert a Symbol value to a string");return Pa(t)},ka=Ua,Da=mr,La=!or((function(){var t=Error("a");return !("stack"in t)||(Object.defineProperty(t,"stack",Da(1,7)),7!==t.stack)})),Fa=Bs,Va=zr,ja=Qs,Ga=su,Ka=bs,Ha=Mu,Ba=Fi,za=mr,Ja=function(t,e){if(ku&&"string"==typeof t&&!Cu.prepareStackTrace)for(;e--;)t=xu(t,Uu,"");return t},qa=function(t,e){Du(e)&&"cause"in e&&Lu(t,"cause",e.cause);},Ya=Ca,Xa=function(t,e){return void 0===t?arguments.length<2?"":e:ka(t)},Wa=La,$a=Wn("toStringTag"),Za=Error,Qa=[].push,tc=function(t,e){var r,n=arguments.length>2?arguments[2]:void 0,i=Va(ec,this);Ga?r=Ga(new Za,i?ja(this):ec):(r=i?this:Ha(ec),Ba(r,$a,"Error")),void 0!==e&&Ba(r,"message",Xa(e)),Wa&&Ba(r,"stack",Ja(r.stack,1)),qa(r,n);var o=[];return Ya(t,Qa,{that:o}),Ba(r,"errors",o),r};Ga?Ga(tc,Za):Ka(tc,Za,{name:!0});var ec=tc.prototype=Ha(Za.prototype,{constructor:za(1,tc),message:za(1,""),name:za(1,"AggregateError")});Fa({global:!0,constructor:!0,arity:2},{AggregateError:tc});var rc=Wn,nc=Mu,ic=_i.f,oc=rc("unscopables"),sc=Array.prototype;null==sc[oc]&&ic(sc,oc,{configurable:!0,value:nc(null)});var uc,ac,cc,fc=function(t){sc[oc][t]=!0;},pc=or,lc=Fr,hc=Qs,dc=Ko,vc=Wn("iterator"),yc=!1;[].keys&&("next"in(cc=[].keys())?(ac=hc(hc(cc)))!==Object.prototype&&(uc=ac):yc=!0);var mc=null==uc||pc((function(){var t={};return uc[vc].call(t)!==t}));mc&&(uc={}),lc(uc[vc])||dc(uc,vc,(function(){return this}));var gc={IteratorPrototype:uc,BUGGY_SAFARI_ITERATORS:yc},Ec=_i.f,wc=Un,Tc=Wn("toStringTag"),_c=function(t,e,r){t&&!r&&(t=t.prototype),t&&!wc(t,Tc)&&Ec(t,Tc,{configurable:!0,value:e});},Ic=gc.IteratorPrototype,Ac=Mu,Nc=mr,Oc=_c,bc=Ku,Rc=function(){return this},Sc=Bs,Mc=fr,Cc=Fr,xc=function(t,e,r,n){var i=e+" Iterator";return t.prototype=Ac(Ic,{next:Nc(+!n,r)}),Oc(t,i,!1),bc[i]=Rc,t},Pc=Qs,Uc=su,kc=_c,Dc=Fi,Lc=Ko,Fc=Ku,Vc=zi.PROPER,jc=zi.CONFIGURABLE,Gc=gc.IteratorPrototype,Kc=gc.BUGGY_SAFARI_ITERATORS,Hc=Wn("iterator"),Bc=function(){return this},zc=function(t,e,r,n,i,o,s){xc(r,e,n);var u,a,c,f=function(t){if(t===i&&v)return v;if(!Kc&&t in h)return h[t];switch(t){case"keys":case"values":case"entries":return function(){return new r(this,t)}}return function(){return new r(this)}},p=e+" Iterator",l=!1,h=t.prototype,d=h[Hc]||h["@@iterator"]||i&&h[i],v=!Kc&&d||f(i),y="Array"==e&&h.entries||d;if(y&&(u=Pc(y.call(new t)))!==Object.prototype&&u.next&&(Pc(u)!==Gc&&(Uc?Uc(u,Gc):Cc(u[Hc])||Lc(u,Hc,Bc)),kc(u,p,!0)),Vc&&"values"==i&&d&&"values"!==d.name&&(jc?Dc(h,"name","values"):(l=!0,v=function(){return Mc(d,this)})),i)if(a={values:f("values"),keys:o?v:f("keys"),entries:f("entries")},s)for(c in a)(Kc||l||!(c in h))&&Lc(h,c,a[c]);else Sc({target:e,proto:!0,forced:Kc||l},a);return h[Hc]!==v&&Lc(h,Hc,v,{name:i}),Fc[e]=v,a},Jc=Lr,qc=fc,Yc=Ku,Xc=No,Wc=_i.f,$c=zc,Zc=sr,Qc=Xc.set,tf=Xc.getterFor("Array Iterator"),ef=$c(Array,"Array",(function(t,e){Qc(this,{type:"Array Iterator",target:Jc(t),index:0,kind:e});}),(function(){var t=tf(this),e=t.target,r=t.kind,n=t.index++;return !e||n>=e.length?(t.target=void 0,{value:void 0,done:!0}):"keys"==r?{value:n,done:!1}:"values"==r?{value:e[n],done:!1}:{value:[n,e[n]],done:!1}}),"values"),rf=Yc.Arguments=Yc.Array;if(qc("keys"),qc("values"),qc("entries"),Zc&&"values"!==rf.name)try{Wc(rf,"name",{value:"values"});}catch(t){}var nf=ea,of=Yu?{}.toString:function(){return "[object "+nf(this)+"]"};Yu||Ko(Object.prototype,"toString",of,{unsafe:!0});var sf="process"==br(nr.process),uf=Br,af=_i,cf=sr,ff=Wn("species"),pf=function(t){var e=uf(t),r=af.f;cf&&e&&!e[ff]&&r(e,ff,{configurable:!0,get:function(){return this}});},lf=zr,hf=TypeError,df=function(t,e){if(lf(e,t))return t;throw hf("Incorrect invocation")},vf=Ir,yf=or,mf=Fr,gf=ea,Ef=Zi,wf=function(){},Tf=[],_f=Br("Reflect","construct"),If=/^\s*(?:class|function)\b/,Af=vf(If.exec),Nf=!If.exec(wf),Of=function(t){if(!mf(t))return !1;try{return _f(wf,Tf,t),!0}catch(t){return !1}},bf=function(t){if(!mf(t))return !1;switch(gf(t)){case"AsyncFunction":case"GeneratorFunction":case"AsyncGeneratorFunction":return !1}try{return Nf||!!Af(If,Ef(t))}catch(t){return !0}};bf.sham=!0;var Rf,Sf,Mf,Cf,xf=!_f||yf((function(){var t;return Of(Of.call)||!Of(Object)||!Of((function(){t=!0;}))||t}))?bf:Of,Pf=xf,Uf=pn,kf=TypeError,Df=bi,Lf=function(t){if(Pf(t))return t;throw kf(Uf(t)+" is not a constructor")},Ff=Wn("species"),Vf=function(t,e){var r,n=Df(t).constructor;return void 0===n||null==(r=Df(n)[Ff])?e:Lf(r)},jf=ur,Gf=Function.prototype,Kf=Gf.apply,Hf=Gf.call,Bf="object"==typeof Reflect&&Reflect.apply||(jf?Hf.bind(Kf):function(){return Hf.apply(Kf,arguments)}),zf=Ir([].slice),Jf=TypeError,qf=/(?:ipad|iphone|ipod).*applewebkit/i.test(Jr),Yf=nr,Xf=Bf,Wf=Gu,$f=Fr,Zf=Un,Qf=or,tp=gu,ep=zf,rp=fi,np=function(t,e){if(t<e)throw Jf("Not enough arguments");return t},ip=qf,op=sf,sp=Yf.setImmediate,up=Yf.clearImmediate,ap=Yf.process,cp=Yf.Dispatch,fp=Yf.Function,pp=Yf.MessageChannel,lp=Yf.String,hp=0,dp={};try{Rf=Yf.location;}catch(t){}var vp=function(t){if(Zf(dp,t)){var e=dp[t];delete dp[t],e();}},yp=function(t){return function(){vp(t);}},mp=function(t){vp(t.data);},gp=function(t){Yf.postMessage(lp(t),Rf.protocol+"//"+Rf.host);};sp&&up||(sp=function(t){np(arguments.length,1);var e=$f(t)?t:fp(t),r=ep(arguments,1);return dp[++hp]=function(){Xf(e,void 0,r);},Sf(hp),hp},up=function(t){delete dp[t];},op?Sf=function(t){ap.nextTick(yp(t));}:cp&&cp.now?Sf=function(t){cp.now(yp(t));}:pp&&!ip?(Cf=(Mf=new pp).port2,Mf.port1.onmessage=mp,Sf=Wf(Cf.postMessage,Cf)):Yf.addEventListener&&$f(Yf.postMessage)&&!Yf.importScripts&&Rf&&"file:"!==Rf.protocol&&!Qf(gp)?(Sf=gp,Yf.addEventListener("message",mp,!1)):Sf="onreadystatechange"in rp("script")?function(t){tp.appendChild(rp("script")).onreadystatechange=function(){tp.removeChild(this),vp(t);};}:function(t){setTimeout(yp(t),0);});var Ep,wp,Tp,_p,Ip,Ap,Np,Op,bp={set:sp,clear:up},Rp=nr,Sp=/ipad|iphone|ipod/i.test(Jr)&&void 0!==Rp.Pebble,Mp=/web0s(?!.*chrome)/i.test(Jr),Cp=nr,xp=Gu,Pp=ir.f,Up=bp.set,kp=qf,Dp=Sp,Lp=Mp,Fp=sf,Vp=Cp.MutationObserver||Cp.WebKitMutationObserver,jp=Cp.document,Gp=Cp.process,Kp=Cp.Promise,Hp=Pp(Cp,"queueMicrotask"),Bp=Hp&&Hp.value;Bp||(Ep=function(){var t,e;for(Fp&&(t=Gp.domain)&&t.exit();wp;){e=wp.fn,wp=wp.next;try{e();}catch(t){throw wp?_p():Tp=void 0,t}}Tp=void 0,t&&t.enter();},kp||Fp||Lp||!Vp||!jp?!Dp&&Kp&&Kp.resolve?((Np=Kp.resolve(void 0)).constructor=Kp,Op=xp(Np.then,Np),_p=function(){Op(Ep);}):Fp?_p=function(){Gp.nextTick(Ep);}:(Up=xp(Up,Cp),_p=function(){Up(Ep);}):(Ip=!0,Ap=jp.createTextNode(""),new Vp(Ep).observe(Ap,{characterData:!0}),_p=function(){Ap.data=Ip=!Ip;}));var zp=Bp||function(t){var e={fn:t,next:void 0};Tp&&(Tp.next=e),wp||(wp=e,_p()),Tp=e;},Jp=nr,qp=function(t){try{return {error:!1,value:t()}}catch(t){return {error:!0,value:t}}},Yp=function(){this.head=null,this.tail=null;};Yp.prototype={add:function(t){var e={item:t,next:null};this.head?this.tail.next=e:this.head=e,this.tail=e;},get:function(){var t=this.head;if(t)return this.head=t.next,this.tail===t&&(this.tail=null),t.item}};var Xp=Yp,Wp=nr.Promise,$p="object"==typeof Deno&&Deno&&"object"==typeof Deno.version,Zp=!$p&&!sf&&"object"==typeof window&&"object"==typeof document,Qp=nr,tl=Wp,el=Fr,rl=Ds,nl=Zi,il=Wn,ol=Zp,sl=$p,ul=Qr;tl&&tl.prototype;var al=il("species"),cl=!1,fl=el(Qp.PromiseRejectionEvent),pl=rl("Promise",(function(){var t=nl(tl),e=t!==String(tl);if(!e&&66===ul)return !0;if(!ul||ul<51||!/native code/.test(t)){var r=new tl((function(t){t(1);})),n=function(t){t((function(){}),(function(){}));};if((r.constructor={})[al]=n,!(cl=r.then((function(){}))instanceof n))return !0}return !e&&(ol||sl)&&!fl})),ll={CONSTRUCTOR:pl,REJECTION_EVENT:fl,SUBCLASSING:cl},hl={},dl=vn,vl=function(t){var e,r;this.promise=new t((function(t,n){if(void 0!==e||void 0!==r)throw TypeError("Bad Promise constructor");e=t,r=n;})),this.resolve=dl(e),this.reject=dl(r);};hl.f=function(t){return new vl(t)};var yl,ml,gl,El=Bs,wl=sf,Tl=nr,_l=fr,Il=Ko,Al=su,Nl=_c,Ol=pf,bl=vn,Rl=Fr,Sl=jr,Ml=df,Cl=Vf,xl=bp.set,Pl=zp,Ul=function(t,e){var r=Jp.console;r&&r.error&&(1==arguments.length?r.error(t):r.error(t,e));},kl=qp,Dl=Xp,Ll=No,Fl=Wp,Vl=hl,jl=ll.CONSTRUCTOR,Gl=ll.REJECTION_EVENT,Kl=ll.SUBCLASSING,Hl=Ll.getterFor("Promise"),Bl=Ll.set,zl=Fl&&Fl.prototype,Jl=Fl,ql=zl,Yl=Tl.TypeError,Xl=Tl.document,Wl=Tl.process,$l=Vl.f,Zl=$l,Ql=!!(Xl&&Xl.createEvent&&Tl.dispatchEvent),th=function(t){var e;return !(!Sl(t)||!Rl(e=t.then))&&e},eh=function(t,e){var r,n,i,o=e.value,s=1==e.state,u=s?t.ok:t.fail,a=t.resolve,c=t.reject,f=t.domain;try{u?(s||(2===e.rejection&&sh(e),e.rejection=1),!0===u?r=o:(f&&f.enter(),r=u(o),f&&(f.exit(),i=!0)),r===t.promise?c(Yl("Promise-chain cycle")):(n=th(r))?_l(n,r,a,c):a(r)):c(o);}catch(t){f&&!i&&f.exit(),c(t);}},rh=function(t,e){t.notified||(t.notified=!0,Pl((function(){for(var r,n=t.reactions;r=n.get();)eh(r,t);t.notified=!1,e&&!t.rejection&&ih(t);})));},nh=function(t,e,r){var n,i;Ql?((n=Xl.createEvent("Event")).promise=e,n.reason=r,n.initEvent(t,!1,!0),Tl.dispatchEvent(n)):n={promise:e,reason:r},!Gl&&(i=Tl["on"+t])?i(n):"unhandledrejection"===t&&Ul("Unhandled promise rejection",r);},ih=function(t){_l(xl,Tl,(function(){var e,r=t.facade,n=t.value;if(oh(t)&&(e=kl((function(){wl?Wl.emit("unhandledRejection",n,r):nh("unhandledrejection",r,n);})),t.rejection=wl||oh(t)?2:1,e.error))throw e.value}));},oh=function(t){return 1!==t.rejection&&!t.parent},sh=function(t){_l(xl,Tl,(function(){var e=t.facade;wl?Wl.emit("rejectionHandled",e):nh("rejectionhandled",e,t.value);}));},uh=function(t,e,r){return function(n){t(e,n,r);}},ah=function(t,e,r){t.done||(t.done=!0,r&&(t=r),t.value=e,t.state=2,rh(t,!0));},ch=function(t,e,r){if(!t.done){t.done=!0,r&&(t=r);try{if(t.facade===e)throw Yl("Promise can't be resolved itself");var n=th(e);n?Pl((function(){var r={done:!1};try{_l(n,e,uh(ch,r,t),uh(ah,r,t));}catch(e){ah(r,e,t);}})):(t.value=e,t.state=1,rh(t,!1));}catch(e){ah({done:!1},e,t);}}};if(jl&&(ql=(Jl=function(t){Ml(this,ql),bl(t),_l(yl,this);var e=Hl(this);try{t(uh(ch,e),uh(ah,e));}catch(t){ah(e,t);}}).prototype,(yl=function(t){Bl(this,{type:"Promise",done:!1,notified:!1,parent:!1,reactions:new Dl,rejection:!1,state:0,value:void 0});}).prototype=Il(ql,"then",(function(t,e){var r=Hl(this),n=$l(Cl(this,Jl));return r.parent=!0,n.ok=!Rl(t)||t,n.fail=Rl(e)&&e,n.domain=wl?Wl.domain:void 0,0==r.state?r.reactions.add(n):Pl((function(){eh(n,r);})),n.promise})),ml=function(){var t=new yl,e=Hl(t);this.promise=t,this.resolve=uh(ch,e),this.reject=uh(ah,e);},Vl.f=$l=function(t){return t===Jl||undefined===t?new ml(t):Zl(t)},Rl(Fl)&&zl!==Object.prototype)){gl=zl.then,Kl||Il(zl,"then",(function(t,e){var r=this;return new Jl((function(t,e){_l(gl,r,t,e);})).then(t,e)}),{unsafe:!0});try{delete zl.constructor;}catch(t){}Al&&Al(zl,ql);}El({global:!0,constructor:!0,wrap:!0,forced:jl},{Promise:Jl}),Nl(Jl,"Promise",!1),Ol("Promise");var fh=Wn("iterator"),ph=!1;try{var lh=0,hh={next:function(){return {done:!!lh++}},return:function(){ph=!0;}};hh[fh]=function(){return this},Array.from(hh,(function(){throw 2}));}catch(t){}var dh=function(t,e){if(!e&&!ph)return !1;var r=!1;try{var n={};n[fh]=function(){return {next:function(){return {done:r=!0}}}},t(n);}catch(t){}return r},vh=Wp,yh=ll.CONSTRUCTOR||!dh((function(t){vh.all(t).then(void 0,(function(){}));})),mh=fr,gh=vn,Eh=hl,wh=qp,Th=Ca;Bs({target:"Promise",stat:!0,forced:yh},{all:function(t){var e=this,r=Eh.f(e),n=r.resolve,i=r.reject,o=wh((function(){var r=gh(e.resolve),o=[],s=0,u=1;Th(t,(function(t){var a=s++,c=!1;u++,mh(r,e,t).then((function(t){c||(c=!0,o[a]=t,--u||n(o));}),i);})),--u||n(o);}));return o.error&&i(o.value),r.promise}});var _h=Bs,Ih=ll.CONSTRUCTOR,Ah=Wp,Nh=Br,Oh=Fr,bh=Ko,Rh=Ah&&Ah.prototype;if(_h({target:"Promise",proto:!0,forced:Ih,real:!0},{catch:function(t){return this.then(void 0,t)}}),Oh(Ah)){var Sh=Nh("Promise").prototype.catch;Rh.catch!==Sh&&bh(Rh,"catch",Sh,{unsafe:!0});}var Mh=fr,Ch=vn,xh=hl,Ph=qp,Uh=Ca;Bs({target:"Promise",stat:!0,forced:yh},{race:function(t){var e=this,r=xh.f(e),n=r.reject,i=Ph((function(){var i=Ch(e.resolve);Uh(t,(function(t){Mh(i,e,t).then(r.resolve,n);}));}));return i.error&&n(i.value),r.promise}});var kh=fr,Dh=hl;Bs({target:"Promise",stat:!0,forced:ll.CONSTRUCTOR},{reject:function(t){var e=Dh.f(this);return kh(e.reject,void 0,t),e.promise}});var Lh=bi,Fh=jr,Vh=hl,jh=function(t,e){if(Lh(t),Fh(e)&&e.constructor===t)return e;var r=Vh.f(t);return (0, r.resolve)(e),r.promise},Gh=Bs,Kh=ll.CONSTRUCTOR,Hh=jh;Br("Promise"),Gh({target:"Promise",stat:!0,forced:Kh},{resolve:function(t){return Hh(this,t)}});var Bh=fr,zh=vn,Jh=hl,qh=qp,Yh=Ca;Bs({target:"Promise",stat:!0},{allSettled:function(t){var e=this,r=Jh.f(e),n=r.resolve,i=r.reject,o=qh((function(){var r=zh(e.resolve),i=[],o=0,s=1;Yh(t,(function(t){var u=o++,a=!1;s++,Bh(r,e,t).then((function(t){a||(a=!0,i[u]={status:"fulfilled",value:t},--s||n(i));}),(function(t){a||(a=!0,i[u]={status:"rejected",reason:t},--s||n(i));}));})),--s||n(i);}));return o.error&&i(o.value),r.promise}});var Xh=fr,Wh=vn,$h=Br,Zh=hl,Qh=qp,td=Ca;Bs({target:"Promise",stat:!0},{any:function(t){var e=this,r=$h("AggregateError"),n=Zh.f(e),i=n.resolve,o=n.reject,s=Qh((function(){var n=Wh(e.resolve),s=[],u=0,a=1,c=!1;td(t,(function(t){var f=u++,p=!1;a++,Xh(n,e,t).then((function(t){p||c||(c=!0,i(t));}),(function(t){p||c||(p=!0,s[f]=t,--a||o(new r(s,"No one promise resolved")));}));})),--a||o(new r(s,"No one promise resolved"));}));return s.error&&o(s.value),n.promise}});var ed=Bs,rd=Wp,nd=or,id=Br,od=Fr,sd=Vf,ud=jh,ad=Ko,cd=rd&&rd.prototype;if(ed({target:"Promise",proto:!0,real:!0,forced:!!rd&&nd((function(){cd.finally.call({then:function(){}},(function(){}));}))},{finally:function(t){var e=sd(this,id("Promise")),r=od(t);return this.then(r?function(r){return ud(e,t()).then((function(){return r}))}:t,r?function(r){return ud(e,t()).then((function(){throw r}))}:t)}}),od(rd)){var fd=id("Promise").prototype.finally;cd.finally!==fd&&ad(cd,"finally",fd,{unsafe:!0});}var pd=Ir,ld=qo,hd=Ua,dd=Ur,vd=pd("".charAt),yd=pd("".charCodeAt),md=pd("".slice),gd=function(t){return function(e,r){var n,i,o=hd(dd(e)),s=ld(r),u=o.length;return s<0||s>=u?t?"":void 0:(n=yd(o,s))<55296||n>56319||s+1===u||(i=yd(o,s+1))<56320||i>57343?t?vd(o,s):n:t?md(o,s,s+2):i-56320+(n-55296<<10)+65536}},Ed={codeAt:gd(!1),charAt:gd(!0)}.charAt,wd=Ua,Td=No,_d=zc,Id=Td.set,Ad=Td.getterFor("String Iterator");_d(String,"String",(function(t){Id(this,{type:"String Iterator",string:wd(t),index:0});}),(function(){var t,e=Ad(this),r=e.string,n=e.index;return n>=r.length?{value:void 0,done:!0}:(t=Ed(r,n),e.index+=t.length,{value:t,done:!1})}));var Nd=nr,Od=(Nd.Promise,fi("span").classList),bd=Od&&Od.constructor&&Od.constructor.prototype,Rd=bd===Object.prototype?void 0:bd,Sd=nr,Md={CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0},Cd=Rd,xd=ef,Pd=Fi,Ud=Wn,kd=Ud("iterator"),Dd=Ud("toStringTag"),Ld=xd.values,Fd=function(t,e){if(t){if(t[kd]!==Ld)try{Pd(t,kd,Ld);}catch(e){t[kd]=Ld;}if(t[Dd]||Pd(t,Dd,e),Md[e])for(var r in xd)if(t[r]!==xd[r])try{Pd(t,r,xd[r]);}catch(e){t[r]=xd[r];}}};for(var Vd in Md)Fd(Sd[Vd]&&Sd[Vd].prototype,Vd);Fd(Cd,"DOMTokenList");var jd=hl,Gd=qp;Bs({target:"Promise",stat:!0,forced:!0},{try:function(t){var e=jd.f(this),r=Gd(t);return (r.error?e.reject:e.resolve)(r.value),e.promise}});var Kd=bi,Hd=ma,Bd=si,zd=_i,Jd=mr,qd=function(t,e,r){var n=Bd(e);n in t?zd.f(t,n,Jd(0,r)):t[n]=r;},Yd=Gu,Xd=fr,Wd=Cn,$d=function(t,e,r,n){try{return n?e(Kd(r)[0],r[1]):e(r)}catch(e){Hd(t,"throw",e);}},Zd=Ju,Qd=xf,tv=es,ev=qd,rv=ha,nv=sa,iv=Array,ov=function(t){var e=Wd(t),r=Qd(this),n=arguments.length,i=n>1?arguments[1]:void 0,o=void 0!==i;o&&(i=Yd(i,n>2?arguments[2]:void 0));var s,u,a,c,f,p,l=nv(e),h=0;if(!l||this===iv&&Zd(l))for(s=tv(e),u=r?new this(s):iv(s);s>h;h++)p=o?i(e[h],h):e[h],ev(u,h,p);else for(f=(c=rv(e,l)).next,u=r?new this:[];!(a=Xd(f,c)).done;h++)p=o?$d(c,i,[a.value,h],!0):a.value,ev(u,h,p);return u.length=h,u};Bs({target:"Array",stat:!0,forced:!dh((function(t){Array.from(t);}))},{from:ov});var sv=br,uv=Array.isArray||function(t){return "Array"==sv(t)};Bs({target:"Array",stat:!0},{isArray:uv});var av=xf,cv=qd,fv=Array;Bs({target:"Array",stat:!0,forced:or((function(){function t(){}return !(fv.of.call(t)instanceof t)}))},{of:function(){for(var t=0,e=arguments.length,r=new(av(this)?this:fv)(e);e>t;)cv(r,t,arguments[t++]);return r.length=e,r}});var pv=Cn,lv=es,hv=qo,dv=fc;Bs({target:"Array",proto:!0},{at:function(t){var e=pv(this),r=lv(e),n=hv(t),i=n>=0?n:r+n;return i<0||i>=r?void 0:e[i]}}),dv("at");var vv=TypeError,yv=function(t){if(t>9007199254740991)throw vv("Maximum allowed index exceeded");return t},mv=uv,gv=xf,Ev=jr,wv=Wn("species"),Tv=Array,_v=function(t){var e;return mv(t)&&(e=t.constructor,(gv(e)&&(e===Tv||mv(e.prototype))||Ev(e)&&null===(e=e[wv]))&&(e=void 0)),void 0===e?Tv:e},Iv=function(t,e){return new(_v(t))(0===e?0:e)},Av=or,Nv=Qr,Ov=Wn("species"),bv=function(t){return Nv>=51||!Av((function(){var e=[];return (e.constructor={})[Ov]=function(){return {foo:1}},1!==e[t](Boolean).foo}))},Rv=Bs,Sv=or,Mv=uv,Cv=jr,xv=Cn,Pv=es,Uv=yv,kv=qd,Dv=Iv,Lv=bv,Fv=Qr,Vv=Wn("isConcatSpreadable"),jv=Fv>=51||!Sv((function(){var t=[];return t[Vv]=!1,t.concat()[0]!==t})),Gv=Lv("concat"),Kv=function(t){if(!Cv(t))return !1;var e=t[Vv];return void 0!==e?!!e:Mv(t)};Rv({target:"Array",proto:!0,arity:1,forced:!jv||!Gv},{concat:function(t){var e,r,n,i,o,s=xv(this),u=Dv(s,0),a=0;for(e=-1,n=arguments.length;e<n;e++)if(Kv(o=-1===e?s:arguments[e]))for(i=Pv(o),Uv(a+i),r=0;r<i;r++,a++)r in o&&kv(u,a,o[r]);else Uv(a+1),kv(u,a++,o);return u.length=a,u}});var Hv=pn,Bv=TypeError,zv=function(t,e){if(!delete t[e])throw Bv("Cannot delete property "+Hv(e)+" of "+Hv(t))},Jv=Cn,qv=$o,Yv=es,Xv=zv,Wv=Math.min,$v=[].copyWithin||function(t,e){var r=Jv(this),n=Yv(r),i=qv(t,n),o=qv(e,n),s=arguments.length>2?arguments[2]:void 0,u=Wv((void 0===s?n:qv(s,n))-o,n-i),a=1;for(o<i&&i<o+u&&(a=-1,o+=u-1,i+=u-1);u-- >0;)o in r?r[i]=r[o]:Xv(r,i),i+=a,o+=a;return r},Zv=fc;Bs({target:"Array",proto:!0},{copyWithin:$v}),Zv("copyWithin");var Qv=Gu,ty=xr,ey=Cn,ry=es,ny=Iv,iy=Ir([].push),oy=function(t){var e=1==t,r=2==t,n=3==t,i=4==t,o=6==t,s=7==t,u=5==t||o;return function(a,c,f,p){for(var l,h,d=ey(a),v=ty(d),y=Qv(c,f),m=ry(v),g=0,E=p||ny,w=e?E(a,m):r||s?E(a,0):void 0;m>g;g++)if((u||g in v)&&(h=y(l=v[g],g,d),t))if(e)w[g]=h;else if(h)switch(t){case 3:return !0;case 5:return l;case 6:return g;case 2:iy(w,l);}else switch(t){case 4:return !1;case 7:iy(w,l);}return o?-1:n||i?i:w}},sy={forEach:oy(0),map:oy(1),filter:oy(2),some:oy(3),every:oy(4),find:oy(5),findIndex:oy(6),filterReject:oy(7)},uy=or,ay=function(t,e){var r=[][t];return !!r&&uy((function(){r.call(null,e||function(){return 1},1);}))},cy=sy.every;Bs({target:"Array",proto:!0,forced:!ay("every")},{every:function(t){return cy(this,t,arguments.length>1?arguments[1]:void 0)}});var fy=Cn,py=$o,ly=es,hy=fc;Bs({target:"Array",proto:!0},{fill:function(t){for(var e=fy(this),r=ly(e),n=arguments.length,i=py(n>1?arguments[1]:void 0,r),o=n>2?arguments[2]:void 0,s=void 0===o?r:py(o,r);s>i;)e[i++]=t;return e}}),hy("fill");var dy=sy.filter;Bs({target:"Array",proto:!0,forced:!bv("filter")},{filter:function(t){return dy(this,t,arguments.length>1?arguments[1]:void 0)}});var vy=Bs,yy=sy.find,my=fc,gy=!0;"find"in[]&&Array(1).find((function(){gy=!1;})),vy({target:"Array",proto:!0,forced:gy},{find:function(t){return yy(this,t,arguments.length>1?arguments[1]:void 0)}}),my("find");var Ey=Bs,wy=sy.findIndex,Ty=fc,_y=!0;"findIndex"in[]&&Array(1).findIndex((function(){_y=!1;})),Ey({target:"Array",proto:!0,forced:_y},{findIndex:function(t){return wy(this,t,arguments.length>1?arguments[1]:void 0)}}),Ty("findIndex");var Iy=Gu,Ay=xr,Ny=Cn,Oy=es,by=function(t){var e=1==t;return function(r,n,i){for(var o,s=Ny(r),u=Ay(s),a=Iy(n,i),c=Oy(u);c-- >0;)if(a(o=u[c],c,s))switch(t){case 0:return o;case 1:return c}return e?-1:void 0}},Ry={findLast:by(0),findLastIndex:by(1)},Sy=Ry.findLast,My=fc;Bs({target:"Array",proto:!0},{findLast:function(t){return Sy(this,t,arguments.length>1?arguments[1]:void 0)}}),My("findLast");var Cy=Ry.findLastIndex,xy=fc;Bs({target:"Array",proto:!0},{findLastIndex:function(t){return Cy(this,t,arguments.length>1?arguments[1]:void 0)}}),xy("findLastIndex");var Py=uv,Uy=es,ky=yv,Dy=Gu,Ly=function(t,e,r,n,i,o,s,u){for(var a,c,f=i,p=0,l=!!s&&Dy(s,u);p<n;)p in r&&(a=l?l(r[p],p,e):r[p],o>0&&Py(a)?(c=Uy(a),f=Ly(t,e,a,c,f,o-1)-1):(ky(f+1),t[f]=a),f++),p++;return f},Fy=Ly,Vy=Fy,jy=Cn,Gy=es,Ky=qo,Hy=Iv;Bs({target:"Array",proto:!0},{flat:function(){var t=arguments.length?arguments[0]:void 0,e=jy(this),r=Gy(e),n=Hy(e,0);return n.length=Vy(n,e,e,r,0,void 0===t?1:Ky(t)),n}});var By=Fy,zy=vn,Jy=Cn,qy=es,Yy=Iv;Bs({target:"Array",proto:!0},{flatMap:function(t){var e,r=Jy(this),n=qy(r);return zy(t),(e=Yy(r,0)).length=By(e,r,r,n,0,1,t,arguments.length>1?arguments[1]:void 0),e}});var Xy=sy.forEach,Wy=ay("forEach")?[].forEach:function(t){return Xy(this,t,arguments.length>1?arguments[1]:void 0)};Bs({target:"Array",proto:!0,forced:[].forEach!=Wy},{forEach:Wy});var $y=ss.includes,Zy=fc;Bs({target:"Array",proto:!0,forced:or((function(){return !Array(1).includes()}))},{includes:function(t){return $y(this,t,arguments.length>1?arguments[1]:void 0)}}),Zy("includes");var Qy=Bs,tm=ss.indexOf,em=ay,rm=Ir([].indexOf),nm=!!rm&&1/rm([1],1,-0)<0,im=em("indexOf");Qy({target:"Array",proto:!0,forced:nm||!im},{indexOf:function(t){var e=arguments.length>1?arguments[1]:void 0;return nm?rm(this,t,e)||0:tm(this,t,e)}});var om=Bs,sm=xr,um=Lr,am=ay,cm=Ir([].join),fm=sm!=Object,pm=am("join",",");om({target:"Array",proto:!0,forced:fm||!pm},{join:function(t){return cm(um(this),void 0===t?",":t)}});var lm=Bf,hm=Lr,dm=qo,vm=es,ym=ay,mm=Math.min,gm=[].lastIndexOf,Em=!!gm&&1/[1].lastIndexOf(1,-0)<0,wm=ym("lastIndexOf"),Tm=Em||!wm?function(t){if(Em)return lm(gm,this,arguments)||0;var e=hm(this),r=vm(e),n=r-1;for(arguments.length>1&&(n=mm(n,dm(arguments[1]))),n<0&&(n=r+n);n>=0;n--)if(n in e&&e[n]===t)return n||0;return -1}:gm;Bs({target:"Array",proto:!0,forced:Tm!==[].lastIndexOf},{lastIndexOf:Tm});var _m=sy.map;Bs({target:"Array",proto:!0,forced:!bv("map")},{map:function(t){return _m(this,t,arguments.length>1?arguments[1]:void 0)}});var Im=Bs,Am=Cn,Nm=es,Om=yv,bm=or((function(){return 4294967297!==[].push.call({length:4294967296},1)})),Rm=!function(){try{Object.defineProperty([],"length",{writable:!1}).push();}catch(t){return t instanceof TypeError}}();Im({target:"Array",proto:!0,arity:1,forced:bm||Rm},{push:function(t){var e=Am(this),r=Nm(e),n=arguments.length;Om(r+n);for(var i=0;i<n;i++)e[r]=arguments[i],r++;return e.length=r,r}});var Sm=vn,Mm=Cn,Cm=xr,xm=es,Pm=TypeError,Um=function(t){return function(e,r,n,i){Sm(r);var o=Mm(e),s=Cm(o),u=xm(o),a=t?u-1:0,c=t?-1:1;if(n<2)for(;;){if(a in s){i=s[a],a+=c;break}if(a+=c,t?a<0:u<=a)throw Pm("Reduce of empty array with no initial value")}for(;t?a>=0:u>a;a+=c)a in s&&(i=r(i,s[a],a,o));return i}},km={left:Um(!1),right:Um(!0)},Dm=km.left,Lm=Qr,Fm=sf;Bs({target:"Array",proto:!0,forced:!ay("reduce")||!Fm&&Lm>79&&Lm<83},{reduce:function(t){var e=arguments.length;return Dm(this,t,e,e>1?arguments[1]:void 0)}});var Vm=km.right,jm=Qr,Gm=sf;Bs({target:"Array",proto:!0,forced:!ay("reduceRight")||!Gm&&jm>79&&jm<83},{reduceRight:function(t){return Vm(this,t,arguments.length,arguments.length>1?arguments[1]:void 0)}});var Km=Bs,Hm=uv,Bm=Ir([].reverse),zm=[1,2];Km({target:"Array",proto:!0,forced:String(zm)===String(zm.reverse())},{reverse:function(){return Hm(this)&&(this.length=this.length),Bm(this)}});var Jm=Bs,qm=uv,Ym=xf,Xm=jr,Wm=$o,$m=es,Zm=Lr,Qm=qd,tg=Wn,eg=zf,rg=bv("slice"),ng=tg("species"),ig=Array,og=Math.max;Jm({target:"Array",proto:!0,forced:!rg},{slice:function(t,e){var r,n,i,o=Zm(this),s=$m(o),u=Wm(t,s),a=Wm(void 0===e?s:e,s);if(qm(o)&&(r=o.constructor,(Ym(r)&&(r===ig||qm(r.prototype))||Xm(r)&&null===(r=r[ng]))&&(r=void 0),r===ig||void 0===r))return eg(o,u,a);for(n=new(void 0===r?ig:r)(og(a-u,0)),i=0;u<a;u++,i++)u in o&&Qm(n,i,o[u]);return n.length=i,n}});var sg=sy.some;Bs({target:"Array",proto:!0,forced:!ay("some")},{some:function(t){return sg(this,t,arguments.length>1?arguments[1]:void 0)}});var ug=$o,ag=es,cg=qd,fg=Array,pg=Math.max,lg=function(t,e,r){for(var n=ag(t),i=ug(e,n),o=ug(void 0===r?n:r,n),s=fg(pg(o-i,0)),u=0;i<o;i++,u++)cg(s,u,t[i]);return s.length=u,s},hg=lg,dg=Math.floor,vg=function(t,e){var r=t.length,n=dg(r/2);return r<8?yg(t,e):mg(t,vg(hg(t,0,n),e),vg(hg(t,n),e),e)},yg=function(t,e){for(var r,n,i=t.length,o=1;o<i;){for(n=o,r=t[o];n&&e(t[n-1],r)>0;)t[n]=t[--n];n!==o++&&(t[n]=r);}return t},mg=function(t,e,r,n){for(var i=e.length,o=r.length,s=0,u=0;s<i||u<o;)t[s+u]=s<i&&u<o?n(e[s],r[u])<=0?e[s++]:r[u++]:s<i?e[s++]:r[u++];return t},gg=vg,Eg=Jr.match(/firefox\/(\d+)/i),wg=!!Eg&&+Eg[1],Tg=/MSIE|Trident/.test(Jr),_g=Jr.match(/AppleWebKit\/(\d+)\./),Ig=!!_g&&+_g[1],Ag=Bs,Ng=Ir,Og=vn,bg=Cn,Rg=es,Sg=zv,Mg=Ua,Cg=or,xg=gg,Pg=ay,Ug=wg,kg=Tg,Dg=Qr,Lg=Ig,Fg=[],Vg=Ng(Fg.sort),jg=Ng(Fg.push),Gg=Cg((function(){Fg.sort(void 0);})),Kg=Cg((function(){Fg.sort(null);})),Hg=Pg("sort"),Bg=!Cg((function(){if(Dg)return Dg<70;if(!(Ug&&Ug>3)){if(kg)return !0;if(Lg)return Lg<603;var t,e,r,n,i="";for(t=65;t<76;t++){switch(e=String.fromCharCode(t),t){case 66:case 69:case 70:case 72:r=3;break;case 68:case 71:r=4;break;default:r=2;}for(n=0;n<47;n++)Fg.push({k:e+n,v:r});}for(Fg.sort((function(t,e){return e.v-t.v})),n=0;n<Fg.length;n++)e=Fg[n].k.charAt(0),i.charAt(i.length-1)!==e&&(i+=e);return "DGBEFHACIJK"!==i}}));Ag({target:"Array",proto:!0,forced:Gg||!Kg||!Hg||!Bg},{sort:function(t){void 0!==t&&Og(t);var e=bg(this);if(Bg)return void 0===t?Vg(e):Vg(e,t);var r,n,i=[],o=Rg(e);for(n=0;n<o;n++)n in e&&jg(i,e[n]);for(xg(i,function(t){return function(e,r){return void 0===r?-1:void 0===e?1:void 0!==t?+t(e,r)||0:Mg(e)>Mg(r)?1:-1}}(t)),r=i.length,n=0;n<r;)e[n]=i[n++];for(;n<o;)Sg(e,n++);return e}}),pf("Array");var zg=Bs,Jg=Cn,qg=$o,Yg=qo,Xg=es,Wg=yv,$g=Iv,Zg=qd,Qg=zv,tE=bv("splice"),eE=Math.max,rE=Math.min;zg({target:"Array",proto:!0,forced:!tE},{splice:function(t,e){var r,n,i,o,s,u,a=Jg(this),c=Xg(a),f=qg(t,c),p=arguments.length;for(0===p?r=n=0:1===p?(r=0,n=c-f):(r=p-2,n=rE(eE(Yg(e),0),c-f)),Wg(c+r-n),i=$g(a,n),o=0;o<n;o++)(s=f+o)in a&&Zg(i,o,a[s]);if(i.length=n,r<n){for(o=f;o<c-n;o++)u=o+r,(s=o+n)in a?a[u]=a[s]:Qg(a,u);for(o=c;o>c-n+r;o--)Qg(a,o-1);}else if(r>n)for(o=c-n;o>f;o--)u=o+r-1,(s=o+n-1)in a?a[u]=a[s]:Qg(a,u);for(o=0;o<r;o++)a[o+f]=arguments[o+2];return a.length=c-n+r,i}}),fc("flat"),fc("flatMap");var nE=Bs,iE=Cn,oE=es,sE=zv,uE=yv,aE=1!==[].unshift(0),cE=!function(){try{Object.defineProperty([],"length",{writable:!1}).unshift();}catch(t){return t instanceof TypeError}}();nE({target:"Array",proto:!0,arity:1,forced:aE||cE},{unshift:function(t){var e=iE(this),r=oE(e),n=arguments.length;if(n){uE(r+n);for(var i=r;i--;){var o=i+n;i in e?e[o]=e[i]:sE(e,o);}for(var s=0;s<n;s++)e[s]=arguments[s];}return e.length=r+n}});Nd.Array;var fE={exports:{}},pE={},lE=br,hE=Lr,dE=Ho.f,vE=lg,yE="object"==typeof window&&window&&Object.getOwnPropertyNames?Object.getOwnPropertyNames(window):[];pE.f=function(t){return yE&&"Window"==lE(t)?function(t){try{return dE(t)}catch(t){return vE(yE)}}(t):dE(hE(t))};var mE=or((function(){if("function"==typeof ArrayBuffer){var t=new ArrayBuffer(8);Object.isExtensible(t)&&Object.defineProperty(t,"a",{value:8});}})),gE=or,EE=jr,wE=br,TE=mE,_E=Object.isExtensible,IE=gE((function(){_E(1);}))||TE?function(t){return !!EE(t)&&((!TE||"ArrayBuffer"!=wE(t))&&(!_E||_E(t)))}:_E,AE=!or((function(){return Object.isExtensible(Object.preventExtensions({}))})),NE=Bs,OE=Ir,bE=uo,RE=jr,SE=Un,ME=_i.f,CE=Ho,xE=pE,PE=IE,UE=AE,kE=!1,DE=Vn("meta"),LE=0,FE=function(t){ME(t,DE,{value:{objectID:"O"+LE++,weakData:{}}});},VE=fE.exports={enable:function(){VE.enable=function(){},kE=!0;var t=CE.f,e=OE([].splice),r={};r[DE]=1,t(r).length&&(CE.f=function(r){for(var n=t(r),i=0,o=n.length;i<o;i++)if(n[i]===DE){e(n,i,1);break}return n},NE({target:"Object",stat:!0,forced:!0},{getOwnPropertyNames:xE.f}));},fastKey:function(t,e){if(!RE(t))return "symbol"==typeof t?t:("string"==typeof t?"S":"P")+t;if(!SE(t,DE)){if(!PE(t))return "F";if(!e)return "E";FE(t);}return t[DE].objectID},getWeakData:function(t,e){if(!SE(t,DE)){if(!PE(t))return !0;if(!e)return !1;FE(t);}return t[DE].weakData},onFreeze:function(t){return UE&&kE&&PE(t)&&!SE(t,DE)&&FE(t),t}};bE[DE]=!0;var jE=Fr,GE=jr,KE=su,HE=Bs,BE=nr,zE=Ir,JE=Ds,qE=Ko,YE=fE.exports,XE=Ca,WE=df,$E=Fr,ZE=jr,QE=or,tw=dh,ew=_c,rw=function(t,e,r){var n,i;return KE&&jE(n=e.constructor)&&n!==r&&GE(i=n.prototype)&&i!==r.prototype&&KE(t,i),t},nw=Ko,iw=function(t,e,r){for(var n in e)nw(t,n,e[n],r);return t},ow=_i.f,sw=Mu,uw=iw,aw=Gu,cw=df,fw=Ca,pw=zc,lw=pf,hw=sr,dw=fE.exports.fastKey,vw=No.set,yw=No.getterFor,mw={getConstructor:function(t,e,r,n){var i=t((function(t,i){cw(t,o),vw(t,{type:e,index:sw(null),first:void 0,last:void 0,size:0}),hw||(t.size=0),null!=i&&fw(i,t[n],{that:t,AS_ENTRIES:r});})),o=i.prototype,s=yw(e),u=function(t,e,r){var n,i,o=s(t),u=a(t,e);return u?u.value=r:(o.last=u={index:i=dw(e,!0),key:e,value:r,previous:n=o.last,next:void 0,removed:!1},o.first||(o.first=u),n&&(n.next=u),hw?o.size++:t.size++,"F"!==i&&(o.index[i]=u)),t},a=function(t,e){var r,n=s(t),i=dw(e);if("F"!==i)return n.index[i];for(r=n.first;r;r=r.next)if(r.key==e)return r};return uw(o,{clear:function(){for(var t=s(this),e=t.index,r=t.first;r;)r.removed=!0,r.previous&&(r.previous=r.previous.next=void 0),delete e[r.index],r=r.next;t.first=t.last=void 0,hw?t.size=0:this.size=0;},delete:function(t){var e=this,r=s(e),n=a(e,t);if(n){var i=n.next,o=n.previous;delete r.index[n.index],n.removed=!0,o&&(o.next=i),i&&(i.previous=o),r.first==n&&(r.first=i),r.last==n&&(r.last=o),hw?r.size--:e.size--;}return !!n},forEach:function(t){for(var e,r=s(this),n=aw(t,arguments.length>1?arguments[1]:void 0);e=e?e.next:r.first;)for(n(e.value,e.key,this);e&&e.removed;)e=e.previous;},has:function(t){return !!a(this,t)}}),uw(o,r?{get:function(t){var e=a(this,t);return e&&e.value},set:function(t,e){return u(this,0===t?0:t,e)}}:{add:function(t){return u(this,t=0===t?0:t,t)}}),hw&&ow(o,"size",{get:function(){return s(this).size}}),i},setStrong:function(t,e,r){var n=e+" Iterator",i=yw(e),o=yw(n);pw(t,e,(function(t,e){vw(this,{type:n,target:t,state:i(t),kind:e,last:void 0});}),(function(){for(var t=o(this),e=t.kind,r=t.last;r&&r.removed;)r=r.previous;return t.target&&(t.last=r=r?r.next:t.state.first)?"keys"==e?{value:r.key,done:!1}:"values"==e?{value:r.value,done:!1}:{value:[r.key,r.value],done:!1}:(t.target=void 0,{value:void 0,done:!0})}),r?"entries":"values",!r,!0),lw(e);}};(function(t,e,r){var n=-1!==t.indexOf("Map"),i=-1!==t.indexOf("Weak"),o=n?"set":"add",s=BE[t],u=s&&s.prototype,a=s,c={},f=function(t){var e=zE(u[t]);qE(u,t,"add"==t?function(t){return e(this,0===t?0:t),this}:"delete"==t?function(t){return !(i&&!ZE(t))&&e(this,0===t?0:t)}:"get"==t?function(t){return i&&!ZE(t)?void 0:e(this,0===t?0:t)}:"has"==t?function(t){return !(i&&!ZE(t))&&e(this,0===t?0:t)}:function(t,r){return e(this,0===t?0:t,r),this});};if(JE(t,!$E(s)||!(i||u.forEach&&!QE((function(){(new s).entries().next();})))))a=r.getConstructor(e,t,n,o),YE.enable();else if(JE(t,!0)){var p=new a,l=p[o](i?{}:-0,1)!=p,h=QE((function(){p.has(1);})),d=tw((function(t){new s(t);})),v=!i&&QE((function(){for(var t=new s,e=5;e--;)t[o](e,e);return !t.has(-0)}));d||((a=e((function(t,e){WE(t,u);var r=rw(new s,t,a);return null!=e&&XE(e,r[o],{that:r,AS_ENTRIES:n}),r}))).prototype=u,u.constructor=a),(h||v)&&(f("delete"),f("has"),n&&f("get")),(v||l)&&f(o),i&&u.clear&&delete u.clear;}c[t]=a,HE({global:!0,constructor:!0,forced:a!=s},c),ew(a,t),i||r.setStrong(a,t,n);})("Map",(function(t){return function(){return t(this,arguments.length?arguments[0]:void 0)}}),mw);var gw=es,Ew=function(t,e){for(var r=0,n=gw(e),i=new t(n);n>r;)i[r]=e[r++];return i},ww=Gu,Tw=xr,_w=Cn,Iw=si,Aw=es,Nw=Mu,Ow=Ew,bw=Array,Rw=Ir([].push),Sw=function(t,e,r,n){for(var i,o,s,u=_w(t),a=Tw(u),c=ww(e,r),f=Nw(null),p=Aw(a),l=0;p>l;l++)s=a[l],(o=Iw(c(s,l,u)))in f?Rw(f[o],s):f[o]=[s];if(n&&(i=n(u))!==bw)for(o in f)f[o]=Ow(i,f[o]);return f},Mw=Sw,Cw=fc;Bs({target:"Array",proto:!0},{group:function(t){var e=arguments.length>1?arguments[1]:void 0;return Mw(this,t,e)}}),Cw("group");var xw=Sw,Pw=fc;Bs({target:"Array",proto:!0,forced:!ay("groupBy")},{groupBy:function(t){var e=arguments.length>1?arguments[1]:void 0;return xw(this,t,e)}}),Pw("groupBy");var Uw=Gu,kw=Ir,Dw=xr,Lw=Cn,Fw=es,Vw=Br("Map"),jw=Vw.prototype,Gw=kw(jw.get),Kw=kw(jw.has),Hw=kw(jw.set),Bw=kw([].push),zw=function(t){for(var e,r,n=Lw(this),i=Dw(n),o=Uw(t,arguments.length>1?arguments[1]:void 0),s=new Vw,u=Fw(i),a=0;u>a;a++)e=o(r=i[a],a,n),Kw(s,e)?Bw(Gw(s,e),r):Hw(s,e,[r]);return s},Jw=fc,qw=zw;Bs({target:"Array",proto:!0,name:"groupToMap",forced:!ay("groupByToMap")},{groupByToMap:qw}),Jw("groupByToMap");var Yw=fc;Bs({target:"Array",proto:!0},{groupToMap:zw}),Yw("groupToMap");var Xw=es,Ww=function(t,e){for(var r=Xw(t),n=new e(r),i=0;i<r;i++)n[i]=t[r-i-1];return n},$w=Lr,Zw=fc,Qw=Array;Bs({target:"Array",proto:!0},{toReversed:function(){return Ww($w(this),Qw)}}),Zw("toReversed");var tT=nr,eT=function(t){return tT[t].prototype},rT=Bs,nT=vn,iT=Lr,oT=Ew,sT=fc,uT=Array,aT=Ir(eT("Array").sort);rT({target:"Array",proto:!0},{toSorted:function(t){void 0!==t&&nT(t);var e=iT(this),r=oT(uT,e);return aT(r,t)}}),sT("toSorted");var cT=Bs,fT=fc,pT=yv,lT=es,hT=$o,dT=Lr,vT=qo,yT=Array,mT=Math.max,gT=Math.min;cT({target:"Array",proto:!0},{toSpliced:function(t,e){var r,n,i,o,s=dT(this),u=lT(s),a=hT(t,u),c=arguments.length,f=0;for(0===c?r=n=0:1===c?(r=0,n=u-a):(r=c-2,n=gT(mT(vT(e),0),u-a)),i=pT(u+r-n),o=yT(i);f<a;f++)o[f]=s[f];for(;f<a+r;f++)o[f]=arguments[f-a+2];for(;f<i;f++)o[f]=s[f+n-r];return o}}),fT("toSpliced");var ET=es,wT=qo,TT=RangeError,_T=function(t,e,r,n){var i=ET(t),o=wT(r),s=o<0?i+o:o;if(s>=i||s<0)throw TT("Incorrect index");for(var u=new e(i),a=0;a<i;a++)u[a]=a===s?n:t[a];return u},IT=Lr,AT=Array;Bs({target:"Array",proto:!0},{with:function(t,e){return _T(IT(this),AT,t,e)}});var NT,OT,bT=nr,RT=bn,ST=Fr,MT=Qs,CT=Ko,xT=Wn("asyncIterator"),PT=bT.AsyncIterator,UT=RT.AsyncIteratorPrototype;if(UT)NT=UT;else if(ST(PT))NT=PT.prototype;else if(RT.USE_FUNCTION_CONSTRUCTOR||bT.USE_FUNCTION_CONSTRUCTOR)try{OT=MT(MT(MT(Function("return async function*(){}()")()))),MT(OT)===Object.prototype&&(NT=OT);}catch(t){}NT||(NT={}),ST(NT[xT])||CT(NT,xT,(function(){return this}));var kT=fr,DT=bi,LT=Mu,FT=mn,VT=iw,jT=No,GT=NT,KT=Br("Promise"),HT=jT.set,BT=jT.getterFor("AsyncFromSyncIterator"),zT=function(t,e,r){var n=t.done;KT.resolve(t.value).then((function(t){e({done:n,value:t});}),r);},JT=function(t){HT(this,{type:"AsyncFromSyncIterator",iterator:DT(t),next:t.next});};JT.prototype=VT(LT(GT),{next:function(){var t=BT(this);return new KT((function(e,r){var n=DT(kT(t.next,t.iterator));zT(n,e,r);}))},return:function(){var t=BT(this).iterator;return new KT((function(e,r){var n=FT(t,"return");if(void 0===n)return e({done:!0,value:void 0});var i=DT(kT(n,t));zT(i,e,r);}))}});var qT=JT,YT=fr,XT=qT,WT=bi,$T=ha,ZT=mn,QT=Wn("asyncIterator"),t_=vn,e_=bi,r_=fr,n_=Br,i_=mn,o_=fr,s_=vn,u_=bi,a_=yv,c_=Br,f_=function(t){return {iterator:t,next:t_(e_(t).next)}},p_=function(t,e,r,n){try{var i=i_(t,"return");if(i)return n_("Promise").resolve(r_(i,t)).then((function(){e(r);}),(function(t){n(t);}))}catch(t){return n(t)}e(r);},l_=function(t){var e=0==t,r=1==t,n=2==t,i=3==t;return function(t,o,s){var u=f_(t),a=c_("Promise"),c=u.iterator,f=u.next,p=0,l=void 0!==o;return !l&&e||s_(o),new a((function(t,u){var h=function(t){p_(c,u,t,u);},d=function(){try{if(e&&l)try{a_(p);}catch(t){h(t);}a.resolve(u_(o_(f,c))).then((function(f){try{if(u_(f).done)e?(s.length=p,t(s)):t(!i&&(n||void 0));else {var v=f.value;try{l?a.resolve(e?o(v,p):o(v)).then((function(o){if(r)d();else if(n)o?d():p_(c,t,!1,u);else if(e)try{s[p++]=o,d();}catch(t){h(t);}else o?p_(c,t,i||v,u):d();}),h):(s[p++]=v,d());}catch(t){h(t);}}}catch(t){u(t);}}),u);}catch(t){u(t);}};d();}))}},h_={toArray:l_(0),forEach:l_(1),every:l_(2),some:l_(3),find:l_(4)},d_=Gu,v_=Cn,y_=xf,m_=function(t,e){var r=arguments.length<2?ZT(t,QT):e;return r?WT(YT(r,t)):new XT($T(t))},g_=ha,E_=sa,w_=mn,T_=eT,__=Br,I_=qT,A_=h_.toArray,N_=Wn("asyncIterator"),O_=T_("Array").values;Bs({target:"Array",stat:!0,forced:!0},{fromAsync:function(t){var e=this,r=arguments.length,n=r>1?arguments[1]:void 0,i=r>2?arguments[2]:void 0;return new(__("Promise"))((function(r){var o=v_(t);void 0!==n&&(n=d_(n,i));var s=w_(o,N_),u=s?void 0:E_(o)||O_,a=y_(e)?new e:[],c=s?m_(o,s):new I_(g_(o,u));r(A_(c,n,a));}))}});var b_=sy.filterReject,R_=fc;Bs({target:"Array",proto:!0,forced:!0},{filterOut:function(t){return b_(this,t,arguments.length>1?arguments[1]:void 0)}}),R_("filterOut");var S_=sy.filterReject,M_=fc;Bs({target:"Array",proto:!0,forced:!0},{filterReject:function(t){return S_(this,t,arguments.length>1?arguments[1]:void 0)}}),M_("filterReject");var C_=Bs,x_=uv,P_=Object.isFrozen,U_=function(t,e){if(!P_||!x_(t)||!P_(t))return !1;for(var r,n=0,i=t.length;n<i;)if(!("string"==typeof(r=t[n++])||e&&void 0===r))return !1;return 0!==i};C_({target:"Array",stat:!0,sham:!0,forced:!0},{isTemplateObject:function(t){if(!U_(t,!0))return !1;var e=t.raw;return e.length===t.length&&U_(e,!1)}});var k_=Vi.exports,D_=_i,L_=function(t,e,r){return r.get&&k_(r.get,e,{getter:!0}),r.set&&k_(r.set,e,{setter:!0}),D_.f(t,e,r)},F_=fc,V_=Cn,j_=es;sr&&(L_(Array.prototype,"lastItem",{configurable:!0,get:function(){var t=V_(this),e=j_(t);return 0==e?void 0:t[e-1]},set:function(t){var e=V_(this),r=j_(e);return e[0==r?0:r-1]=t}}),F_("lastItem"));var G_=fc,K_=Cn,H_=es;sr&&(L_(Array.prototype,"lastIndex",{configurable:!0,get:function(){var t=K_(this),e=H_(t);return 0==e?0:e-1}}),G_("lastIndex"));var B_=Ir,z_=vn,J_=es,q_=Cn,Y_=Iv,X_=Br("Map"),W_=X_.prototype,$_=B_(W_.forEach),Z_=B_(W_.has),Q_=B_(W_.set),tI=B_([].push),eI=fc;Bs({target:"Array",proto:!0,forced:!0},{uniqueBy:function(t){var e,r,n,i=q_(this),o=J_(i),s=Y_(i,0),u=new X_,a=null!=t?z_(t):function(t){return t};for(e=0;e<o;e++)n=a(r=i[e]),Z_(u,n)||Q_(u,n,r);return $_(u,(function(t){tI(s,t);})),s}}),eI("uniqueBy");var rI,nI=function(){function t(t){var e=t.timeout,r=t.callback;this.timeout=Math.max(e,0),this.callback=r;}return t.prototype.start=function(){this.timeoutId=setTimeout(this.callback,this.timeout);},t.prototype.refresh=function(){this.stop(),this.start();},t.prototype.stop=function(){this.timeoutId&&clearTimeout(this.timeoutId);},t}(),iI=function(){function t(t,e,r){this.buffer=[],this.sink=t,this.maxQueueSize=e,this.timer=new nI({callback:this.flush.bind(this),timeout:r}),this.started=!1;}return t.prototype.start=function(){this.started=!0;},t.prototype.stop=function(){this.started=!1;var t=this.sink(this.buffer,!0);return this.buffer=[],this.timer.stop(),t},t.prototype.enqueue=function(t){this.started&&(0===this.buffer.length&&this.timer.refresh(),this.buffer.push(t),this.buffer.length>=this.maxQueueSize&&this.flush());},t.prototype.flush=function(){this.sink(this.buffer),this.buffer=[],this.timer.stop();},t.prototype.close=function(){this.stop();},t}(),oI=function(t){function e(e,r,n,i){void 0===i&&(i=null);var o=t.call(this)||this;return o.eventDispatcher=e,o.flushInterval=n,o.queue=new iI(o.drainQueue.bind(o),r,n),o.repository=i,o}return r(e,t),e.prototype.isClientError=function(t){return !!(t&&t.statusCode>=400&&t.statusCode<500)},e.prototype.drainRepository=function(t){var e=this;return new Promise((function(r){return i(e,void 0,void 0,(function(){var e,n,i=this;return o(this,(function(o){switch(o.label){case 0:return [4,null===(n=this.repository)||void 0===n?void 0:n.read()];case 1:return (e=o.sent())&&0!==e.length?(t?this.eventDispatcher.dispatchXhrOrBeacon(e,(function(){var t;r(null===(t=i.repository)||void 0===t?void 0:t.delete(e));}),(function(t){var n;i.isClientError(t)?r(null===(n=i.repository)||void 0===n?void 0:n.delete(e)):r();})):this.eventDispatcher.dispatch(e,(function(){var t;r(null===(t=i.repository)||void 0===t?void 0:t.delete(e));}),(function(t){var n;i.isClientError(t)?r(null===(n=i.repository)||void 0===n?void 0:n.delete(e)):r();})),[2]):(r(),[2])}}))}))}))},e.prototype.drainQueue=function(t,e){var r=this,n=t.map((function(t){return t.toDto()})),s=new Promise((function(s){return i(r,void 0,void 0,(function(){var r,i=this;return o(this,(function(o){return 0===t.length?(s(),[2]):(e?(null===(r=this.repository)||void 0===r||r.add(n),this.eventDispatcher.dispatchXhrOrBeacon(t,(function(){var t;s(null===(t=i.repository)||void 0===t?void 0:t.delete(n));}),(function(t){var e;i.isClientError(t)?s(null===(e=i.repository)||void 0===e?void 0:e.delete(n)):s();}))):this.eventDispatcher.dispatch(t,(function(){s();}),(function(t){var e;i.isClientError(t)?s():s(null===(e=i.repository)||void 0===e?void 0:e.add(n));})),[2])}))}))}));return s},e.prototype.process=function(t){this.queue.enqueue(t),this.emit("event",t);},e.prototype.start=function(){return i(this,void 0,void 0,(function(){return o(this,(function(t){return this.queue.start(),[2]}))}))},e.prototype.stop=function(){try{this.queue.close();}catch(t){}return Promise.resolve()},e.prototype.flush=function(){this.queue.flush();},e.prototype.close=function(){this.stop();},e}(function(t){function e(){return null!==t&&t.apply(this,arguments)||this}return r(e,t),e}(function(){function t(){this.listeners={};}return t.prototype.on=function(t,e){this.listeners[t]=(this.listeners[t]||[]).concat(e);},t.prototype.off=function(t,e){this.listeners[t]=(this.listeners[t]||[]).filter((function(t){return t!==e}));},t.prototype.emit=function(t,e){(this.listeners[t]||[]).forEach((function(t){t(e);}));},t}())),sI=function(){function t(t,e){this.hackleUserResolver=t,this.core=e;}return t.isSessionEvent=function(e){return !!Me.isTrack(e)&&(e.event.key===t.SESSION_START_EVENT_NAME||e.event.key===t.SESSION_END_EVENT_NAME)},t.prototype.onSessionStarted=function(e,r,n){this.track(t.SESSION_START_EVENT_NAME,e,r,n);},t.prototype.onSessionEnded=function(e,r,n){this.track(t.SESSION_END_EVENT_NAME,e,r,n);},t.prototype.track=function(t,e,r,n){var i={key:t,properties:{sessionId:e}},o=this.hackleUserResolver.resolve(r),s=this.decorateSession(o,e);this.core.track(i,s,n);},t.prototype.decorateSession=function(t,e){var r=(new j).add(V.SESSION,e).addIdentifiers(t.identifiers).build();return n(n({},t),{identifiers:r})},t.SESSION_START_EVENT_NAME="$session_start",t.SESSION_END_EVENT_NAME="$session_end",t}(),uI=function(t){function e(e,r,n,i,o,s,u){void 0===i&&(i=null);var a=t.call(this,e,r,n,i)||this;return a.exposureEventDedupDeterminer=o,a.sessionManager=s,a.userManager=u,a}return r(e,t),e.prototype.process=function(e){if(sI.isSessionEvent(e)||this.sessionManager.startNewSessionIfNeeded(this.userManager.currentUser,e.timestamp),!this.exposureEventDedupDeterminer.isDedupTarget(e)){var r=function(t,e){var r;return null===e.currentSessionId||t.user.identifiers[V.SESSION]?t:t.copyWithUser(n(n({},t.user),{identifiers:n(n({},t.user.identifiers),(r={},r[V.SESSION]=e.sessionId,r))}))}(e,this.sessionManager);t.prototype.process.call(this,r);}},e}(oI),aI=function(){function t(t){this.cache=new Map,this.exposureEventDedupIntervalMillis=t;}return t.prototype.isDedupTarget=function(t){var e;if(-1===this.exposureEventDedupIntervalMillis)return !1;if(!Me.isExposure(t))return !1;g.isEquals(t.user.identifiers,null===(e=this.currentUser)||void 0===e?void 0:e.identifiers)||(this.currentUser=t.user,this.cache=new Map);var r=[t.experiment.id,t.variationId,t.variationKey,t.decisionReason].join("-"),n=(new Date).getTime(),i=this.cache.get(r);return void 0!==i&&n-i<=this.exposureEventDedupIntervalMillis||(this.cache.set(r,n),!1)},t}(),cI=function(){function t(){}return t.toEvent=function(e){var r;return {key:t.EVENT_KEY,properties:{level:t.LEVEL_ERROR,type:e.name,message:null!==(r=e.message)&&void 0!==r?r:"",$stacktrace:t._stacktrace(e)}}},t._stacktrace=function(e){return u.isNullOrUndefined(e.stack)?"":e.stack.split("\n").slice(0,t.STACK_TRACK_LIMIT).join("\n")},t.EVENT_KEY="$trace",t.LEVEL_ERROR="error",t.STACK_TRACK_LIMIT=30,t}(),fI=function(){function t(){}return t.prototype.evaluate=function(t,e){if(!this.supports(t))throw new Error("Unsupported EvaluatorRequest ".concat(t.toString()));if(e.contains(t)){var r=e.stack.map((function(t){return t.toString()})).join(" - ");throw new Error("Circular evaluation has occurred [".concat(r," - ").concat(t.toString(),"]"))}e.addRequest(t);try{return this.evaluateInternal(t,e)}finally{e.removeRequest(t);}},t}(),pI=function(){function t(t,e,r,n,i,o){this.reason=t,this.targetEvaluations=e,this.experiment=r,this.variationId=n,this.variationKey=i,this.config=o;}return t.prototype.with=function(e){return new t(e,this.targetEvaluations,this.experiment,this.variationId,this.variationKey,this.config)},t.of=function(e,r,n,i){var o=this.config(e.workspace,n);return new t(i,r.targetEvaluations,e.experiment,n.id,n.key,o)},t.ofDefault=function(e,r,n){var i=e.experiment._getVariationByKeyOrNull(e.defaultVariationKey);return u.isNotNullOrUndefined(i)?this.of(e,r,i,n):new t(n,r.targetEvaluations,e.experiment,void 0,e.defaultVariationKey,void 0)},t.config=function(t,e){if(!u.isNullOrUndefined(e.parameterConfigurationId))return u.requiredNotNullOrUndefined(t.getParameterConfigurationOrNull(e.parameterConfigurationId),(function(){return "ParameterConfiguration[".concat(e.parameterConfigurationId,"]")}))},t}(),lI=function(t){function e(e){var r=t.call(this)||this;return r.evaluationFlowFactory=e,r}return r(e,t),e.prototype.supports=function(t){return void 0!==t.experiment},e.prototype.evaluateInternal=function(t,e){var r;return null!==(r=this.evaluationFlowFactory.getExperimentFlow(t.experiment.type).evaluate(t,e))&&void 0!==r?r:pI.ofDefault(t,e,P.TRAFFIC_NOT_ALLOCATED)},e}(fI),hI=function(){function t(t,e,r,n,i,o){this.reason=t,this.targetEvaluations=e,this.parameter=r,this.valueId=n,this.value=i,this.properties=o;}return t.of=function(e,r,n,i,o,s){return s.returnValue=i,new t(o,r.targetEvaluations,e.parameter,n,i,s)},t.ofDefault=function(t,e,r,n){return this.of(t,e,void 0,t.defaultValue,r,n)},t}(),dI=function(t){function e(e){var r=t.call(this)||this;return r.targetRuleDeterminer=e,r}return r(e,t),e.prototype.supports=function(t){return void 0!==t.parameter},e.prototype.evaluateInternal=function(t,e){var r={};if(r.requestValueType=t.requiredType,r.requestDefaultValue=t.defaultValue,u.isNullOrUndefined(t.user.identifiers[t.parameter.identifierType]))return hI.ofDefault(t,e,P.IDENTIFIER_NOT_FOUND,r);var n=this.targetRuleDeterminer.determineTargetRuleOrNull(t,e);return u.isNotNullOrUndefined(n)?(r.targetRuleKey=n.key,r.targetRuleName=n.name,this.evaluation(t,e,n.value,P.TARGET_RULE_MATCH,r)):this.evaluation(t,e,t.parameter.defaultValue,P.DEFAULT_RULE,r)},e.prototype.evaluation=function(t,e,r,n,i){return "UNKNOWN"===t.requiredType||"NULL"!==t.requiredType&&typeof t.defaultValue!=typeof r.rawValue?hI.ofDefault(t,e,P.TYPE_MISMATCH,i):hI.of(t,e,r.id,r.rawValue,n,i)},e}(fI),vI=function(){function t(t,e){this.type=t,this.id=e;}return t.prototype.isEquals=function(t){return this.type===t.type&&this.id===t.id},t}(),yI=function(){function t(){this._stack=[],this._targetEvaluations=[];}return t.create=function(){return new t},Object.defineProperty(t.prototype,"stack",{get:function(){return Array.from(this._stack)},enumerable:!1,configurable:!0}),Object.defineProperty(t.prototype,"targetEvaluations",{get:function(){return Array.from(this._targetEvaluations)},enumerable:!1,configurable:!0}),t.prototype.contains=function(t){return this._stack.some((function(e){return e.key.isEquals(t.key)}))},t.prototype.addRequest=function(t){this._stack.push(t);},t.prototype.removeRequest=function(t){var e=this._stack.indexOf(t,0);e>-1&&this._stack.splice(e,1);},t.prototype.get=function(t){return this._targetEvaluations.find((function(e){return e instanceof pI&&e.experiment.id===t.id}))},t.prototype.addEvaluation=function(t){this._targetEvaluations.push(t);},t}(),mI=function(){function t(t,e,r,n){this.key=new vI("EXPERIMENT",r.id),this.workspace=t,this.user=e,this.experiment=r,this.defaultVariationKey=n;}return t.of=function(e,r,n,i){return new t(e,r,n,i)},t.by=function(e,r){return new t(e.workspace,e.user,r,"A")},t.prototype.toString=function(){return "EvaluatorRequest(type=".concat(this.experiment.type,", key=").concat(this.experiment.key,")")},t}(),gI=function(){function t(t,e,r,n,i){this.key=new vI("REMOTE_CONFIG",r.id),this.workspace=t,this.user=e,this.parameter=r,this.requiredType=n,this.defaultValue=i;}return t.of=function(e,r,n,i,o){return new t(e,r,n,i,o)},t.prototype.toString=function(){return "EvaluatorRequest(type=".concat(this.key.type,", key=").concat(this.parameter.key,")")},t}(),EI=function(){function t(){}return t.asString=function(t){switch(typeof t){case"string":return t;case"number":return t.toString();default:return}},t.asNumber=function(t){switch(typeof t){case"number":return this.asActualNumber(t);case"string":return this.asActualNumber(Number(t));default:return}},t.asActualNumber=function(t){return !isNaN(t)&&isFinite(t)?t:void 0},t}(),wI=function(){function t(t){this.storages=t;}return t.prototype.getVariation=function(t,e){if(0!==this.storages.length)for(var r=0,n=this.storages;r<n.length;r++){var i=n[r].getVariation(t,e);if(void 0!==i)return i}},t}(),TI=function(){function t(t){this.listStorage=t;}return t.prototype.getVariation=function(t,e){var r=this.get(t);if(r)return t._getVariationByIdOrNull(r)},t.prototype.get=function(t){var e=this.listStorage.getItem(t.id.toString());return EI.asNumber(e)},t.prototype.getAll=function(){var t=new Map;return this.listStorage.entries().forEach((function(e){var r=e[0],n=e[1],i=EI.asNumber(r),o=EI.asNumber(n);u.isNullOrUndefined(i)||i<0||u.isNullOrUndefined(o)||i<0||t.set(i,o);})),t},t.prototype.set=function(t,e){this.listStorage.setItem(t.id.toString(),e.toString());},t.prototype.remove=function(t){this.listStorage.removeItem(t.id.toString());},t.prototype.clear=function(){this.listStorage.clear();},t}(),_I=function(){function t(){this.evaluators=new Array;}return t.prototype.add=function(t){this.evaluators.push(t);},t.prototype.evaluate=function(t,e){var r=this.evaluators.find((function(e){return e.supports(t)}));if(u.isNullOrUndefined(r))throw new Error("Unsupported EvaluatorRequest [".concat(t.toString(),"]"));return r.evaluate(t,e)},t}(),II=function(){function t(t){this.conditionMatcherFactory=t;}return t.prototype.matches=function(t,e,r){var n=this;return r.conditions.every((function(r){return n._matches(t,e,r)}))},t.prototype.anyMatches=function(t,e,r){var n=this;return !r.length||r.some((function(r){return n.matches(t,e,r)}))},t.prototype._matches=function(t,e,r){return this.conditionMatcherFactory.getMatcher(r.key.type).matches(t,e,r)},t}(),AI=function(){function t(t,e){this.valueMatcherFactory=t,this.operatorMatcherFactory=e;}return t.prototype.matches=function(t,e){var r=this.valueMatcherFactory.getMatcher(e.valueType),n=this.operatorMatcherFactory.getMatcher(e.operator),i=this.userValueMatches(t,e,r,n);return this.typeMatches(e.type,i)},t.prototype.userValueMatches=function(t,e,r,n){return Array.isArray(t)?this.arrayMatches(t,e,r,n):this.singleMatches(t,e,r,n)},t.prototype.singleMatches=function(t,e,r,n){return e.values.some((function(e){return r.matches(n,t,e)}))},t.prototype.arrayMatches=function(t,e,r,n){var i=this;return t.some((function(t){return i.singleMatches(t,e,r,n)}))},t.prototype.typeMatches=function(t,e){switch(t){case"MATCH":return e;case"NOT_MATCH":return !e}},t}(),NI=function(){function t(){}return t.prototype.booleanMatches=function(t,e){return t===e},t.prototype.numberMatches=function(t,e){return t===e},t.prototype.stringMatches=function(t,e){return t===e},t.prototype.versionMatches=function(t,e){return t.isEqualTo(e)},t}(),OI=function(){function t(){}return t.prototype.booleanMatches=function(t,e){return !1},t.prototype.numberMatches=function(t,e){return !1},t.prototype.stringMatches=function(t,e){return t.includes(e)},t.prototype.versionMatches=function(t,e){return !1},t}(),bI=function(){function t(){}return t.prototype.booleanMatches=function(t,e){return !1},t.prototype.numberMatches=function(t,e){return !1},t.prototype.stringMatches=function(t,e){return t.startsWith(e)},t.prototype.versionMatches=function(t,e){return !1},t}(),RI=function(){function t(){}return t.prototype.booleanMatches=function(t,e){return !1},t.prototype.numberMatches=function(t,e){return !1},t.prototype.stringMatches=function(t,e){return t.endsWith(e)},t.prototype.versionMatches=function(t,e){return !1},t}(),SI=function(){function t(){}return t.prototype.booleanMatches=function(t,e){return !1},t.prototype.numberMatches=function(t,e){return t>e},t.prototype.stringMatches=function(t,e){return t>e},t.prototype.versionMatches=function(t,e){return t.isGreaterThan(e)},t}(),MI=function(){function t(){}return t.prototype.booleanMatches=function(t,e){return !1},t.prototype.numberMatches=function(t,e){return t>=e},t.prototype.stringMatches=function(t,e){return t>=e},t.prototype.versionMatches=function(t,e){return t.isGreaterThanOrEqualTo(e)},t}(),CI=function(){function t(){}return t.prototype.booleanMatches=function(t,e){return !1},t.prototype.numberMatches=function(t,e){return t<e},t.prototype.stringMatches=function(t,e){return t<e},t.prototype.versionMatches=function(t,e){return t.isLessThan(e)},t}(),xI=function(){function t(){}return t.prototype.booleanMatches=function(t,e){return !1},t.prototype.numberMatches=function(t,e){return t<=e},t.prototype.stringMatches=function(t,e){return t<=e},t.prototype.versionMatches=function(t,e){return t.isLessThanOrEqualTo(e)},t}(),PI=function(){function t(){}return t.prototype.getMatcher=function(e){switch(e){case"IN":return t.IN_MATCHER;case"CONTAINS":return t.CONTAINS_MATCHER;case"STARTS_WITH":return t.STARTS_WITH_MATCHER;case"ENDS_WITH":return t.ENDS_WITH_MATCHER;case"GT":return t.GT_MATCHER;case"GTE":return t.GTE_MATCHER;case"LT":return t.LT_MATCHER;case"LTE":return t.LTE_MATCHER}},t.IN_MATCHER=new NI,t.CONTAINS_MATCHER=new OI,t.STARTS_WITH_MATCHER=new bI,t.ENDS_WITH_MATCHER=new RI,t.GT_MATCHER=new SI,t.GTE_MATCHER=new MI,t.LT_MATCHER=new CI,t.LTE_MATCHER=new xI,t}(),UI=function(){function t(){}return t.prototype.matches=function(t,e,r){var n=EI.asString(e),i=EI.asString(r);return !u.isNullOrUndefined(n)&&!u.isNullOrUndefined(i)&&t.stringMatches(n,i)},t}(),kI=function(){function t(){}return t.prototype.matches=function(t,e,r){var n=EI.asNumber(e),i=EI.asNumber(r);return !u.isNullOrUndefined(n)&&!u.isNullOrUndefined(i)&&t.numberMatches(n,i)},t}(),DI=function(){function t(){}return t.prototype.matches=function(t,e,r){return "boolean"==typeof e&&"boolean"==typeof r&&t.booleanMatches(e,r)},t}(),LI=function(){function t(){}return t.prototype.matches=function(t,e,r){var n=rt.tryParse(e),i=rt.tryParse(r);return !(!n||!i)&&t.versionMatches(n,i)},t}(),FI=function(){function t(){}return t.prototype.matches=function(t,e,r){return !1},t}(),VI=function(){function t(){}return t.prototype.getMatcher=function(e){switch(e){case"STRING":case"JSON":return t.STRING_MATCHER;case"NUMBER":return t.NUMBER_MATCHER;case"BOOLEAN":return t.BOOLEAN_MATCHER;case"VERSION":return t.VERSION_MATCHER;case"NULL":case"UNKNOWN":return t.NULL_MATCHER}},t.STRING_MATCHER=new UI,t.NUMBER_MATCHER=new kI,t.BOOLEAN_MATCHER=new DI,t.VERSION_MATCHER=new LI,t.NULL_MATCHER=new FI,t}(),jI=function(){function t(t,e){this.userValueResolver=t,this.valueOperatorMatcher=e;}return t.prototype.matches=function(t,e,r){var n=this.userValueResolver.resolveOrNull(t.user,r.key);return !u.isNullOrUndefined(n)&&this.valueOperatorMatcher.matches(n,r.match)},t}(),GI=function(){function t(){}return t.prototype.resolveOrNull=function(t,e){switch(e.type){case"USER_ID":return t.identifiers[e.name];case"USER_PROPERTY":return t.properties[e.name];case"HACKLE_PROPERTY":return t.hackleProperties[e.name];case"SEGMENT":case"AB_TEST":case"FEATURE_FLAG":case"EVENT_PROPERTY":throw new Error("Unsupported TargetKeyType [".concat(e.type,"]"))}},t}(),KI=function(){function t(t){this.segmentMatcher=t;}return t.prototype.matches=function(t,e,r){var n=this;if("SEGMENT"!=r.key.type)throw new Error("Unsupported TargetKeyType [".concat(r.key.type,"]"));var i=r.match.values.some((function(r){return n._matches(t,e,r)}));switch(r.match.type){case"MATCH":return i;case"NOT_MATCH":return !i}},t.prototype._matches=function(t,e,r){if("string"!=typeof r)throw new Error("SegmentKey[".concat(r,"]"));var n=t.workspace.getSegmentOrNull(r);if(!n)throw new Error("Segment[".concat(r,"]"));return this.segmentMatcher.matches(t,e,n)},t}(),HI=function(){function t(t){this.userConditionMatcher=t;}return t.prototype.matches=function(t,e,r){var n=this;return r.targets.some((function(r){return n._matches(t,e,r)}))},t.prototype._matches=function(t,e,r){var n=this;return r.conditions.every((function(r){return n.userConditionMatcher.matches(t,e,r)}))},t}(),BI=function(){function t(t,e){this.abTestMatcher=t,this.featureFlagMatcher=e;}return t.prototype.matches=function(t,e,r){switch(r.key.type){case"AB_TEST":return this.abTestMatcher.matches(t,e,r);case"FEATURE_FLAG":return this.featureFlagMatcher.matches(t,e,r);case"USER_ID":case"USER_PROPERTY":case"HACKLE_PROPERTY":case"EVENT_PROPERTY":case"SEGMENT":throw new Error("Unsupported TargetKeyType [".concat(r.key.type,"]"))}},t}(),zI=function(){function t(t,e){this.evaluator=t,this.valueOperatorMatcher=e;}return t.prototype.matches=function(t,e,r){var n,i=u.requiredNotNullOrUndefined(EI.asNumber(r.key.name),(function(){return "Invalid key [".concat(r.key.type,", ").concat(r.key.name,"]")})),o=this.experiment(t,i);if(u.isNullOrUndefined(o))return !1;var s=null!==(n=e.get(o))&&void 0!==n?n:this.evaluate(t,e,o);return this.evaluationMatches(s,r)},t.prototype.evaluate=function(t,e,r){var n=mI.by(t,r),i=this.evaluator.evaluate(n,e),o=this.resolve(t,i);return e.addEvaluation(o),o},t}(),JI=function(t){function e(e,r){return t.call(this,e,r)||this}return r(e,t),e.prototype.experiment=function(t,e){return t.workspace.getExperimentOrNull(e)},e.prototype.resolve=function(t,e){return t instanceof mI&&e.reason===P.TRAFFIC_ALLOCATED?e.with(P.TRAFFIC_ALLOCATED_BY_TARGETING):e},e.prototype.evaluationMatches=function(t,r){return !!e.AB_TEST_MATCHED_REASONS.includes(t.reason)&&this.valueOperatorMatcher.matches(t.variationKey,r.match)},e.AB_TEST_MATCHED_REASONS=[P.OVERRIDDEN,P.TRAFFIC_ALLOCATED,P.EXPERIMENT_COMPLETED,P.TRAFFIC_ALLOCATED_BY_TARGETING],e}(zI),qI=function(t){function e(e,r){return t.call(this,e,r)||this}return r(e,t),e.prototype.experiment=function(t,e){return t.workspace.getFeatureFlagOrNull(e)},e.prototype.resolve=function(t,e){return e},e.prototype.evaluationMatches=function(t,e){var r="A"!==t.variationKey;return this.valueOperatorMatcher.matches(r,e.match)},e}(zI),YI=function(){function t(t,e){this.eventValueResolver=t,this.valueOperatorMatcher=e;}return t.prototype.matches=function(t,e,r){if(!this.isEventEvaluatorRequest(t))return !1;var n=this.eventValueResolver.resolveOrNull(t.event,r.key);return !u.isNullOrUndefined(n)&&this.valueOperatorMatcher.matches(n,r.match)},t.prototype.isEventEvaluatorRequest=function(t){return void 0!==t.event},t}(),XI=function(){function t(){}return t.prototype.resolveOrNull=function(t,e){var r;switch(e.type){case"EVENT_PROPERTY":return null===(r=this.properties(t))||void 0===r?void 0:r[e.name];case"USER_ID":case"USER_PROPERTY":case"HACKLE_PROPERTY":case"SEGMENT":case"AB_TEST":case"FEATURE_FLAG":throw new Error("Unsupported TargetKeyType [".concat(e.type,"]"))}},t.prototype.properties=function(t){return Me.isTrack(t)?t.event.properties:Me.isExposure(t)||Me.isRemoteConfig(t)?t.properties:void 0},t}(),WI=function(){function t(t){var e=new AI(new VI,new PI);this.userConditionMatcher=new jI(new GI,e),this.eventConditionMatcher=new YI(new XI,e),this.segmentConditionMatcher=new KI(new HI(this.userConditionMatcher)),this.experimentConditionMatcher=new BI(new JI(t,e),new qI(t,e));}return t.prototype.getMatcher=function(t){switch(t){case"USER_ID":case"USER_PROPERTY":case"HACKLE_PROPERTY":return this.userConditionMatcher;case"EVENT_PROPERTY":return this.eventConditionMatcher;case"SEGMENT":return this.segmentConditionMatcher;case"AB_TEST":case"FEATURE_FLAG":return this.experimentConditionMatcher}},t}(),$I=function(){function t(t){this.bucketer=t;}return t.prototype.resolveOrNull=function(t,e,r){switch(r.type){case"VARIATION":return this.resolveVariation(t,r);case"BUCKET":return this.resolveBucket(t,r)}},t.prototype.resolveVariation=function(t,e){return t.experiment._getVariationByIdOrNull(e.variationId)},t.prototype.resolveBucket=function(t,e){var r=t.workspace.getBucketOrNull(e.bucketId),n=t.user.identifiers[t.experiment.identifierType];if(n){var i=this.bucketer.bucketing(r,n);if(i)return t.experiment._getVariationByIdOrNull(i.variationId)}},t}(),ZI={murmurhash3_x86_32:function(t,e,r,n){void 0===n&&(n=t.length);for(var i,o=3432918353,s=461845907,u=-4&n,a=e,c=0;c<u;c+=4)i=255&t.charCodeAt(c)|(255&t.charCodeAt(c+1))<<8|(255&t.charCodeAt(c+2))<<16|(255&t.charCodeAt(c+3))<<24,i=(131071&(i=this.mul32(i,o)))<<15|i>>>17,a=5*(a=(524287&(a^=i=this.mul32(i,s)))<<13|a>>>19)+3864292196|0;switch(i=0,n%4){case 3:i=(255&t.charCodeAt(u+2))<<16;case 2:i|=(255&t.charCodeAt(u+1))<<8;case 1:i|=255&t.charCodeAt(u),i=(131071&(i=this.mul32(i,o)))<<15|i>>>17,a^=i=this.mul32(i,s);}return a^=n,a^=a>>>16,a=this.mul32(a,2246822507),a^=a>>>13,a=this.mul32(a,3266489909),a^=a>>>16},mul32:function(t,e){var r=65535&e;return ((e-r)*t|0)+(r*t|0)|0}},QI=function(){function t(){}return t.prototype.bucketing=function(t,e){var r=this.calculateSlotNumber(t.seed,t.slotSize,e);return t.slots.find((function(t){return t.contains(r)}))},t.prototype.calculateSlotNumber=function(t,e,r){var n=ZI.murmurhash3_x86_32(r,t);return Math.abs(n)%Math.abs(e)},t}(),tA=function(){function t(t,e){this.flowEvaluator=t,this.nextFlow=e;}return t.prototype.evaluate=function(t,e){return this.flowEvaluator&&this.nextFlow?this.flowEvaluator.evaluate(t,e,this.nextFlow):void 0},t.end=function(){return new t(void 0,void 0)},t.decision=function(e,r){return new t(e,r)},t.of=function(){for(var t=[],e=0;e<arguments.length;e++)t[e]=arguments[e];for(var r=this.end(),n=0,i=t.reverse();n<i.length;n++){var o=i[n];r=this.decision(o,r);}return r},t}(),eA=function(){function t(t){this.overrideResolver=t;}return t.prototype.evaluate=function(t,e,r){var n=this.overrideResolver.resolveOrNull(t,e);if(!n)return r.evaluate(t,e);switch(t.experiment.type){case"AB_TEST":return pI.of(t,e,n,P.OVERRIDDEN);case"FEATURE_FLAG":return pI.of(t,e,n,P.INDIVIDUAL_TARGET_MATCH)}},t}(),rA=function(){function t(){}return t.prototype.evaluate=function(t,e,r){return "DRAFT"===t.experiment.status?pI.ofDefault(t,e,P.EXPERIMENT_DRAFT):r.evaluate(t,e)},t}(),nA=function(){function t(){}return t.prototype.evaluate=function(t,e,r){if("PAUSED"!==t.experiment.status)return r.evaluate(t,e);switch(t.experiment.type){case"AB_TEST":return pI.ofDefault(t,e,P.EXPERIMENT_PAUSED);case"FEATURE_FLAG":return pI.ofDefault(t,e,P.FEATURE_FLAG_INACTIVE)}},t}(),iA=function(){function t(){}return t.prototype.evaluate=function(t,e,r){if("COMPLETED"===t.experiment.status){var n=t.experiment._winnerVariationOrNull();if(!n)throw new Error("winner variation [".concat(t.experiment.id,"]"));return pI.of(t,e,n,P.EXPERIMENT_COMPLETED)}return r.evaluate(t,e)},t}(),oA=function(){function t(t){this.experimentTargetDeterminer=t;}return t.prototype.evaluate=function(t,e,r){if("AB_TEST"!==t.experiment.type)throw new Error("experiment type must be AB_TEST [".concat(t.experiment.id,"]"));return this.experimentTargetDeterminer.isUserInExperimentTarget(t,e)?r.evaluate(t,e):pI.ofDefault(t,e,P.NOT_IN_EXPERIMENT_TARGET)},t}(),sA=function(){function t(t){this.actionResolver=t;}return t.prototype.evaluate=function(t,e,r){if("RUNNING"!==t.experiment.status)throw new Error("experiment status must be RUNNING [".concat(t.experiment.id,"]"));if("AB_TEST"!==t.experiment.type)throw new Error("experiment type must be AB_TEST [".concat(t.experiment.id,"]"));var n=this.actionResolver.resolveOrNull(t,e,t.experiment.defaultRule);return n?n.isDropped?pI.ofDefault(t,e,P.VARIATION_DROPPED):pI.of(t,e,n,P.TRAFFIC_ALLOCATED):pI.ofDefault(t,e,P.TRAFFIC_NOT_ALLOCATED)},t}(),uA=function(){function t(t,e){this.targetRuleDeterminer=t,this.actionResolver=e;}return t.prototype.evaluate=function(t,e,r){if("RUNNING"!==t.experiment.status)throw new Error("experiment status must be RUNNING [".concat(t.experiment.id,"]"));if("FEATURE_FLAG"!==t.experiment.type)throw new Error("experiment type must be FEATURE_FLAG [".concat(t.experiment.id,"]"));if(!t.user.identifiers[t.experiment.identifierType])return r.evaluate(t,e);var n=this.targetRuleDeterminer.determineTargetRuleOrNull(t,e);if(!n)return r.evaluate(t,e);var i=this.actionResolver.resolveOrNull(t,e,n.action);if(!i)throw new Error("FeatureFlag must decide the Variation [".concat(t.experiment.id,"]"));return pI.of(t,e,i,P.TARGET_RULE_MATCH)},t}(),aA=function(){function t(t){this.actionResolver=t;}return t.prototype.evaluate=function(t,e,r){if("RUNNING"!==t.experiment.status)throw new Error("experiment status must be RUNNING [".concat(t.experiment.id,"]"));if("FEATURE_FLAG"!==t.experiment.type)throw new Error("experiment type must be FEATURE_FLAG [".concat(t.experiment.id,"]"));if(!t.user.identifiers[t.experiment.identifierType])return pI.ofDefault(t,e,P.DEFAULT_RULE);var n=this.actionResolver.resolveOrNull(t,e,t.experiment.defaultRule);if(!n)throw new Error("FeatureFlag must decide the Variation [".concat(t.experiment.id,"]"));return pI.of(t,e,n,P.DEFAULT_RULE)},t}(),cA=function(){function t(t){this.containerResolver=t;}return t.prototype.evaluate=function(t,e,r){var n=t.experiment.containerId;if(!n)return r.evaluate(t,e);var i=t.workspace.getContainerOrNull(n);if(!i)throw new Error("container[".concat(n,"]"));return this.containerResolver.isUserInContainerGroup(t,e,i)?r.evaluate(t,e):pI.ofDefault(t,e,P.NOT_IN_MUTUAL_EXCLUSION_EXPERIMENT)},t}(),fA=function(){function t(){}return t.prototype.evaluate=function(t,e,r){return t.user.identifiers[t.experiment.identifierType]?r.evaluate(t,e):pI.ofDefault(t,e,P.IDENTIFIER_NOT_FOUND)},t}(),pA=function(){function t(t){this.targetMatcher=t;}return t.prototype.isUserInExperimentTarget=function(t,e){var r=this;return 0===t.experiment.targetAudiences.length||t.experiment.targetAudiences.some((function(n){return r.targetMatcher.matches(t,e,n)}))},t}(),lA=function(){function t(t){this.targetMatcher=t;}return t.prototype.determineTargetRuleOrNull=function(t,e){var r=this;return t.experiment.targetRules.find((function(n){return r.targetMatcher.matches(t,e,n.target)}))},t}(),hA=function(){function t(t,e,r){this.manualOverrideStorage=t,this.targetMatcher=e,this.actionResolver=r;}return t.prototype.resolveOrNull=function(t,e){var r,n;return null!==(n=null!==(r=this.resolveManualOverride(t))&&void 0!==r?r:this._resolveUserOverride(t))&&void 0!==n?n:this._resolveSegmentOverride(t,e)},t.prototype.resolveManualOverride=function(t){return this.manualOverrideStorage.getVariation(t.experiment,t.user)},t.prototype._resolveUserOverride=function(t){var e=t.experiment,r=t.user.identifiers[e.identifierType];if(r){var n=e.userOverrides.get(r);if(n)return e._getVariationByIdOrNull(n)}},t.prototype._resolveSegmentOverride=function(t,e){var r=this,n=t.experiment.segmentOverrides.find((function(n){return r.targetMatcher.matches(t,e,n.target)}));if(n)return this.actionResolver.resolveOrNull(t,e,n.action)},t}(),dA=function(){function t(t){this.bucketer=t;}return t.prototype.isUserInContainerGroup=function(t,e,r){var n=t.user.identifiers[t.experiment.identifierType];if(u.isNullOrUndefined(n))return !1;var i=t.workspace.getBucketOrNull(r.bucketId);if(u.isNullOrUndefined(i))throw new Error("Bucket[".concat(r.bucketId,"]"));var o=this.bucketer.bucketing(i,n);if(u.isNullOrUndefined(o))return !1;var s=r.getGroupOrNull(o.variationId);if(u.isNullOrUndefined(s))throw new Error("ContainerGroup[".concat(o.variationId,"]"));return s.experiments.includes(t.experiment.id)},t}(),vA=function(){function t(t,e,r,n){this.reason=t,this.targetEvaluations=e,this.inAppMessage=r,this.message=n;}return t.of=function(e,r,n,i){return new t(n,r.targetEvaluations,e.inAppMessage,i)},t}(),yA=function(){function t(){}return t.prototype.evaluate=function(t,e,r){return t.inAppMessage.supports("WEB")?r.evaluate(t,e):vA.of(t,e,P.UNSUPPORTED_PLATFORM)},t}(),mA=function(){function t(t,e){this.userOverrideMatcher=t,this.inAppMessageResolver=e;}return t.prototype.evaluate=function(t,e,r){if(this.userOverrideMatcher.matches(t,e)){var n=this.inAppMessageResolver.resolve(t,e);return vA.of(t,e,P.OVERRIDDEN,n)}return r.evaluate(t,e)},t}(),gA=function(){function t(){}return t.prototype.evaluate=function(t,e,r){return "DRAFT"===t.inAppMessage.status?vA.of(t,e,P.IN_APP_MESSAGE_DRAFT):r.evaluate(t,e)},t}(),EA=function(){function t(){}return t.prototype.evaluate=function(t,e,r){return "PAUSE"===t.inAppMessage.status?vA.of(t,e,P.IN_APP_MESSAGE_PAUSED):r.evaluate(t,e)},t}(),wA=function(){function t(){}return t.prototype.evaluate=function(t,e,r){return t.inAppMessage.period.within(t.timestamp)?r.evaluate(t,e):vA.of(t,e,P.NOT_IN_IN_APP_MESSAGE_PERIOD)},t}(),TA=function(){function t(t){this.hiddenMatcher=t;}return t.prototype.evaluate=function(t,e,r){return this.hiddenMatcher.matches(t,e)?vA.of(t,e,P.IN_APP_MESSAGE_HIDDEN):r.evaluate(t,e)},t}(),_A=function(){function t(t,e){this.targetMatcher=t,this.inAppMessageResolver=e;}return t.prototype.evaluate=function(t,e,r){if(this.targetMatcher.matches(t,e)){var n=this.inAppMessageResolver.resolve(t,e);return vA.of(t,e,P.IN_APP_MESSAGE_TARGET,n)}return vA.of(t,e,P.NOT_IN_IN_APP_MESSAGE_TARGET)},t}(),IA=function(){function t(){}return t.prototype.resolve=function(t,e){var r=t.inAppMessage,n=r.messageContext.defaultLang,i=r.messageContext.messages.find((function(t){return t.lang===n}));if(u.isNullOrUndefined(i))throw new Error("InAppMessage must be decided [".concat(r.id,"]"));return i},t}(),AA=function(){function t(){}return t.prototype.matches=function(t,e){var r=this;return t.inAppMessage.targetContext.overrides.some((function(e){return r.isUserOverridden(t,e)}))},t.prototype.isUserOverridden=function(t,e){var r=t.user.identifiers[e.identifierType];return !u.isNullOrUndefined(r)&&e.identifiers.includes(r)},t}(),NA=function(){function t(t){this.targetMatcher=t;}return t.prototype.matches=function(t,e){var r=this,n=t.inAppMessage.targetContext.targets;return 0===n.length||n.some((function(n){return r.targetMatcher.matches(t,e,n)}))},t}(),OA=function(){function t(t){this.storage=t;}return t.prototype.matches=function(t,e){return this.storage.exist(t.inAppMessage,t.timestamp)},t}(),bA=function(){function t(t,e){this.targetMatcher=t,this.bucketer=e;}return t.prototype.determineTargetRuleOrNull=function(t,e){var r=this;return t.parameter.targetRules.find((function(n){return r.matches(t,e,n)}))},t.prototype.matches=function(t,e,r){if(!this.targetMatcher.matches(t,e,r.target))return !1;var n=t.user.identifiers[t.parameter.identifierType];if(u.isNullOrUndefined(n))return !1;var i=t.workspace.getBucketOrNull(r.bucketId);if(u.isNullOrUndefined(i))throw new Error("bucket[".concat(r.bucketId,"]"));return u.isNotNullOrUndefined(this.bucketer.bucketing(i,n))},t}(),RA=function(){function t(){}return t.get=function(t){return u.requiredNotNullOrUndefined(this.getOrNull(t),(function(){return "Instance not registered [".concat(t,"]")}))},t.getOrNull=function(e){return t.instances.get(e)},t.register=function(e,r){return t.instances.set(e,r),r},t.instances=new Map,t}(),SA=function(){function t(t,e,r){var n=new QI,i=RA.register("targetMatcher",new II(new WI(t))),o=new $I(n),s=new hA(e,i,o),u=new dA(n);this.abTestFlow=tA.of(new eA(s),new fA,new cA(u),new oA(new pA(i)),new rA,new nA,new iA,new sA(o)),this.featureFlagFlow=tA.of(new rA,new nA,new iA,new eA(s),new fA,new uA(new lA(i),o),new aA(o));var a=new IA;this.inAppMessageFlow=tA.of(new yA,new mA(new AA,a),new gA,new EA,new wA,new TA(new OA(r)),new _A(new NA(i),a)),this.remoteConfigParameterTargetRuleDeterminer=new bA(i,n);}return t.prototype.getExperimentFlow=function(t){switch(t){case"AB_TEST":return this.abTestFlow;case"FEATURE_FLAG":return this.featureFlagFlow}},t.prototype.getInAppMessageFlow=function(){return this.inAppMessageFlow},t}(),MA=function(){function t(t){this.clock=t;}return t.prototype.create=function(e,r){var n=this,i=this.clock.currentMillis(),o=new Array,s=this.createEvent(e,r,i,{});return o.push(s),r.targetEvaluations.forEach((function(r){var s,u=((s={})[t.ROOT_TYPE]=e.key.type,s[t.ROOT_ID]=e.key.id,s),a=n.createEvent(e,r,i,u);o.push(a);})),o},t.prototype.createEvent=function(e,r,i,o){var s;if(r instanceof pI)return o[t.CONFIG_ID_PROPERTY_KEY]=null===(s=r.config)||void 0===s?void 0:s.id,o[t.EXPERIMENT_VERSION_KEY]=r.experiment.version,o[t.EXECUTION_VERSION_KEY]=r.experiment.executionVersion,Me.exposure(e.user,r,o,i);if(r instanceof hI)return Me.remoteConfig(e.user,r,n(n({},o),r.properties),i);throw new Error("Unsupported Evaluation [".concat(typeof r,"]"))},t.ROOT_TYPE="$targetingRootType",t.ROOT_ID="$targetingRootId",t.CONFIG_ID_PROPERTY_KEY="$parameterConfigurationId",t.EXPERIMENT_VERSION_KEY="$experiment_version",t.EXECUTION_VERSION_KEY="$execution_version",t}(),CA=function(t){function e(e){var r=t.call(this)||this;return r.evaluationFlowFactory=e,r}return r(e,t),e.prototype.supports=function(t){return void 0!==t.inAppMessage},e.prototype.evaluateInternal=function(t,e){var r;return null!==(r=this.evaluationFlowFactory.getInAppMessageFlow().evaluate(t,e))&&void 0!==r?r:vA.of(t,e,P.NOT_IN_IN_APP_MESSAGE_TARGET)},e}(fI),xA=function(){function t(t,e,r,n){this.key=new vI("IN_APP_MESSAGE",r.key),this.workspace=t,this.user=e,this.inAppMessage=r,this.timestamp=n;}return t.of=function(e,r,n,i){return new t(e,r,n,i)},t.prototype.toString=function(){return "EvaluatorRequest(type=".concat(this.key.type,", key=").concat(this.inAppMessage.key,")")},t}(),PA=f.log,UA=function(){function t(t,e,r,n,i,o,s,u){this.experimentEvaluator=t,this.remoteConfigEvaluator=e,this.inAppMessageEvaluator=r,this.workspaceFetcher=n,this.eventFactory=i,this.eventProcessor=o,this.errorDedupDeterminer=s,this.clock=u,this.workspaceFetcher.start(),this.eventProcessor.start(),this.readyPromise=this.workspaceFetcher.onReady().then((function(){return {success:!0}}),(function(t){return {success:!1,error:t}}));}return t.create=function(e,r,n,i){var o=new _I,s=new wI(n),u=new SA(o,s,i),a=new lI(u),c=new dI(u.remoteConfigParameterTargetRuleDeterminer),f=new CA(u);return o.add(a),o.add(c),new t(a,c,f,e,new MA(I.instance),r,new kA,I.instance)},t.prototype.experiment=function(t,e,r){var n=this;if(!t)return PA.error("experimentKey must not be empty"),S.of(r,P.INVALID_INPUT);var i=this.workspaceFetcher.get();if(!i)return PA.warn("SDK not ready."),S.of(r,P.SDK_NOT_READY);var o=i.getExperimentOrNull(t);if(!o)return PA.warn("Experiment does not exist."),S.of(r,P.EXPERIMENT_NOT_FOUND);var s=mI.of(i,e,o,r),u=this.experimentInternal(s),a=u[0],c=u[1];return this.eventFactory.create(s,a).forEach((function(t){return n.eventProcessor.process(t)})),c},t.prototype.experiments=function(t){var e=this,r=new Yt((function(t,e){return t.id===e.id})),n=this.workspaceFetcher.get();return n?(n.getExperiments().forEach((function(i){var o=mI.of(n,t,i,"A"),s=e.experimentInternal(o);s[0];var u=s[1];r.add(i,u);})),r):r},t.prototype.experimentInternal=function(t){var e,r=this.experimentEvaluator.evaluate(t,yI.create()),n=null!==(e=r.config)&&void 0!==e?e:new x;return [r,S.of(r.variationKey,r.reason,n)]},t.prototype.featureFlag=function(t,e){var r=this;if(!t)return PA.error("featureKey must not be empty"),M.off(P.INVALID_INPUT);var n=this.workspaceFetcher.get();if(!n)return PA.warn("SDK not ready."),M.off(P.SDK_NOT_READY);var i=n.getFeatureFlagOrNull(t);if(!i)return PA.warn("FeatureFlag does not exist."),M.off(P.FEATURE_FLAG_NOT_FOUND);var o=mI.of(n,e,i,"A"),s=this.featureFlagInternal(o),u=s[0],a=s[1];return this.eventFactory.create(o,u).forEach((function(t){return r.eventProcessor.process(t)})),a},t.prototype.featureFlags=function(t){var e=this,r=new Yt((function(t,e){return t.id===e.id})),n=this.workspaceFetcher.get();return n?(n.getFeatureFlags().forEach((function(i){var o=mI.of(n,t,i,"A"),s=e.featureFlagInternal(o);s[0];var u=s[1];r.add(i,u);})),r):r},t.prototype.featureFlagInternal=function(t){var e,r=this.experimentEvaluator.evaluate(t,yI.create()),n=null!==(e=r.config)&&void 0!==e?e:new x;return [r,"A"===r.variationKey?M.off(r.reason,n):M.on(r.reason,n)]},t.prototype.inAppMessage=function(t,e){var r=this.workspaceFetcher.get();if(!r)return PA.warn("SDK not ready."),R.of(P.SDK_NOT_READY);var n=r.getInAppMessageOrNull(t);if(!n)return PA.warn("In app message does not exist."),R.of(P.IN_APP_MESSAGE_NOT_FOUND);var i=xA.of(r,e,n,this.clock.currentMillis()),o=this.inAppMessageEvaluator.evaluate(i,yI.create());return R.of(o.reason,o.inAppMessage,o.message)},t.prototype.tryInAppMessage=function(t,e){var r,n=Kt.start();try{r=this.inAppMessage(t,e);}catch(e){PA.error("Unexpected error while deciding in app message [".concat(t,"]: ").concat(e)),r=R.of(P.EXCEPTION);}return ae.inAppMessage(n,t,r),r},t.prototype.track=function(t,e,r){var n;if(void 0===r&&(r=(new Date).getTime()),t)if("object"==typeof t)if("object"!=typeof t||t.key&&"string"==typeof t.key){var i=(null===(n=this.workspaceFetcher.get())||void 0===n?void 0:n.getEventTypeOrNull(t.key))||new F(0,t.key);this.eventProcessor.process(Me.track(i,t,e,r));}else PA.warn("Event key must be not null. or event key must be string type.");else PA.warn("Event must be event type.");else PA.warn("event must not be null.");},t.prototype.trackException=function(t,e){if(!this.errorDedupDeterminer.isDedupTarget(t)){var r=cI.toEvent(t);this.flush(),this.track(r,e),this.flush();}},t.prototype.flush=function(){this.eventProcessor.flush();},t.prototype.remoteConfig=function(t,e,r,n){var i=this,o=this.workspaceFetcher.get();if(u.isNullOrUndefined(o))return PA.warn("SDK not ready."),b.of(n,P.SDK_NOT_READY);var s=o.getRemoteConfigParameterOrNull(t);if(u.isNullOrUndefined(s))return PA.warn("Remote config parameter does not exist."),b.of(n,P.REMOTE_CONFIG_PARAMETER_NOT_FOUND);var a=gI.of(o,e,s,r,n),c=this.remoteConfigEvaluator.evaluate(a,yI.create());return this.eventFactory.create(a,c).forEach((function(t){return i.eventProcessor.process(t)})),b.of(c.value,c.reason)},t.prototype.onReady=function(t,e){void 0===e&&(e=3e3),this.onInitialized({timeout:e}).then((function(){return t()}));},t.prototype.onInitialized=function(t){var e,r=t.timeout,n=void 0===r?3e3:r;PA.debug("Start HackleClient initializing");var i=new Promise((function(t){e=t;})),o=setTimeout((function(){e({success:!1});}),n);return this.readyPromise.then((function(){clearTimeout(o),e({success:!0});}),(function(t){clearTimeout(o),e({success:!1,error:t});})),Promise.race([this.readyPromise,i]).then((function(t){return t.success?PA.debug("HackleClient onInitialized Success"):t.error instanceof Error?PA.error("HackleClient onInitialized Failed. ".concat(t.error.message)):PA.error("HackleClient onInitialized Failed. ".concat(t.error)),Promise.resolve({success:t.success})}))},t.prototype.close=function(){this.workspaceFetcher.close(),this.eventProcessor.close();},t}(),kA=function(){function t(){}return t.prototype.isDedupTarget=function(t){return !!this._isSameError(t,this.previous)||(this.previous=t,!1)},t.prototype._isSameError=function(t,e){return !u.isNullOrUndefined(e)&&(t.name===e.name&&t.message===e.message&&t.stack===e.stack)},t}(),DA=function(){function t(){this._installed=[],this._installations={onerror:FA,onunhandledrejection:VA};}return t.prototype.install=function(t,e){this._install("onerror",t,e),this._install("onunhandledrejection",t,e);},t.prototype._install=function(t,e,r){t in this._installed||((0, this._installations[t])(e,r),this._installed.push(t));},t}(),LA=null;function FA(t,e){LA=window.onerror,window.onerror=function(r,n,i,o,s){u.isNotNullOrUndefined(s)&&t.trackException(s,e.resolveCurrentUser()),LA&&LA.apply(this,arguments);};}function VA(t,e){rI=window.onunhandledrejection,window.onunhandledrejection=function(r){var n;try{"reason"in r?n=r.reason:"detail"in r&&"reason"in r.detail&&(n=r.detail.reason);}catch(t){}n instanceof Error&&t.trackException(n,e.resolveCurrentUser()),rI&&rI.apply(this,arguments);};}var jA=function(){function t(t,e,r){this.storage=t,this.storageKey=e,this.maxSize=r;}return t.prototype.read=function(){var t=this;return new Promise((function(e){var r=t.storage.getItem(t.storageKey);r&&e(JSON.parse(r));e([]);}))},t.prototype.save=function(t){var e=this;return 0===t.length?this.clear():new Promise((function(r){var n=JSON.stringify(t.slice(-e.maxSize));e.storage.setItem(e.storageKey,n),r();}))},t.prototype.add=function(t){var e=this;return this.read().then((function(r){return e.save(r.concat(t).slice(-e.maxSize))}))},t.prototype.delete=function(t){var e=this;return this.read().then((function(r){var n=r.filter((function(e){return t.findIndex((function(t){return t.insertId===e.insertId}))<0}));return e.save(n)}))},t.prototype.clear=function(){var t=this;return new Promise((function(e){t.storage.removeItem(t.storageKey),e();}))},t}(),GA=function(t,e){return null!==t&&(t.userId===e.userId&&t.deviceId===e.deviceId)},KA=function(){function t(t,e,r,n){var i;void 0===r&&(r=null),void 0===n&&(n=null),this.storage=t,this.hackleDeviceId=e,this.userListeners=[],this.defaultUser={deviceId:this.hackleDeviceId},this._currentUser=null!==(i=null!=n?n:r)&&void 0!==i?i:this.defaultUser,this.storage.saveUser(this._currentUser);}return t.prototype.addListener=function(t){this.userListeners.push(t);},Object.defineProperty(t.prototype,"currentUser",{get:function(){return this._currentUser},enumerable:!1,configurable:!0}),t.prototype.resolveCurrentOrNull=function(t){if(void 0===t)return this.currentUser;if("string"==typeof t)return this.setUser({id:t});var e=G(t);return e?this.setUser(e):null},t.prototype.setUser=function(t){return this.updateUser(t)},t.prototype.setUserId=function(t){var e=n(n({},this._currentUser),{userId:t});return this.setUser(e)},t.prototype.setDeviceId=function(t){var e=n(n({},this._currentUser),{deviceId:t});return this.setUser(e)},t.prototype.updateUserProperties=function(t){return this.operateProperties(t)},t.prototype.resetUser=function(){return this.setUser(this.defaultUser)},t.prototype.changeUser=function(t,e,r){this.userListeners.forEach((function(n){n.onUserUpdated(t,e,r);}));},t.prototype.saveUser=function(t){this.storage.saveUser(t);},t.prototype.update=function(t){var e=this._currentUser,r=t(e);return this._currentUser=r,GA(e,r)||(this.changeUser(e,r,(new Date).getTime()),this.saveUser(r)),r},t.prototype.updateUser=function(t){return this.update((function(e){return GA(r=e,i=t)?n(n({},i),{properties:n(n({},r.properties),i.properties)}):i;var r,i;}))},t.prototype.operateProperties=function(t){return this.update((function(e){var r,i=null!==(r=null==e?void 0:e.properties)&&void 0!==r?r:{},o=t.operate(new Map(Object.entries(i)));return n(n({},e),{properties:u.fromMap(o)})}))},t}(),HA=function(){function t(t){this.storage=t;}return t.prototype.getUser=function(){var t=this.deviceId||void 0,e=this.userId||void 0;return void 0!==t||void 0!==e?{deviceId:t,userId:e}:null},t.prototype.saveUser=function(t){this.setDeviceId(t.deviceId||null),this.setUserId(t.userId||null);},Object.defineProperty(t.prototype,"deviceId",{get:function(){return this.storage.getItem("_hackle_did")},enumerable:!1,configurable:!0}),Object.defineProperty(t.prototype,"userId",{get:function(){return this.storage.getItem("_hackle_uid")},enumerable:!1,configurable:!0}),t.prototype.setDeviceId=function(t){this.setId("_hackle_did",t);},t.prototype.setUserId=function(t){this.setId("_hackle_uid",t);},t.prototype.setId=function(t,e){u.isNotNullOrUndefined(e)?this.storage.setItem(t,e):this.storage.removeItem(t);},t}(),BA=function(){function e(t,e){this.sessionTimeoutMillis=t,this.storage=e,this.sessionListeners=[],this._currentSessionId=null,this._lastEventTime=null,this.loadSession(),this.loadLastEventTime();}return Object.defineProperty(e.prototype,"currentSessionId",{get:function(){return this._currentSessionId},enumerable:!1,configurable:!0}),Object.defineProperty(e.prototype,"sessionId",{get:function(){var t;return null!==(t=this._currentSessionId)&&void 0!==t?t:e.EMPTY_SESSION_ID},enumerable:!1,configurable:!0}),Object.defineProperty(e.prototype,"lastEventTime",{get:function(){return this._lastEventTime},enumerable:!1,configurable:!0}),e.prototype.addListener=function(t){this.sessionListeners.push(t);},e.prototype.startNewSession=function(t,e,r){return t&&this.endSession(t),this.newSession(e,r)},e.prototype.startNewSessionIfNeeded=function(t,e){var r=this._lastEventTime;return null===r?this.startNewSession(t,t,e):null!==this._currentSessionId&&e-r<this.sessionTimeoutMillis?(this.updateLastEventTime(e),this._currentSessionId):this.startNewSession(t,t,e)},e.prototype.updateLastEventTime=function(t){this._lastEventTime=t,this.storage.setItem("_hackle_last_event_ts","".concat(t));},e.prototype.endSession=function(t){var e=this._currentSessionId,r=this._lastEventTime;null!==e&&null!==r&&this.sessionListeners.forEach((function(n){return n.onSessionEnded(e,t,r)}));},e.prototype.newSession=function(e,r){var n=function(e){return "".concat(e,".").concat(t.v4().slice(0,8))}(r);return this.saveSession(n),this.updateLastEventTime(r),this.sessionListeners.forEach((function(t){t.onSessionStarted(n,e,r);})),n},e.prototype.saveSession=function(t){this._currentSessionId=t,this.storage.setItem("_hackle_session_id",t);},e.prototype.loadSession=function(){this._currentSessionId=this.storage.getItem("_hackle_session_id");},e.prototype.loadLastEventTime=function(){var t=this.storage.getItem("_hackle_last_event_ts");if(null!==t){var e=Number.parseFloat(t);e>0&&(this._lastEventTime=e);}},e.prototype.onUserUpdated=function(t,e,r){this.endSession(t),this.newSession(e,r);},e.EMPTY_SESSION_ID="0.ffffffff",e}(),zA=function(){function t(){this.storage=window.localStorage;}return t.prototype.getItem=function(t){var e,r;return null!==(r=null===(e=this.storage)||void 0===e?void 0:e.getItem(t))&&void 0!==r?r:null},t.prototype.removeItem=function(t){var e;null===(e=this.storage)||void 0===e||e.removeItem(t);},t.prototype.setItem=function(t,e){var r;null===(r=this.storage)||void 0===r||r.setItem(t,e);},t.prototype.clear=function(){var t;null===(t=this.storage)||void 0===t||t.clear();},t}(),JA=function(){function t(t,e){this.delegate=t,this.transform=e;}return t.postfix=function(e,r){return new t(e,(function(t){return "".concat(t).concat(r)}))},t.prefix=function(e,r){return new t(e,(function(t){return "".concat(r).concat(t)}))},t.prototype.getItem=function(t){return this.delegate.getItem(this.transform(t))},t.prototype.removeItem=function(t){this.delegate.removeItem(this.transform(t));},t.prototype.setItem=function(t,e){this.delegate.setItem(this.transform(t),e);},t}(),qA=function(){function t(t,e,r){void 0===r&&(r=4096);var n=this;this.delegate=t,this.listKey=e,this.encodedListCharLen=6,this.resolveMaxLength=function(t){var e=t-n.encodedListCharLen;return e<0?0:e},this.maxLength=this.resolveMaxLength(r);}return t.prototype.isEqualItem=function(t,e){return Object.prototype.hasOwnProperty.call(t,e)},t.prototype.getRemainListSize=function(){try{return this.maxLength-JSON.stringify(this.getList()).length}catch(t){return 0}},t.prototype.isAddableItem=function(t){try{return this.getRemainListSize()>JSON.stringify(t).length}catch(t){return !1}},t.prototype.getVictimIndex=function(t){var e=this.getRemainListSize();try{var r=JSON.stringify(t),n=this.getList(),i=0;return n.findIndex((function(t){return (i+=JSON.stringify(t).length)+e>=r.length}))}catch(t){return -1}},t.prototype.getList=function(){try{var t=this.delegate.getItem(this.listKey);if(!t)return [];var e=JSON.parse(t);return Array.isArray(e)?e:[]}catch(t){return []}},t.prototype.entries=function(){return this.getList().flatMap(Object.entries)},t.prototype.setItem=function(t,e){var r;try{this.removeItem(t);var n=this.getList(),i=((r={})[t]=e,r);if(!this.isAddableItem(i)){var o=this.getVictimIndex(i);if(o<0)return;n=n.slice(o+1);}var s=JSON.stringify(n.concat(i));this.delegate.setItem(this.listKey,s);}catch(t){}},t.prototype.getItem=function(t){var e=this,r=this.getList().find((function(r){return e.isEqualItem(r,t)}));if(r&&r[t])return r[t]},t.prototype.removeItem=function(t){var e=this,r=this.getList();try{var n=r.filter((function(r){return !e.isEqualItem(r,t)})),i=JSON.stringify(n);this.delegate.setItem(this.listKey,i);}catch(t){}},t.prototype.clear=function(){this.delegate.removeItem(this.listKey);},t}(),YA=function(){function t(t,e,r,n,i){this.core=t,this.userManager=e,this.userResolver=r,this.abOverrideStorage=n,this.ffOverrideStorage=i;}return t.prototype.currentUser=function(){var t=this.userManager.currentUser;return this.userResolver.resolve(t)},t.prototype.getAbTestDecisions=function(){return this.core.experiments(this.currentUser()).entries()},t.prototype.getAbTestOverrides=function(){return this.abOverrideStorage.getAll()},t.prototype.setAbTestOverride=function(t,e){this.abOverrideStorage.set(t,e),this.increment("AB_TEST","set");},t.prototype.resetAbTestOverride=function(t){this.abOverrideStorage.remove(t),this.increment("AB_TEST","reset");},t.prototype.resetAllAbTestOverride=function(){this.abOverrideStorage.clear(),this.increment("AB_TEST","reset.all");},t.prototype.getFeatureFlagDecisions=function(){return this.core.featureFlags(this.currentUser()).entries()},t.prototype.getFeatureFlagOverrides=function(){return this.ffOverrideStorage.getAll()},t.prototype.setFeatureFlagOverride=function(t,e){this.ffOverrideStorage.set(t,e),this.increment("FEATURE_FLAG","set");},t.prototype.resetFeatureFlagOverride=function(t){this.ffOverrideStorage.remove(t),this.increment("FEATURE_FLAG","reset");},t.prototype.resetAllFeatureFlagOverride=function(){this.ffOverrideStorage.clear(),this.increment("FEATURE_FLAG","reset.all");},t.prototype.increment=function(t,e){se.counter("experiment.manual.override",{"experiment.type":t,operation:e}).increment();},t}(),XA=function(){function t(){}return t.serverFetch=function(t){return "".concat(t,"/api/v2/workspaces")},t.clientFetch=function(t,e){return "".concat(t,"/api/v2/w/").concat(e,"/w")},t.serverDispatch=function(t){return "".concat(t,"/api/v2/events")},t.clientDispatch=function(t){return "".concat(t,"/api/v2/w/events")},t.beaconDispatch=function(t,e){return "".concat(t,"/api/v2/w/").concat(e,"/events")},t.inAppMessageRenderer=function(t,e){return "".concat(t,"/sdk/iam-renderer/").concat(e,"/iam-renderer.js")},t}(),WA=function(){function t(t){this.storage=t;}return t.prototype.exist=function(t,e){var r=this.key(t),n=this.storage.getItem(r);if(u.isNullOrUndefined(n))return !1;var i=Number.parseInt(n,10);return Number.isNaN(i)?(this.storage.removeItem(r),!1):e<=i||(this.storage.removeItem(r),!1)},t.prototype.put=function(t,e){this.storage.setItem(this.key(t),"".concat(e));},t.prototype.key=function(t){return "".concat(t.key)},t}(),$A=function(){function t(t){this.handlers=t;}return t.prototype.get=function(t){return this.handlers.find((function(e){return e.supports(t)}))},t}(),ZA=function(){function t(){}return t.prototype.handle=function(t,e){t.close();},t.prototype.supports=function(t){return "CLOSE"===t.type},t}(),QA=function(){function t(t){this.urlHandler=t;}return t.prototype.handle=function(t,e){try{if(!e.value)return;this.urlHandler.open(new URL(e.value));}catch(t){f.log.error("Invalid url: ".concat(e.value));}},t.prototype.supports=function(t){return "WEB_LINK"===t.type},t}(),tN=function(){function t(t){this.urlHandler=t;}return t.prototype.handle=function(t,e){t.close();try{if(!e.value)return;this.urlHandler.open(new URL(e.value));}catch(t){f.log.error("Invalid url: ".concat(e.value));}},t.prototype.supports=function(t){return "LINK_AND_CLOSE"===t.type},t}(),eN=function(){function t(t,e){this.storage=t,this.clock=e;}return t.prototype.handle=function(e,r){var n=this.clock.currentMillis()+t.HIDE_EXPIRATION;this.storage.put(e.context.inAppMessage,n),e.close();},t.prototype.supports=function(t){return "HIDDEN"===t.type},t.HIDE_EXPIRATION=864e5,t}(),rN=function(){function t(t){this.urlHandler=t;}return t.prototype.handle=function(t,e){try{if(!e.value)return;this.urlHandler.open(new URL(e.value));}catch(t){f.log.error("Invalid url: ".concat(e.value));}},t.prototype.supports=function(t){return "LINK_NEW_WINDOW"===t.type},t}(),nN=function(){function t(t){this.urlHandler=t;}return t.prototype.handle=function(t,e){t.close();try{if(!e.value)return;this.urlHandler.open(new URL(e.value));}catch(t){f.log.error("Invalid url: ".concat(e.value));}},t.prototype.supports=function(t){return "LINK_NEW_WINDOW_AND_CLOSE"===t.type},t}(),iN=function(){function t(t){this.urlHandler=t;}return t.prototype.handle=function(t,e){try{if(!e.value)return;this.urlHandler.open(new URL(e.value));}catch(t){f.log.error("Invalid url: ".concat(e.value));}},t.prototype.supports=function(t){return "LINK_NEW_TAB"===t.type},t}(),oN=function(){function t(t){this.urlHandler=t;}return t.prototype.handle=function(t,e){t.close();try{if(!e.value)return;this.urlHandler.open(new URL(e.value));}catch(t){f.log.error("Invalid url: ".concat(e.value));}},t.prototype.supports=function(t){return "LINK_NEW_TAB_AND_CLOSE"===t.type},t}(),sN=function(){function t(t){this.core=t;}return t.prototype.track=function(t,e,r){var n=this.createTrackEvent(e,t);this.core.track(n,t.user,r);},t.prototype.createTrackEvent=function(t,e){var r,i,o,s;switch(t.type){case"IMPRESSION":return {key:"$in_app_impression",properties:n({in_app_message_id:e.inAppMessage.id,in_app_message_key:e.inAppMessage.key,title_text:null===(i=null===(r=e.message.text)||void 0===r?void 0:r.title)||void 0===i?void 0:i.text,body_text:null===(s=null===(o=e.message.text)||void 0===o?void 0:o.body)||void 0===s?void 0:s.text,button_text:e.message.buttons.map((function(t){return t.text})),image_url:e.message.images.map((function(t){return t.imagePath}))},e.properties)};case"CLOSE":return {key:"$in_app_close",properties:{in_app_message_id:e.inAppMessage.id,in_app_message_key:e.inAppMessage.key}};case"ACTION":var u=t;return {key:"$in_app_action",properties:{in_app_message_id:e.inAppMessage.id,in_app_message_key:e.inAppMessage.key,action_type:u.action.type,action_area:u.area,action_value:u.action.value,button_text:u.text}}}},t}(),uN=function(){function t(t,e,r){this.messageViewFactory=t,this.eventHandler=e,this.interactionHandlerFactory=r,this.currentMessageView=null,this.opening=!1;}return t.prototype.present=function(t){return i(this,void 0,void 0,(function(){var e;return o(this,(function(r){switch(r.label){case 0:if(this.currentMessageView)return [2];if(this.opening)return [2];this.opening=!0,e=null,r.label=1;case 1:return r.trys.push([1,3,4,5]),e=this.messageViewFactory.create(t,this),this.currentMessageView=e,[4,e.open()];case 2:return r.sent(),[3,5];case 3:return r.sent(),null==e||e.close(),[3,5];case 4:return this.opening=!1,[7];case 5:return [2]}}))}))},t}(),aN=function(){function t(t,e,r){var n=this;this.userEventEmitter=t,this.determiner=e,this.presenter=r,this.onEvent=function(t){var e=n.determiner.determineOrNull(t);e&&n.presenter.present(e);},this.initialize();}return t.prototype.initialize=function(){this.userEventEmitter.on("event",this.onEvent);},t.prototype.destroy=function(){this.userEventEmitter.off("event",this.onEvent);},t}(),cN=function(t,e,r,n){this.inAppMessage=t,this.message=e,this.user=r,this.properties=n;},fN=function(){function t(t,e,r){this.workspaceFetcher=t,this.eventMatcher=e,this.core=r;}return t.prototype.determineOrNull=function(t){var e=this.workspaceFetcher.get();if(e)for(var r=0,n=e.getInAppMessages();r<n.length;r++){var i=n[r];if(this.eventMatcher.matches(e,i,t)){var o=this.context(i,t);if(!o)continue;return o}}},t.prototype.context=function(t,e){var r=this.core.tryInAppMessage(t.key,e.user);if(r.inAppMessage&&r.message)return new cN(r.inAppMessage,r.message,e.user,w.sanitize({decision_reason:r.reason}))},t}(),pN=function(){function t(e,r,n){var i=this;this.scriptLoader=e,this.context=r,this.ui=n,this.container=null,this.renderer=null,this.handleInAppMessageInteraction=function(e){if(e instanceof CustomEvent&&e.type===t.HACKLE_IAM_INTERACTION_EVENT_TYPE){var r=e.detail;i.handleInteraction(r);}};}return t.prototype.open=function(){return i(this,void 0,void 0,(function(){var e,r;return o(this,(function(n){switch(n.label){case 0:return n.trys.push([0,3,,4]),window.addEventListener(t.HACKLE_IAM_INTERACTION_EVENT_TYPE,this.handleInAppMessageInteraction),[4,this.scriptLoader.load()];case 1:return n.sent(),(e=this.addContainer()).style.display="none",e.classList.add("".concat(t.CONTAINER_CLASS_NAME,"--loading")),r=window.HackleInAppMessageRenderer,this.renderer=new r.HackleInAppMessageRenderer(e),[4,this.renderer.render({messageId:this.context.inAppMessage.id,message:this.context.message.toJson()})];case 2:return n.sent(),e.classList.remove("".concat(t.CONTAINER_CLASS_NAME,"--loading")),e.style.display="block",this.handleEvent({type:"IMPRESSION"}),[3,4];case 3:return n.sent(),this.close(),[3,4];case 4:return [2]}}))}))},t.prototype.close=function(){var e;this.handleEvent({type:"CLOSE"}),window.removeEventListener(t.HACKLE_IAM_INTERACTION_EVENT_TYPE,this.handleInAppMessageInteraction),null===(e=this.renderer)||void 0===e||e.destroy(),this.renderer=null,this.removeContainer(),this.ui.currentMessageView=null;},t.prototype.addContainer=function(){if(!this.container){var e=document.createElement("div");e.classList.add(t.CONTAINER_CLASS_NAME),this.container=e;}return this.container.parentNode||document.body.appendChild(this.container),this.container},t.prototype.removeContainer=function(){var t;this.container&&(null===(t=this.container.parentNode)||void 0===t||t.removeChild(this.container),this.container=null);},t.prototype.handleInteraction=function(t){var e=this.ui.interactionHandlerFactory.get(t);e&&e.handle(this,t);},t.prototype.handleEvent=function(t){this.ui.eventHandler.handle(this,t);},t.HACKLE_IAM_INTERACTION_EVENT_TYPE="hackle-iam-interaction",t.CONTAINER_CLASS_NAME="hackle-iam",t}(),lN=function(){function t(t){this.scriptLoader=t;}return t.prototype.create=function(t,e){return new pN(this.scriptLoader,t,e)},t}(),hN=function(){function t(t){this.scriptUrl=t;}return t.prototype.load=function(){return i(this,void 0,void 0,(function(){var t;return o(this,(function(e){switch(e.label){case 0:return window.HackleInAppMessageRenderer?[2]:(t=this.createScript(),document.head.appendChild(t),[4,this.waitForLoad(t)]);case 1:return [2,e.sent()]}}))}))},t.prototype.createScript=function(){var t=document.createElement("script");return t.type="text/javascript",t.async=!0,t.src=this.scriptUrl,t},t.prototype.waitForLoad=function(t){return new Promise((function(e,r){var n=function(){o(),e(t);},i=function(t){o(),r(t.message);},o=function(){t.removeEventListener("error",i),t.removeEventListener("load",n);};t.addEventListener("load",n),t.addEventListener("error",i);}))},t}(),dN=function(){function t(t){this.targetMatcher=t;}return t.prototype.isTriggerTarget=function(t,e,r){var n=this;return e.eventTrigger.rules.some((function(i){return n.ruleMatches(t,r,e,i)}))},t.prototype.ruleMatches=function(t,e,r,n){if(e.event.key!==n.eventKey)return !1;var i=vN.of(t,e,r);return this.targetMatcher.anyMatches(i,yI.create(),n.targets)},t}(),vN=function(){function t(t,e,r,n){this.key=t,this.workspace=e,this.user=r,this.event=n;}return t.of=function(e,r,n){return new t(new vI("IN_APP_MESSAGE",n.key),e,r.user,r)},t}(),yN=function(){function t(t){this.storage=t;}return t.prototype.isTriggerTarget=function(t,e,r){if(!e.eventTrigger.frequencyCap)return !0;var n=this.createMatchContexts(e.eventTrigger.frequencyCap);if(0===n.length)return !0;for(var i=0,o=this.storage.get(e);i<o.length;i++)for(var s=o[i],u=0,a=n;u<a.length;u++){if(a[u].matches(r,s))return !1}return !0},t.prototype.createMatchContexts=function(t){for(var e=[],r=0,n=t.identifierCaps;r<n.length;r++){var i=n[r];e.push(new mN(new gN(i)));}return t.durationCap&&e.push(new mN(new EN(t.durationCap))),e},t}(),mN=function(){function t(t){this.matchCount=0,this.predicate=t;}return t.prototype.matches=function(t,e){return this.predicate.matches(t,e)&&(this.matchCount+=1),this.matchCount>=this.predicate.thresholdCount},t}(),gN=function(){function t(t){this.identifierCap=t;}return Object.defineProperty(t.prototype,"thresholdCount",{get:function(){return this.identifierCap.count},enumerable:!1,configurable:!0}),t.prototype.matches=function(t,e){var r=t.user.identifiers[this.identifierCap.identifierType];if(u.isNullOrUndefined(r))return !1;var n=e.identifiers[this.identifierCap.identifierType];return !u.isNullOrUndefined(n)&&r===n},t}(),EN=function(){function t(t){this.durationCap=t;}return Object.defineProperty(t.prototype,"thresholdCount",{get:function(){return this.durationCap.count},enumerable:!1,configurable:!0}),t.prototype.matches=function(t,e){return t.timestamp-e.timestamp<=this.durationCap.durationMillis},t}(),wN=function(){function t(t){this.storage=t;}return t.prototype.get=function(t){var e=this.storage.getItem(t.id.toString());return u.isNullOrUndefined(e)?[]:JSON.parse(e)},t.prototype.set=function(t,e){this.storage.setItem(t.id.toString(),JSON.stringify(e));},t}(),TN=function(){function t(t){this.processors=t;}return t.prototype.get=function(t){return this.processors.find((function(e){return e.supports(t)}))},t}(),_N=function(){function t(t){this.impressionStorage=t;}return t.prototype.process=function(t,e,r){this.saveImpression(t.context.inAppMessage,t.context.user,r);},t.prototype.saveImpression=function(e,r,n){var i=this.impressionStorage.get(e),o={identifiers:r.identifiers,timestamp:n};i.push(o),i.length>t.IMPRESSION_MAX_SIZE&&i.splice(0,i.length-t.IMPRESSION_MAX_SIZE),this.impressionStorage.set(e,i);},t.prototype.supports=function(t){return "IMPRESSION"===t.type},t.IMPRESSION_MAX_SIZE=100,t}(),IN=function(){function t(){}return t.prototype.process=function(t,e,r){},t.prototype.supports=function(t){return "CLOSE"===t.type},t}(),AN=function(){function t(t){this.actionHandlerFactory=t;}return t.prototype.process=function(t,e,r){var n=this.actionHandlerFactory.get(e.action);n&&n.handle(t,e.action);},t.prototype.supports=function(t){return "ACTION"===t.type},t}(),NN=function(){function t(t,e,r){this.clock=t,this.eventTracker=e,this.eventProcessorFactory=r;}return t.prototype.handle=function(t,e){var r=this.clock.currentMillis();this.eventTracker.track(t.context,e,r);var n=this.eventProcessorFactory.get(e);n&&n.process(t,e,r);},t}(),ON=function(){function t(t,e){this.ruleDeterminer=t,this.frequencyCapDeterminer=e;}return t.prototype.matches=function(t,e,r){return !!Me.isTrack(r)&&(!!this.ruleDeterminer.isTriggerTarget(t,e,r)&&this.frequencyCapDeterminer.isTriggerTarget(t,e,r))},t}(),bN=function(){function t(t){this.handlers=t;}return t.prototype.get=function(t){return this.handlers.find((function(e){return e.supports(t)}))},t}(),RN=function(){function t(){}return t.prototype.handle=function(t,e){t.close();},t.prototype.supports=function(t){return "CLOSE"===t.type},t}(),SN=function(){function t(t){this.eventHandler=t;}return t.prototype.handle=function(t,e){var r=jt.fromJson(e.action);if(r){var n={type:"ACTION",action:r,area:e.area,text:e.text};this.eventHandler.handle(t,n);}},t.prototype.supports=function(t){return "ACTION"===t.type},t}(),MN=function(){function t(){}return t.prototype.open=function(t){window.location.href=t.href;},t}(),CN=function(){function t(){}return t.prototype.open=function(t){window.open(t.href,"Hackle","resizable:true");},t}(),xN=function(){function t(){}return t.prototype.open=function(t){window.open(t.href);},t}(),PN={utm_campaign:void 0,utm_content:void 0,utm_id:void 0,utm_medium:void 0,utm_source:void 0,utm_term:void 0,gclid:void 0,fbclid:void 0},UN={current:void 0,referrer:void 0},kN=function(t,e){return Object.keys(PN).every((function(r){return t[r]===e[r]}))},DN=function(t,e,r){return null===t||(!kN(e,PN)||r.current!==r.referrer)&&!kN(t,e)},LN=function(){function t(t,e,r,n,i){this.storage=t,this.parser=e,this.core=r,this.userManager=n,this.userResolver=i;}return t.prototype.startNewCampaign=function(t,e,r){for(var i=n(n({},PN),e),o=new Oe,s=0,u=Object.entries(i);s<u.length;s++){var a=u[s],c=a[0],f=a[1];f?o.set(c,f):o.unset(c);}var p=o.build(),l=p.toEvent(),h=this.userResolver.resolve(t);this.core.track(l,h,r),this.userManager.updateUserProperties(p);},t.prototype.startNewCampaignIfNeeded=function(t,e){var r=this.storage.get(),n=this.parser.parse(),i=this.parser.parseDomain();DN(r,n,i)&&(this.storage.set(n),this.startNewCampaign(t,n,e));},t.prototype.onSessionEnded=function(t,e,r){},t.prototype.onSessionStarted=function(t,e,r){this.startNewCampaignIfNeeded(e,r);},t}(),FN=function(){function t(t){this.storage=t;}return t.prototype.get=function(){var t=this.storage.getItem("_hackle_mkt");return t?JSON.parse(t):null},t.prototype.set=function(t){this.storage.setItem("_hackle_mkt",JSON.stringify(t));},t}(),VN=function(){function t(t){this.search=t;}return t.prototype.getQueryParam=function(t){return this.getQueryParams((function(){return !0}))[t]||""},t.prototype.getQueryParams=function(t){for(var e={},r=0,n=this.search.substring(1).split("&");r<n.length;r++){var i=n[r].split("="),o=i[0],s=i[1];t&&!t(o,s)||(e[o]=decodeURIComponent(s));}return e},t.getQueryParams=function(){return "undefined"==typeof window?{}:new t(window.location.search).getQueryParams()},t}(),jN=function(){function t(){}return t.extractDomain=function(t){var e=this.DOMAIN_MATCH_REGEX,r=t.split("."),n=r[r.length-1];(n.length>4||"com"===n||"org"===n)&&(e=this.SIMPLE_DOMAIN_MATCH_REGEX);var i=t.match(e);return i?i[0]:t},t.DOMAIN_MATCH_REGEX=/[a-z0-9][a-z0-9-]+\.[a-z.]{2,6}$/i,t.SIMPLE_DOMAIN_MATCH_REGEX=/[a-z0-9][a-z0-9-]*\.[a-z]+$/i,t}(),GN=function(){function t(){}return t.prototype.parse=function(){var t=VN.getQueryParams();return {utm_campaign:t[KN],utm_content:t[HN],utm_id:t[BN],utm_medium:t[zN],utm_source:t[JN],utm_term:t[qN],gclid:t[YN],fbclid:t[XN]}},t.prototype.parseDomain=function(){if("undefined"==typeof window)return UN;return {current:jN.extractDomain(window.document.location.hostname),referrer:function(){var t=window.document.referrer;if(t){var e=new URL(t).hostname;return jN.extractDomain(e)}}()}},t}(),KN="utm_campaign",HN="utm_content",BN="utm_id",zN="utm_medium",JN="utm_source",qN="utm_term",YN="gclid",XN="fbclid",WN=f.log,$N=null,ZN={user:void 0,debug:!1,log_disabled:!1,auto_track_page_view:!0,pollingIntervalMillis:-1,exposureEventDedupIntervalMillis:-1,sessionTimeoutMillis:18e5,autoOpenDevTool:!1,sdkUrl:"https://client-sdk.hackle.io",eventUrl:"https://event.hackle.io",monitoringUrl:"https://monitoring.hackle.io",cdnUrl:"https://static.hackle.io",sameSiteCookie:"LAX",secureCookie:!1,SDK_NAME_HEADER:"javascript-sdk_browser",SDK_VERSION_HEADER:"11.21.0",IAM_RENDERER_VERSION_HEADER:"0.0.3"};function QN(t,e){var r,i,o,s,u,a=n(n({},ZN),e),p=new zA;if(f.initCounter((function(t){return se.counter("log",{level:t})})),a.log_disabled?f.setLogLevel(c.DISABLE):a.debug&&f.setLogLevel(c.DEBUG),WN.debug("sdkKey : "+t),t||WN.error("SDK Key must not be null"),$N)return WN.debug("use already exists hackleClient"),$N;var h=!1;"undefined"!=typeof window&&(h=window&&window.navigator&&window.navigator.sendBeacon&&!0)&&WN.debug("support sendBeacon API");var d=-1;void 0!==a.pollingIntervalMillis&&"number"==typeof a.pollingIntervalMillis&&a.pollingIntervalMillis>0&&(d=Math.max(a.pollingIntervalMillis,3e4));var v=new Le(t,y,{fetchUrl:XA.clientFetch(a.sdkUrl,t),updateInterval:d,headers:(r={},r[l]=a.SDK_NAME_HEADER,r["X-HACKLE-SDK-VERSION"]=a.SDK_VERSION_HEADER,r)}),m=Ye.getInstance({days:3650,isCrossSubdomain:!0,sameSite:a.sameSiteCookie,isSecure:a.secureCookie}),g=new HA(JA.postfix(m,"_".concat(t))),E=g.getUser(),w=a.user||null,T=new KA(g,$e(),E,w),_=new BA(a.sessionTimeoutMillis,JA.postfix(m,"_".concat(t.slice(8))));T.addListener(_);var A=new jA(p,"".concat("hackle-repository-storage","_").concat(t),100),N=new ke(t,y,{dispatchUrl:XA.clientDispatch(a.eventUrl),beaconDispatchUrl:XA.beaconDispatch(a.eventUrl,t),useBeacon:h,headers:(i={},i[l]=a.SDK_NAME_HEADER,i["X-HACKLE-SDK-VERSION"]=a.SDK_VERSION_HEADER,i)}),O=-1;void 0!==a.exposureEventDedupIntervalMillis&&"number"==typeof a.exposureEventDedupIntervalMillis&&-1!==a.exposureEventDedupIntervalMillis&&(a.exposureEventDedupIntervalMillis<1e3||a.exposureEventDedupIntervalMillis>36e5?(WN.warn("Exposure event dedup interval is outside allowed range[1_000ms..3_600_000ms]. Setting to default value[no dedup]."),O=-1):O=a.exposureEventDedupIntervalMillis);var b=new aI(O),R=new uI(N,100,500,A,b,_,T),S=new TI(new qA(m,"".concat("hackle-manual-override_ab","_").concat(t.slice(0,8)))),M=new TI(new qA(m,"".concat("hackle-manual-override_ff","_").concat(t.slice(0,8)))),C=new WA(JA.prefix(p,"".concat("hackle-iam-hide","_").concat(t.slice(0,8),"_"))),x=new wN(JA.prefix(p,"".concat("hackle-iam-impression","_").concat(t.slice(0,8),"_"))),P=UA.create(v,R,[S,M],C),U=new Xe(T),k=new LN(new FN(JA.postfix(m,"_".concat(t.slice(0,8)))),new GN,P,T,U),D=new sI(U,P);_.addListener(k),_.addListener(D);var L=new sN(P),F=new $A([new ZA,new QA(new MN),new tN(new MN),new eN(C,I.instance),new rN(new CN),new nN(new CN),new iN(new xN),new oN(new xN)]),V=new TN([new _N(x),new AN(F),new IN]),j=new NN(I.instance,L,V),G=new bN([new RN,new SN(j)]),K=new hN(XA.inAppMessageRenderer(a.cdnUrl,a.IAM_RENDERER_VERSION_HEADER)),H=new uN(new lN(K),j,G),B=new ON(new dN(RA.get("targetMatcher")),new yN(x)),z=new fN(v,B,P);new aN(R,z,H);var J=new YA(P,T,U,S,M),q=(null===(s=a.devTool)||void 0===s?void 0:s.userExplorer)&&"function"==typeof(null===(u=a.devTool)||void 0===u?void 0:u.userExplorer),Y=a.devTool&&q?{manager:a.devTool,userExplorer:J}:void 0,X=new Se(P,U,_,T,Y);$N=X,a.autoOpenDevTool&&(a.devTool?X.showUserExplorer():WN.error("DevTool is not provided"));var W=function(){R.drainRepository();},$=new ue(a.monitoringUrl,6e4,y,((o={})[l]=a.SDK_NAME_HEADER,o["X-HACKLE-SDK-VERSION"]=a.SDK_VERSION_HEADER,o["X-HACKLE-SDK-KEY"]=t,o),h);document.addEventListener("visibilitychange",(function(){document.hidden||W();})),window.addEventListener("pageshow",W),window.addEventListener("onpagehide"in window?"pagehide":"unload",(function(){Qe(),_.updateLastEventTime((new Date).getTime()),X.close(),se.globalRegistry.close();})),se.addRegistry($);var Z,Q,tt;return Z=Date.now(),Q=T.currentUser,tt=_.currentSessionId,(GA(E,Q)?_.startNewSessionIfNeeded(Q,Z):_.startNewSession(E,Q,Z))===tt&&k.startNewCampaignIfNeeded(Q,Z),X.onReady((function(){(new DA).install(P,U),function(t,e){if(!e.auto_track_page_view)return;function r(t){if("function"==typeof window.Event)return new Event(t);var e={bubbles:!1,cancelable:!1,detail:void 0},r=document.createEvent("CustomEvent");return r.initCustomEvent(t,e.bubbles,e.cancelable,e.detail),r}t.trackPageView();try{history.pushState=(n=history.pushState,function(){try{var t=n.apply(this,arguments);return window.dispatchEvent(r("locationchange")),t}catch(t){if(t instanceof Error)WN.error(t);else try{WN.error(t);}catch(t){}}}),history.replaceState=function(t){return function(){try{var e=t.apply(this,arguments);return window.dispatchEvent(r("locationchange")),e}catch(t){if(t instanceof Error)WN.error(t);else try{WN.error(t);}catch(t){}}}}(history.replaceState),window.addEventListener("popstate",(function(){try{window.dispatchEvent(r("locationchange"));}catch(t){if(t instanceof Error)WN.error(t);else try{WN.error(t);}catch(t){}}})),window.addEventListener("locationchange",(function(){try{t.trackPageView();}catch(t){if(t instanceof Error)WN.error(t);else try{WN.error(t);}catch(t){}}}));}catch(t){if(t instanceof Error)WN.error(t);else try{WN.error(t);}catch(t){}}var n;}(X,a);})),X}var tO={createInstance:QN,getUserId:$e,setUserId:Ze,removeUserId:Qe,Logger:f};index_browser_min.Bucket=D,index_browser_min.Container=X,index_browser_min.ContainerGroup=W,index_browser_min.CoreVersion=nt,index_browser_min.Decision=S,index_browser_min.DecisionReason=P,index_browser_min.EmptyHackleRemoteConfig=C,index_browser_min.EmptyParameterConfig=x,index_browser_min.EventType=F,index_browser_min.Experiment=U,index_browser_min.FeatureFlagDecision=M,index_browser_min.IAM_ACTION_AREA=["BUTTON","IMAGE","X_BUTTON"],index_browser_min.IAM_ACTION_TYPE=Et,index_browser_min.IAM_BEHAVIOR=gt,index_browser_min.IAM_DISPLAY_TYPE=vt,index_browser_min.IAM_LAYOUT_TYPE=yt,index_browser_min.IAM_ORIENTATION=mt,index_browser_min.IAM_PLATFORM_TYPE=ht,index_browser_min.IAM_STATUS=lt,index_browser_min.IAM_TIMEUNIT=dt,index_browser_min.IdentifierType=V,index_browser_min.IdentifiersBuilder=j,index_browser_min.InAppMessage=wt,index_browser_min.InAppMessageAction=jt,index_browser_min.InAppMessageBackground=Vt,index_browser_min.InAppMessageButton=Lt,index_browser_min.InAppMessageButtonStyle=Ft,index_browser_min.InAppMessageContext=Mt,index_browser_min.InAppMessageContextLayout=xt,index_browser_min.InAppMessageContextMessage=Ct,index_browser_min.InAppMessageDecision=R,index_browser_min.InAppMessageDurationCap=bt,index_browser_min.InAppMessageEventFrequencyCap=Nt,index_browser_min.InAppMessageEventTrigger=It,index_browser_min.InAppMessageEventTriggerRule=At,index_browser_min.InAppMessageIdentifierCap=Ot,index_browser_min.InAppMessageImage=Pt,index_browser_min.InAppMessagePeriodAlways=Tt,index_browser_min.InAppMessagePeriodCustom=_t,index_browser_min.InAppMessageTargetContext=Rt,index_browser_min.InAppMessageText=Ut,index_browser_min.InAppMessageTextAttribute=kt,index_browser_min.InAppMessageTextStyle=Dt,index_browser_min.InAppMessageUserOverride=St,Logger = index_browser_min.Logger=f,index_browser_min.MATCH_OPERATORS=ut,index_browser_min.MATCH_TYPES=ot,index_browser_min.MATCH_VALUE_TYPES=st,index_browser_min.MetaVersion=it,index_browser_min.ParameterConfiguration=$$1,index_browser_min.PropertyOperations=be,index_browser_min.PropertyOperationsBuilder=Oe,index_browser_min.RemoteConfigDecision=b,index_browser_min.RemoteConfigParameter=Z,index_browser_min.RemoteConfigParameterValue=tt,index_browser_min.RemoteConfigTargetRule=Q,index_browser_min.SEGMENT_TYPES=ft,index_browser_min.Segment=Y,index_browser_min.Slot=L,index_browser_min.TARGET_ACTION_TYPES=at,index_browser_min.TARGET_KEY_TYPES=ct,index_browser_min.Target=K,index_browser_min.TargetAction=J,index_browser_min.TargetCondition=H,index_browser_min.TargetKey=B,index_browser_min.TargetMatch=z,index_browser_min.TargetRule=q,index_browser_min.TargetingType=pt,index_browser_min.Variation=k,index_browser_min.Version=rt,index_browser_min.createInstance=QN,index_browser_min.default=tO,index_browser_min.getUserId=$e,index_browser_min.removeUserId=Qe,index_browser_min.sanitizeUser=G,index_browser_min.setUserId=Ze;

    var $ = function (selector, from) {
        var _from = from || document;
        var elem = _from.querySelector(selector);
        if (!elem)
            throw Error("HackleDevtools Failed when getting element.");
        return elem;
    };
    var rootId = "hackle-devtools";
    var togglerId = "hackle-devtools__toggler";
    var shadowWrapperId = "hackle-devtools__shadowWrapper";
    var iframeWrapperId = "hackle-devtools__iframeWrapper";
    var iframeId = "hackle-devtools__iframe";
    var stylesheetId = "hackle-devtools__style";
    var iframeWrapper = "\n  <template id=\"".concat(iframeWrapperId, "-template\">\n    <div id=\"").concat(iframeWrapperId, "\">\n      <iframe id=\"").concat(iframeId, "\"></iframe>\n    </div>\n  </template>\n");
    var shadowWrapper = "\n  <template id=\"".concat(shadowWrapperId, "-template\">\n    <div id=\"").concat(shadowWrapperId, "\" style=\"position:fixed; z-index:10000001; left:24px; bottom: 61px; height: 0;\"></div>\n  </template>\n");
    var toggler = "\n  <template id=\"".concat(togglerId, "-template\">\n    <button id=\"").concat(togglerId, "\" type=\"button\">\n    </button>\n  </template>\n\n");
    var stylesheet = "\n  <template id=\"".concat(stylesheetId, "-template\">\n    <style id=\"").concat(stylesheetId, "\">\n      #").concat(togglerId, " {\n        width: 45px;\n        height: 45px;\n        display: block;\n        background-image: url(").concat(HACKLE_LOGO_URL, ");\n        background-size: contain;\n        background-color: white;\n\n        border: 2px solid white;\n        border-radius: 50%;\n        cursor: pointer;\n        box-shadow: 0px 0px 10px 3px #CACACA;\n      }\n      #").concat(togglerId, ".hide {\n        display: none;\n      }\n      #").concat(togglerId, " > img {\n        width: 100%;\n        height: 100%;\n      }\n      #").concat(iframeId, " {\n        width: 100%;\n        height: 100%;\n        border: none;\n        border-radius: 8px;\n      }\n      #").concat(iframeWrapperId, " {\n        width:420px;\n        height:80%;\n        min-height:580px;\n        max-height:620px;\n        border-radius:18px;\n        position:fixed;\n        left:24px;\n        bottom:18px;\n        animation: fade 0.5s;\n        background-color: #F5F5F5;\n        overflow: hidden;\n        box-shadow: rgba(255, 255, 255, 0.12) 0px 0px 2px 0px inset, rgba(0, 0, 0, 0.05) 0px 0px 2px 1px, rgba(0, 0, 0, 0.3) 0px 12px 60px;\n      }\n\n      @media screen and (max-width: 768px) {\n        #").concat(iframeWrapperId, " {\n          width: 100vw;\n          min-height: unset;\n          max-height: unset;\n          left: 0;\n        }\n      }\n      @keyframes fade {\n        from {\n            opacity: 0;\n        }\n        to {\n            opacity: 1;\n        }\n      }\n    </style>\n  </template>\n");
    var templates = {
        iframeWrapper: iframeWrapper,
        shadowWrapper: shadowWrapper,
        toggler: toggler,
        stylesheet: stylesheet
    };

    exports.MessageEventType = void 0;
    (function (MessageEventType) {
        MessageEventType["INIT"] = "HACKLE-EVENT_INIT";
        MessageEventType["CLOSE"] = "HACKLE-EVENT_CLOSE";
        MessageEventType["USER"] = "HACKLE-EVENT_USER";
        MessageEventType["DECISION_AB_GET"] = "HACKLE-EVENT_GET_AB_DECISION";
        MessageEventType["DECISION_FF_GET"] = "HACKLE-EVENT_GET_FF_DECISION";
        MessageEventType["OVERRIDE_AB_GET"] = "HACKLE-EVENT_GET_AB_OVERRIDE";
        MessageEventType["OVERRIDE_AB_SET"] = "HACKLE-EVENT_SET_AB_OVERRIDE";
        MessageEventType["OVERRIDE_AB_RESET"] = "HACKLE-EVENT_RESET_AB_OVERRIDE";
        MessageEventType["OVERRIDE_AB_RESET_ALL"] = "HACKLE-EVENT_RESET_ALL_AB_OVERRIDE";
        MessageEventType["OVERRIDE_FF_GET"] = "HACKLE-EVENT_GET_FF_OVERRIDE";
        MessageEventType["OVERRIDE_FF_SET"] = "HACKLE-EVENT_SET_FF_OVERRIDE";
        MessageEventType["OVERRIDE_FF_RESET"] = "HACKLE-EVENT_RESET_FF_OVERRIDE";
        MessageEventType["OVERRIDE_FF_RESET_ALL"] = "HACKLE-EVENT_RESET_ALL_FF_OVERRIDE";
    })(exports.MessageEventType || (exports.MessageEventType = {}));
    var isDevtoolsMessage = function (message) {
        return typeof message.type === "string" && Object.values(exports.MessageEventType).includes(message.type);
    };
    var isCloseMessage = function (message) {
        return isDevtoolsMessage(message) && message.type === exports.MessageEventType.CLOSE;
    };
    var isInitMessage = function (message) {
        return isDevtoolsMessage(message) && message.type === exports.MessageEventType.INIT;
    };
    var isUserMessage = function (message) {
        return isDevtoolsMessage(message) && message.type === exports.MessageEventType.USER;
    };
    var isGetABDecisionMessage = function (message) {
        return isDevtoolsMessage(message) && message.type === exports.MessageEventType.DECISION_AB_GET;
    };
    var isGetFFDecisionMessage = function (message) {
        return isDevtoolsMessage(message) && message.type === exports.MessageEventType.DECISION_FF_GET;
    };
    var isGetABOverrideMessage = function (message) {
        return isDevtoolsMessage(message) && message.type === exports.MessageEventType.OVERRIDE_AB_GET;
    };
    var isGetFFOverrideMessage = function (message) {
        return isDevtoolsMessage(message) && message.type === exports.MessageEventType.OVERRIDE_FF_GET;
    };
    var isSetABOverrideMessage = function (message) {
        return isDevtoolsMessage(message) && message.type === exports.MessageEventType.OVERRIDE_AB_SET;
    };
    var isSetFFOverrideMessage = function (message) {
        return isDevtoolsMessage(message) && message.type === exports.MessageEventType.OVERRIDE_FF_SET;
    };
    var isResetABOverrideMessage = function (message) {
        return isDevtoolsMessage(message) && message.type === exports.MessageEventType.OVERRIDE_AB_RESET;
    };
    var isResetFFOverrideMessage = function (message) {
        return isDevtoolsMessage(message) && message.type === exports.MessageEventType.OVERRIDE_FF_RESET;
    };
    var isResetAllABOverrideMessage = function (message) {
        return isDevtoolsMessage(message) && message.type === exports.MessageEventType.OVERRIDE_AB_RESET_ALL;
    };
    var isResetAllFFOverrideMessage = function (message) {
        return isDevtoolsMessage(message) && message.type === exports.MessageEventType.OVERRIDE_FF_RESET_ALL;
    };

    var TransceiverImpl = /** @class */ (function () {
        function TransceiverImpl(port, opposite) {
            this.port = port;
            this.opposite = opposite;
            this.port.start();
        }
        TransceiverImpl.prototype.receive = function (messageFilter, listener) {
            this.port.addEventListener("message", function (e) {
                if (messageFilter(e.data)) {
                    listener(e.data.payload);
                }
            });
        };
        TransceiverImpl.prototype.post = function (message) {
            this.port.postMessage(message);
        };
        TransceiverImpl.prototype.close = function () {
            this.port.close();
            this.opposite.close();
        };
        return TransceiverImpl;
    }());

    var log$1 = Logger.log;
    var CHANNEL_INIT_TIMEOUT = 5000;
    var MessageChannelManager = /** @class */ (function () {
        function MessageChannelManager(transceiver) {
            this.transceiver = transceiver;
        }
        MessageChannelManager.connectTo = function (iframe, path) {
            return __awaiter(this, void 0, void 0, function () {
                var timer, timeoutResolver, timeoutPromise, _a, port1, port2, transceiver;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            timeoutPromise = new Promise(function (resolve) {
                                timeoutResolver = resolve;
                                timer = setTimeout(function () {
                                    resolve({ port1: undefined, port2: undefined });
                                }, CHANNEL_INIT_TIMEOUT);
                            });
                            window.addEventListener("message", function (e) {
                                if (isInitMessage(e.data) && iframe.contentWindow) {
                                    var _a = new MessageChannel(), port1_1 = _a.port1, port2_1 = _a.port2;
                                    iframe.contentWindow.postMessage({
                                        type: exports.MessageEventType.INIT
                                    }, "".concat(DEVTOOLS_URL, "/").concat(path), [port2_1]);
                                    clearTimeout(timer);
                                    timeoutResolver === null || timeoutResolver === void 0 ? void 0 : timeoutResolver({ port1: port1_1, port2: port2_1 });
                                }
                            });
                            return [4 /*yield*/, timeoutPromise];
                        case 1:
                            _a = _b.sent(), port1 = _a.port1, port2 = _a.port2;
                            if (!port1 || !port2) {
                                log$1.error("Timeout occurred while loading devtools.");
                                return [2 /*return*/];
                            }
                            transceiver = new TransceiverImpl(port1, port2);
                            return [2 /*return*/, new MessageChannelManager(transceiver)];
                    }
                });
            });
        };
        MessageChannelManager.prototype.addMessageListener = function (messageFilter, listener) {
            this.transceiver.receive(messageFilter, listener);
        };
        MessageChannelManager.prototype.applyChannel = function (channel) {
            channel(this.transceiver);
        };
        MessageChannelManager.prototype.close = function () {
            this.transceiver.close();
        };
        return MessageChannelManager;
    }());

    var createUserExplorerChannel = function (userExplorer) { return function (transceiver) {
        /**
         * User Messages
         */
        transceiver.receive(isUserMessage, function () {
            var response = {
                type: exports.MessageEventType.USER,
                payload: userExplorer.currentUser()
            };
            transceiver.post(response);
        });
        /**
         * A/B Test Messages
         */
        transceiver.receive(isGetABDecisionMessage, function () {
            var response = {
                type: exports.MessageEventType.DECISION_AB_GET,
                payload: userExplorer.getAbTestDecisions()
            };
            transceiver.post(response);
        });
        transceiver.receive(isGetABOverrideMessage, function () {
            var response = {
                type: exports.MessageEventType.OVERRIDE_AB_GET,
                payload: userExplorer.getAbTestOverrides()
            };
            transceiver.post(response);
        });
        transceiver.receive(isSetABOverrideMessage, function (payload) {
            if (!payload)
                return;
            userExplorer.setAbTestOverride(payload.experiment, payload.variationId);
        });
        transceiver.receive(isResetABOverrideMessage, function (payload) {
            if (!payload)
                return;
            userExplorer.resetAbTestOverride(payload.experiment);
        });
        transceiver.receive(isResetAllABOverrideMessage, function () {
            userExplorer.resetAllAbTestOverride();
        });
        /**
         * Feature Flag Messages
         */
        transceiver.receive(isGetFFDecisionMessage, function () {
            var response = {
                type: exports.MessageEventType.DECISION_FF_GET,
                payload: userExplorer.getFeatureFlagDecisions()
            };
            transceiver.post(response);
        });
        transceiver.receive(isGetFFOverrideMessage, function () {
            var response = {
                type: exports.MessageEventType.OVERRIDE_FF_GET,
                payload: userExplorer.getFeatureFlagOverrides()
            };
            transceiver.post(response);
        });
        transceiver.receive(isSetFFOverrideMessage, function (payload) {
            if (!payload)
                return;
            userExplorer.setFeatureFlagOverride(payload.experiment, payload.variationId);
        });
        transceiver.receive(isResetFFOverrideMessage, function (payload) {
            if (!payload)
                return;
            userExplorer.resetFeatureFlagOverride(payload.experiment);
        });
        transceiver.receive(isResetAllFFOverrideMessage, function () {
            userExplorer.resetAllFeatureFlagOverride();
        });
    }; };

    var makeDraggable = function (target) {
        var isPress = false, prevPosX = 0, prevPosY = 0;
        var start = function (e) {
            if (isPress)
                return;
            var touch = e instanceof TouchEvent ? e.touches[0] : e;
            prevPosX = touch.clientX;
            prevPosY = touch.clientY;
            isPress = true;
            // Desktop
            window.addEventListener("mousemove", move);
            // Mobile
            window.addEventListener("touchmove", move, { passive: false });
        };
        var move = function (e) {
            if (!isPress)
                return;
            target.classList.add("dragged");
            var touch = e instanceof TouchEvent ? e.touches[0] : e;
            var posX = prevPosX - touch.clientX;
            var posY = prevPosY - touch.clientY;
            prevPosX = touch.clientX;
            prevPosY = touch.clientY;
            target.style.left = target.offsetLeft - posX + "px";
            target.style.top = target.offsetTop - posY + "px";
            e.preventDefault();
        };
        var end = function () {
            isPress = false;
            // Desktop
            window.removeEventListener("mousemove", move);
            // Mobile
            window.removeEventListener("touchmove", move);
        };
        // Desktop
        target.addEventListener("mousedown", start);
        target.addEventListener("mouseup", end);
        // Mobile
        target.addEventListener("touchstart", start, { passive: false });
        target.addEventListener("touchend", end);
    };

    var log = Logger.log;
    var DevtoolManager = /** @class */ (function () {
        function DevtoolManager(devtoolSubPath, channel) {
            this.devtoolSubPath = devtoolSubPath;
            this.channel = channel;
            this.channelManager = null;
            this.shadowRoot = undefined;
            this.initialize();
        }
        DevtoolManager.prototype.getShadowWrapper = function (from) {
            return $("#".concat(shadowWrapperId), from);
        };
        DevtoolManager.prototype.getIFrameWrapper = function (from) {
            return $("#".concat(iframeWrapperId), from);
        };
        DevtoolManager.prototype.getToggler = function (from) {
            return $("#".concat(togglerId), from);
        };
        DevtoolManager.prototype.getIFrame = function (from) {
            return $("#".concat(iframeId), from);
        };
        DevtoolManager.prototype.getTemplate = function (elementId) {
            return $("#".concat(elementId, "-template"));
        };
        DevtoolManager.prototype.createMessageChannel = function () {
            return __awaiter(this, void 0, void 0, function () {
                var iframe, channelManager;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            iframe = this.getIFrame(this.shadowRoot);
                            iframe.src = "".concat(DEVTOOLS_URL, "/").concat(this.devtoolSubPath);
                            return [4 /*yield*/, MessageChannelManager.connectTo(iframe, this.devtoolSubPath)];
                        case 1:
                            channelManager = _a.sent();
                            if (!channelManager) {
                                this.hide();
                                return [2 /*return*/];
                            }
                            this.channelManager = channelManager;
                            channelManager.addMessageListener(isCloseMessage, this.hide.bind(this));
                            channelManager.applyChannel(this.channel);
                            return [2 /*return*/];
                    }
                });
            });
        };
        DevtoolManager.prototype.initialize = function () {
            if (typeof window === "undefined") {
                log.error("HackleDevtools called before window loaded.");
                return;
            }
            if (document.getElementById(rootId)) {
                return;
            }
            this.createRoot();
        };
        DevtoolManager.prototype.show = function () {
            var _a;
            var iframeWrapperTemplate = this.getTemplate(iframeWrapperId);
            (_a = this.shadowRoot) === null || _a === void 0 ? void 0 : _a.appendChild(iframeWrapperTemplate.content.cloneNode(true));
            this.createMessageChannel();
        };
        DevtoolManager.prototype.createRoot = function () {
            var _this = this;
            var root = document.createElement("div");
            root.id = "hackle-devtools";
            Object.values(templates).forEach(function (template) { return root.insertAdjacentHTML("beforeend", template); });
            document.body.appendChild(root);
            var shadowWrapperTemplate = this.getTemplate(shadowWrapperId);
            root.appendChild(shadowWrapperTemplate.content);
            var shadowWrapperElement = this.getShadowWrapper();
            makeDraggable(shadowWrapperElement);
            var shadowDOM = shadowWrapperElement.attachShadow({ mode: "open" });
            this.shadowRoot = shadowDOM;
            var togglerTemplate = this.getTemplate(togglerId);
            var stylesheet = this.getTemplate(stylesheetId);
            shadowDOM.appendChild(stylesheet.content);
            shadowDOM.appendChild(togglerTemplate.content);
            var toggler = this.getToggler(shadowDOM);
            toggler.addEventListener("click", function () {
                if (shadowWrapperElement.classList.contains("dragged")) {
                    shadowWrapperElement.classList.remove("dragged");
                    return;
                }
                _this.show();
                toggler.classList.add("hide");
            }, true);
        };
        DevtoolManager.prototype.hide = function () {
            var toggler = this.getToggler(this.shadowRoot);
            toggler.classList.remove("hide");
            this.getIFrameWrapper(this.shadowRoot).remove();
        };
        DevtoolManager.prototype.close = function () {
            var _a;
            try {
                (_a = this.channelManager) === null || _a === void 0 ? void 0 : _a.close();
                var root = $("#".concat(rootId));
                root.remove();
            }
            catch (error) {
                log.error("Failed to close HackleDevtools.");
            }
        };
        return DevtoolManager;
    }());
    var HackleDevTools = /** @class */ (function () {
        function HackleDevTools() {
        }
        HackleDevTools.userExplorer = function (userExplorer) {
            try {
                HackleDevTools.devtoolInstance = new DevtoolManager(DEVTOOLS_USER_EXPLORER_SUB_PATH, createUserExplorerChannel(userExplorer));
            }
            catch (error) {
                log.error("Failed to initialize HackleDevTools.");
            }
        };
        HackleDevTools.close = function () {
            if (!HackleDevTools.devtoolInstance) {
                log.error("There is no active HackleDevtools.");
                return;
            }
            HackleDevTools.devtoolInstance.close();
        };
        HackleDevTools.devtoolInstance = null;
        return HackleDevTools;
    }());

    exports["default"] = HackleDevTools;
    exports.isCloseMessage = isCloseMessage;
    exports.isDevtoolsMessage = isDevtoolsMessage;
    exports.isGetABDecisionMessage = isGetABDecisionMessage;
    exports.isGetABOverrideMessage = isGetABOverrideMessage;
    exports.isGetFFDecisionMessage = isGetFFDecisionMessage;
    exports.isGetFFOverrideMessage = isGetFFOverrideMessage;
    exports.isInitMessage = isInitMessage;
    exports.isResetABOverrideMessage = isResetABOverrideMessage;
    exports.isResetAllABOverrideMessage = isResetAllABOverrideMessage;
    exports.isResetAllFFOverrideMessage = isResetAllFFOverrideMessage;
    exports.isResetFFOverrideMessage = isResetFFOverrideMessage;
    exports.isSetABOverrideMessage = isSetABOverrideMessage;
    exports.isSetFFOverrideMessage = isSetFFOverrideMessage;
    exports.isUserMessage = isUserMessage;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
